2012-08-20  Martin Robinson  <mrobinson@igalia.com>

        Update the NEWS and configuration for the 1.8.3 release

        Reviewed by Gustavo Noronha Silva.

        * NEWS: Add the news.

2012-08-13  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Default signal handler for WebKitWebView::should-show-delete-interface-for-element overrides default result
        https://bugs.webkit.org/show_bug.cgi?id=93600

        Reviewed by Xan Lopez.

        Instead of using the default editing signal handler for ::should-show-delete-interface-for-element,
        do not use a default signal handler. This means that the result of the signal defaults to FALSE,
        which is the expected value to ensure that the delete interface is not shown.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_class_init): Do not install a default signal handler.

2012-08-10  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] Broken implementation of AtkText and AtkEditableText for password fields
        https://bugs.webkit.org/show_bug.cgi?id=93621

        Reviewed by Chris Fleizach.

        Update unit test to ensure that password input fields behave
        as expected when inserting and removing characters in them.

        * tests/testatk.c:
        (testWebkitAtkTextChangedNotifications): Updated unit test to
        cover the special case of password input fields.

2012-08-01  Martin Robinson  <mrobinson@igalia.com>

        Update the NEWS file and configure.ac in preparation for the 1.8.2 release.

        Reviewed by Carlos Garcia Campos.

        * NEWS: Add the news.

2012-07-30  Martin Robinson  <mrobinson@igalia.com>

        [GTK] New lines automatically and repeatedly added to list items in Etherpad
        https://bugs.webkit.org/show_bug.cgi?id=89971

        Reviewed by Ryosuke Niwa.

        Disable the deletion UI by default. This UI, which was enabled as a side-effect
        of the addition of the private editing API, seems to expose a bug in Etherpad
        which causes the continuous insertion of bullet points.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::shouldShowDeleteInterface): Disable the deletion UI by default.

2012-06-27  Martin Robinson  <mrobinson@igalia.com>

        [gtk] Spell checker doesn't recognize contractions (apostrophes)
        https://bugs.webkit.org/show_bug.cgi?id=86118

        Reviewed by Gustavo Noronha Silva.

        Work-around a bug in Pango by trying to detect apostrophes
        that create contractions. This work-around is similar to one
        found in gtkspell.

        * webkit/webkitspellcheckerenchant.cpp:
        (wordEndIsAContractionApostrophe): Added this helper which tries to detect
        situations where a word end is both an apostrophe and followed by a alphabetic
        character.
        (checkSpellingOfString): When searching for the end of a word, skip over
        apostrophes that appear to be part of contractions.

2012-05-31  Hajime Morrita  <morrita@chromium.org>

        REGRESSION(r117572): editing/spelling/spellcheck-async-remove-frame.html crashes on Mac
        https://bugs.webkit.org/show_bug.cgi?id=86859

        Reviewed by Ryosuke Niwa.

        * WebCoreSupport/TextCheckerClientGtk.h:
        (WebKit::TextCheckerClientGtk::requestCheckingOfString):

2012-02-24  Shinya Kawanaka  <shinyak@chromium.org>

        SpellCheckRequest needs to know the context where the spellcheck happened.
        https://bugs.webkit.org/show_bug.cgi?id=79320

        Reviewed by Hajime Morita.

        * WebCoreSupport/TextCheckerClientGtk.h:
        (WebKit::TextCheckerClientGtk::requestCheckingOfString):

2012-05-18  MORITA Hajime <morrita@google.com>

        Another unreviewed attempt to fix build breakage on r117572.

        * WebCoreSupport/EditorClientGtk.h:
        (WebKit::EditorClient::frameWillDetachPage):

2012-05-18  MORITA Hajime  <morrita@google.com>

        https://bugs.webkit.org/show_bug.cgi?id=85515
        Stale frame in WebCore::SpellChecker::didCheckSucceeded

        Reviewed by Ryosuke Niwa.

        * WebCoreSupport/EditorClientGtk.h:
        (WebKit::EditorClient::frameWillDetachPage):

2012-05-14  Thiago Marcos P. Santos  <thiago.santos@intel.com>

        [GTK] Wrong documentation for Web Database
        https://bugs.webkit.org/show_bug.cgi?id=86362

        Reviewed by Martin Robinson.

        Fixed docs for webkit_set_default_web_database_quota().

        * webkit/webkitwebdatabase.cpp:

2012-04-23  Martin Robinson  <mrobinson@igalia.com>

        Update the NEWS for the 1.8.1 release.

        * NEWS:

2012-04-17  Carlos Garnacho  <carlos@lanedo.com>

        [GTK] Enable back double buffering on WebKitWebView to fix flickering
        https://bugs.webkit.org/show_bug.cgi?id=84149

        Reviewed by Martin Robinson.

        Despite having WebKitWebView its own backing buffer, calling
        gtk_widget_set_double_buffered(...,FALSE) may still pose side
        effects, such as ensuring that all drawing operations are 
        flushed to the X server before rendering a non-double buffered
        widget, which may translate into flickering of the parent 
        GdkWindow before the WebKitWebView itself is rendered. 

        Enabling back double buffering solves this as all contents are 
        first composited together before getting to the front buffer,
        but effectively acts as 3rd buffer. This is sort of unavoidable
        unless GTK+ gains a "let me take ownership of the backing buffer
        for this widget", which currently lacks.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_init): Remove call to gtk_widget_set_double_buffered(..., FALSE)

2012-04-05  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Scrolling some iframes that are partially out of the viewport leads to repaint errors
        https://bugs.webkit.org/show_bug.cgi?id=83309

        Reviewed by Gustavo Noronha Silva.

        Instead of only updating scrollRect - preservedRegion, update
        scrollRect - (preservedRegion - offscreenPreservedRegion). This ensures that
        when part of the scroll rect is moved onscreen from offscreen that part is
        queued for a redraw.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::scroll): Properly calculate the area to repaint.

2012-03-31  Martin Robinson  <mrobinson@igalia.com>

        [GTK] [Stable] --disable geolocation broken after recent merges
        https://bugs.webkit.org/show_bug.cgi?id=82452

        No review, as this is just a build fix.

        Fix the geolocation build.

        * webkit/webkitgeolocationpolicydecision.cpp:
        (webkit_geolocation_policy_decision_new): When gelocation is off, just return null.
        * webkit/webkitgeolocationpolicydecisionprivate.h: Activate webkit_geolocation_policy_decision_new
        for non-Geolocation builds.

2012-03-27  Martin Robinson  <mrobinson@igalia.com>

        Update the NEWS and version for the impending 1.8.0 release.

        Reviewed by Gustavo Noronha Silva.

        * NEWS: Update the news.

2012-03-26  Gary Kramlich  <grim@reaperworld.com>

        WebKitWebView signals with GError parameters cause crashes when using GObject Introspection
        https://bugs.webkit.org/show_bug.cgi?id=81977

        Reviewed by Martin Robinson.

        Added marshalers for BOOLEAN:OBJECT,STRING,BOXED and VOID:OBJECT,OBJECT,BOXED
        and changed the signal signatures for WebKitWebView::load-fail and
        WebKitWebView::resource-load-failed to use the new marshalers since
        GError has been a GBoxed type since Gtk 2.26.  This fixes these signals
        for the gobject-introspection bindings.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_class_init):
        * webkitmarshal.list:

2012-03-26  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Replace occurrences of "uri" in the documentation with "URI"
        https://bugs.webkit.org/show_bug.cgi?id=82025

        Reviewed by Gustavo Noronha Silva.

        In documentation "uri" should really be written as "URI" so
        we should fix all existing strings.

        * webkit/webkitdownload.cpp: Replace "uri" with "URI."
        * webkit/webkitnetworkrequest.cpp: Ditto.
        * webkit/webkitnetworkresponse.cpp: Ditto.
        * webkit/webkitwebhistoryitem.cpp: Ditto.
        * webkit/webkitwebresource.cpp: Ditto.
        (webkit_web_resource_class_init):

2012-03-26  Zan Dobersek  <zandobersek@gmail.com>

        [Gtk] Webkit fails to build with --disable-geolocation
        https://bugs.webkit.org/show_bug.cgi?id=81451

        Reviewed by Benjamin Poulain.

        Wrap uses of WebCore::Geolocation in WebKitGeolocationPolicyDecision
        and WebKitWebView in ifdefs, removing compilation errors when compiling
        with geolocation support disabled. Affected public API methods are then
        stubs, throwing a warning that feature was not enabled at compile-time.

        * webkit/webkitgeolocationpolicydecision.cpp:
        (_WebKitGeolocationPolicyDecisionPrivate):
        (webkit_geolocation_policy_decision_new):
        (webkit_geolocation_policy_allow):
        (webkit_geolocation_policy_deny):
        * webkit/webkitgeolocationpolicydecisionprivate.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_init):

2012-03-26  Zan Dobersek  <zandobersek@gmail.com>

        [GObject bindings] Supplemental interfaces are not disabled with the "Conditional" attribute
        https://bugs.webkit.org/show_bug.cgi?id=80030

        Reviewed by Martin Robinson.

        Add a private macro that can be used when necessary to throw a warning
        about a future not enabled at compile-time.

        * webkit/webkitglobalsprivate.h:

2012-03-26  Zan Dobersek  <zandobersek@gmail.com>

        [GObject bindings] Supplemental interfaces are not disabled with the "Conditional" attribute
        https://bugs.webkit.org/show_bug.cgi?id=80030

        Reviewed by Martin Robinson.

        Add a private macro that can be used when necessary to throw a warning
        about a future not enabled at compile-time.

        * webkit/webkitglobalsprivate.h:

2012-03-23  Adam Barth  <abarth@webkit.org>

        Remove support for "magic" iframe
        https://bugs.webkit.org/show_bug.cgi?id=81590

        Reviewed by Eric Seidel.

        Remove FrameLoaderClient methods that no longer exist.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit):
        * WebCoreSupport/FrameLoaderClientGtk.h:
        (FrameLoaderClient):

2012-03-19  Martin Robinson  <mrobinson@igalia.com>

        Update the NEWS and version for the WebKitGTK+ 1.7.92 release.

        Reviewed by Gustavo Noronha Silva.

        * NEWS:

2012-03-19  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Allow running run-gtk-tests during 'make dist'
        https://bugs.webkit.org/show_bug.cgi?id=81415

        Reviewed by Philippe Normand.

        * GNUmakefile.am: Remove 'make check' rules from the makefile
        Instead this functionality is now in the Tools makefile.

2012-03-19  Carlos Garcia Campos  <cgarcia@igalia.com> and Sergio Villar Senin  <svillar@igalia.com>

        [GTK] WebKitIconDatabase doesn't keep icons cached
        https://bugs.webkit.org/show_bug.cgi?id=56200

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Added new files to compilation.
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::registerForIconNotification): instruct
        the WebView to listen to IconDatabase's notifications.
        (WebKit::FrameLoaderClient::dispatchDidReceiveIcon): ask both
        WebView and IconDatabase to issue notifications for a new icon.
        * docs/webkitgtk-docs.sgml: updated docs.
        * docs/webkitgtk-sections.txt: ditto.
        * docs/webkitgtk.types: ditto.
        * tests/testicondatabase.c: Added.
        (server_callback):
        (deleteDatabaseFileIfExists):
        (testWebkitIconDatabaseSetPath):
        (iconDatabaseGetIconValidCallback):
        (iconDatabaseGetIconInvalidCallback):
        (iconDatabaseGetIconCancelledCallback):
        (mainLoopQuitIfLoadCompleted):
        (idleQuitLoopCallback):
        (webkitWebViewIconLoaded):
        (loadURI):
        (faviconDatabaseGetFaviconValidIdle):
        (faviconDatabaseGetFaviconInvalidIdle):
        (faviconDatabaseGetFaviconCancelledIdle):
        (testWebKitFaviconDatabaseGetFavicon):
        (testWebKitFaviconDatabaseGetFaviconURI):
        (testWebKitFaviconDatabaseRemoveAll):
        (testWebKitFaviconDatabaseCloseDatabase):
        (main):
        * webkit/webkit.h: added new API.
        * webkit/webkitdefines.h: added WebKitFaviconDatabase.
        * webkit/webkitfavicondatabase.cpp:
        (IconDatabaseClientGtk): IconDatabaseClient implementation.
        (IconDatabaseClientGtk::performImport):
        (IconDatabaseClientGtk::didRemoveAllIcons):
        (IconDatabaseClientGtk::didImportIconURLForPageURL):
        (IconDatabaseClientGtk::didImportIconDataForPageURL):
        (IconDatabaseClientGtk::didChangeIconForPageURL):
        (IconDatabaseClientGtk::didFinishURLImport):
        (PendingIconRequest): machinery for asynchronous calls.
        (PendingIconRequest::PendingIconRequest):
        (PendingIconRequest::~PendingIconRequest):
        (PendingIconRequest::pageURI):
        (PendingIconRequest::asyncResult):
        (PendingIconRequest::asyncResultCancel):
        (PendingIconRequest::asyncResultCompleteInIdle):
        (PendingIconRequest::asyncResultComplete):
        (_WebKitIconDatabasePrivate):
        (webkit_favicon_database_dispose): GObject stuff.
        (webkit_favicon_database_set_property): ditto.
        (webkit_favicon_database_get_property): ditto.
        (webkit_favicon_database_class_init): ditto.
        (webkit_favicon_database_init): ditto.
        (webkitFaviconDatabaseNotifyAndUpdateExpiration): notify about new
        icons and update expiration times.
        (webkitFaviconDatabaseDispatchDidReceiveIcon): "protected" method
        called by the FrameLoaderClient to inform about new icons.
        (webkit_favicon_database_get_path): retrieves database path.
        (selectQueryCallback): releases expired icons to let IconDatabase
        prune them.
        (webkitFaviconDatabasePruneExpiredIcons): selects the icons to be
        pruned by the IconDatabase.
        (webkitFaviconDatabaseClose): close the database.
        (createExpirationTimesDatabaseTableIfNotExists): creates the
        database used to control expiration times.
        (webkit_favicon_database_set_path): opens the database delaying the
        cleanup of icons until the import is complete.
        (webkit_favicon_database_get_favicon_uri): returns the uri of the
        favicon.
        (getIconPixbufSynchronously): helper function to call
        IconDatabase::synchronousIconURLForPageURL().
        (webkit_favicon_database_try_get_favicon_pixbuf): returns the
        favicon if exists and is loaded from disk.
        (webkitFaviconDatabaseGetOrCreateRequests): helper function to get
        the vector of pending requests for the given uri.
        (webkitfavicondatabaseDeleteRequests): helper function to remove the
        vector of pending requests for the given uri.
        (getIconPixbufCancelled):
        (webkitFaviconDatabaseGetIconPixbufCancelled):
        (webkit_favicon_database_get_favicon_pixbuf): asynchronously
        retrieve icons from the database.
        (webkit_favicon_database_get_favicon_pixbuf_finish): finishes an
        operation started with webkit_icon_database_get_icon_pixbuf().
        (webkitFaviconDatabaseProcessPendingIconsForURI): process pending
        requests once the import is finished.
        (webkitFaviconDatabaseImportFinished): check pending requests and
        delete those that ask for icons that do not exist in the database.
        (webkit_favicon_database_clear): clears the database.
        * webkit/webkitfavicondatabase.h: added.
        (_WebKitFaviconDatabase):
        (_WebKitFaviconDatabaseClass):
        * webkit/webkitfavicondatabaseprivate.h: Added.
        * webkit/webkitglobals.cpp:
        (webkit_get_favicon_database): retrieves the new
        WebKitFaviconDatabase.
        (webkitExit): unref icon database on exit.
        * webkit/webkitglobals.h: added new API.
        * webkit/webkiticondatabase.cpp: added deprecation documentation.
        (webkit_icon_database_class_init):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_try_get_icon_pixbuf): new API that uses the new
        WebKitFaviconDatabase API.
        (webkitWebViewIconLoaded): dispatch the icon-loaded signal when
        requested by the FrameLoaderClient.
        (webkitWebViewRegisterForIconNotification): starts/stops listening
        to icon database notifications.
        * webkit/webkitwebview.h: added new API.
        * webkit/webkitwebviewprivate.h: added some protected methods.

2012-03-19  Victor Lucero  <victor.lucero@ipartner.cl>

        [GTK] WebKitWebResource::load-failed uses the wrong marshaller
        https://bugs.webkit.org/show_bug.cgi?id=81229

        Reviewed by Philippe Normand.

        * webkit/webkitwebresource.cpp:
        (webkit_web_resource_class_init): load-failed signal in WebkitWebResource was using the wrong marshaller

2012-03-07  Martin Robinson  <mrobinson@igalia.com>

        Update the NEWS and version for the 1.7.91 release.

        Reviewed by Gustavo Noronha Silva.

        * NEWS: Update.

2012-03-06  Martin Robinson  <mrobinson@igalia.com>

        Fix a compilation warning encountered during the GTK+ build.

        Reviewed by Gustavo Noronha Silva.

        * tests/testcopyandpaste.c:
        (test_copy_and_paste): Cast the WebKitWebView to a GtkWidget.

2012-03-06  Philippe Normand  <pnormand@igalia.com>

        [GTK] FrameLoader signals: gtk-doc fixes
        https://bugs.webkit.org/show_bug.cgi?id=79495

        Reviewed by Martin Robinson.

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_class_init):
        * webkit/webkitwebresource.cpp:
        (webkit_web_resource_class_init):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_class_init):

2012-03-05  Martin Robinson  <mrobinson@igalia.com>

        [GTK] "Console: undefined @0: ReferenceError: Can't find variable: WebInspector" during testwebinspector
        https://bugs.webkit.org/show_bug.cgi?id=80235

        Reviewed by Philippe Normand.

        Wait to inspect the WebView until the page has finished loading. Also
        clean up some minor style errors.

        * tests/testwebinspector.c:
        (closeInspector): Small style fixes.
        (showInspector): Ditto.
        (loadFinished): Ditto.
        (test_webkit_web_inspector_close_and_inspect): Wait to inspect until the page has loaded.
        (test_webkit_web_inspector_destroy_inspected_web_view): Ditto.
        (main): Small style fixes.

2012-03-05  Martin Robinson  <mrobinson@igalia.com>

        [GTK] REGRESSION: r108278 broke some tests that expect focus
        https://bugs.webkit.org/show_bug.cgi?id=79084

        Reviewed by Philippe Normand.

        Grab focus before running the test. This ensures that if the
        WebView lost focus, it has it before sending events.

        * tests/testcopyandpaste.c:
        (test_copy_and_paste): Grab focus.

2012-02-27  Vincent Untz  <vuntz@gnome.org>

        Build fix for building with GTK+ 2.x.

        * tests/testwebview.c:

2012-02-22  Martin Robinson  <mrobinson@igalia.com>

        Update the NEWS file in preparation for the 1.7.90 release.

        Reviewed by Gustavo Noronha Silva.

        * NEWS: Update NEWS.

2012-02-22  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed, rolling out r107351.
        http://trac.webkit.org/changeset/107351
        https://bugs.webkit.org/show_bug.cgi?id=53600

        Several issues introduced in WebKitGTK+ API

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::ChromeClient):
        (WebKit::ChromeClient::chromeDestroyed):
        (WebKit::ChromeClient::canRunModal):
        (WebKit::ChromeClient::runModal):
        * WebCoreSupport/ChromeClientGtk.h:
        (ChromeClient):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_class_init):

2012-02-20  Martin Robinson  <mrobinson@igalia.com>

        Fix GTK+ unit tests after r108281.

        Reviewed by Alejandro G. Castro.

        * tests/testwebplugindatabase.c:
        (test_webkit_web_plugin_database_get_plugins): Update the description used
        in the test.

2012-02-20  Martin Robinson  <mrobinson@igalia.com>

        Fix GTK+ unit tests after r108278.

        Reviewed by Alejandro G. Castro.

        Now that WebCore is no longer stealing focus, we need to
        adjust where we grab focus to ensure that it actually succeeds.

        * tests/testcopyandpaste.c:
        (map_event_cb): No longer grab focus here.
        (runPasteTestCallback): Grabbing focus here seems to be late enough in the process.

2012-02-20  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Web content oftens steals focus from other widgets
        https://bugs.webkit.org/show_bug.cgi?id=77791

        Reviewed by Gustavo Noronha Silva.

        * tests/testwebview.c: Added a WebKit1 test to verify this behavior.

2012-02-20  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Needs to claim being a more up-to-date Chrome
        https://bugs.webkit.org/show_bug.cgi?id=79044

        Reviewed by Martin Robinson.

        * webkit/webkitwebsettings.cpp:
        (chromeUserAgent): update the version of Chrome we claim to be
        to avoid warnings from sites such as Wordpress saying that our
        browser is outdated.

2012-02-20  Paweł Forysiuk  <tuxator@o2.pl>
        [GTK] Can't find webinspector and error page redirection on Windows
        https://bugs.webkit.org/show_bug.cgi?id=51616

        Use an abstraction for finding shared resources on Windows.

        Reviewed by Martin Robinson.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidFailLoad):
        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorClient::inspectorFilesPath):

2012-02-19  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Remove unused GSettings stuff
        https://bugs.webkit.org/show_bug.cgi?id=78995

        Reviewed by Martin Robinson.

        * GNUmakefile.am: remove GSettings-related stuff.
        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit): Remove unused code.
        * org.webkitgtk.gschema.xml.in: Removed.
        * webkit/webkitwebinspector.cpp:
        (webkit_web_inspector_execute_script): remove gsettings-related helper.
        * webkit/webkitwebinspectorprivate.h: Ditto.

2012-02-17  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        [GTK] change the way of registering DeviceOrientation clients.
        https://bugs.webkit.org/show_bug.cgi?id=78680

        Reviewed by Gustavo Noronha Silva.

        Bug 78085 removed deviceOrientationClient and deviceMotionClient from PageClients. Instead,
        DeviceOrientationClient and DeviceMotionClient should be registered by PageSupplement class.
        Chromium, mac and qt ports are already changed by Bug 78085.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_init):

2012-02-16  Martin Robinson  <mrobinson@igalia.com>

        [GTK] [AC] Events can starve accelerated compositing updates
        https://bugs.webkit.org/show_bug.cgi?id=78826

        Reviewed by Gustavo Noronha Silva.

        Instead of using a WebCore timer, which can be starved by GdkEvents,
        use a raw GLib timer with GDK_PRIORITY_EVENTS to drive AC updates.
        This prevents dragging from blocking rendering.

        * WebCoreSupport/AcceleratedCompositingContext.h:
        (AcceleratedCompositingContext): Store a GLib source tag instead of a WebCore timer.
        * WebCoreSupport/AcceleratedCompositingContextClutter.cpp:
        (WebKit::AcceleratedCompositingContext::AcceleratedCompositingContext):
        (WebKit::AcceleratedCompositingContext::AcceleratedCompositingContext):
        Remove the timer upon destruction.
        (WebKit::syncLayersTimeoutCallback): Added this callback for the GLib timer.
        (WebKit::AcceleratedCompositingContext::markForSync): Use a GLib timer.
        (WebKit::AcceleratedCompositingContext::syncLayersTimeout): Ditto.
        * WebCoreSupport/AcceleratedCompositingContextGL.cpp:
        (WebKit::AcceleratedCompositingContext::AcceleratedCompositingContext):
        (WebKit::AcceleratedCompositingContext::~AcceleratedCompositingContext):
        Remove the timer upon destruction.
        (WebKit::syncLayersTimeoutCallback): Added this callback for the GLib timer.
        (WebKit::AcceleratedCompositingContext::markForSync): Use a GLib timer.
        (WebKit::AcceleratedCompositingContext::syncLayersTimeout): Ditto.

2012-02-16  Adam Barth  <abarth@webkit.org>

        Attempt to fix the GTK build.

        * WebCoreSupport/GeolocationClientGtk.cpp:
        (WebKit::GeolocationClient::requestPermission):
        (WebKit::GeolocationClient::cancelPermissionRequest):

2012-02-16  Sergio Villar Senin  <svillar@igalia.com>

        [soup] Move important SoupSession feature initialization to WebCore
        https://bugs.webkit.org/show_bug.cgi?id=68602

        Reviewed by Martin Robinson.

        Moved content sniffer and decoder initialization from WebKit to
        WebCore because network stuff will not work as expected without
        them.

        No new tests required as we're just moving stuff from WebKit to
        WebCore.

        * webkit/webkitglobals.cpp:
        (webkitInit):

2012-02-16  Philippe Normand  <pnormand@igalia.com>

        Unreviewed, rolling out r107941.
        http://trac.webkit.org/changeset/107941
        https://bugs.webkit.org/show_bug.cgi?id=68602

        Broke 23 http tests on GTK

        * webkit/webkitglobals.cpp:
        (webkitInit):

2012-02-16  Sergio Villar Senin  <svillar@igalia.com>

        [soup] Move important SoupSession feature initialization to WebCore
        https://bugs.webkit.org/show_bug.cgi?id=68602

        Reviewed by Martin Robinson.

        Moved content sniffer and decoder initialization from WebKit to
        WebCore because network stuff will not work as expected without
        them.

        No new tests required as we're just moving stuff from WebKit to
        WebCore.

        * webkit/webkitglobals.cpp:
        (webkitInit):

2012-01-31  Raphael Kubo da Costa  <kubo@profusion.mobi>

        [soup] Add support for multiple SoupSessions.
        https://bugs.webkit.org/show_bug.cgi?id=77341

        Reviewed by Gustavo Noronha Silva.

        Adapt to the changes to FrameNetworkingContext in WebCore.

        * GNUmakefile.am:
        * WebCoreSupport/FrameNetworkingContextGtk.cpp: Copied from Source/WebKit/gtk/WebCoreSupport/FrameNetworkingContextGtk.h.
        (WebKit):
        (WebKit::FrameNetworkingContextGtk::soupSession): Always return ResourceHandle::defaultSession().
        * WebCoreSupport/FrameNetworkingContextGtk.h:
        (FrameNetworkingContextGtk):

2012-02-15  Sadrul Habib Chowdhury  <sadrul@chromium.org>

        Notify ChromeClient when touch-event handlers are installed/removed.
        https://bugs.webkit.org/show_bug.cgi?id=77440

        Reviewed by Darin Fisher and Ryosuke Niwa.

        * WebCoreSupport/ChromeClientGtk.h:
        (WebKit::ChromeClient::numTouchEventHandlersChanged):

2012-02-15  No'am Rosenthal  <noam.rosenthal@nokia.com>

        [Texmap] Divide TextureMapperNode.cpp to 3 files.
        https://bugs.webkit.org/show_bug.cgi?id=76660

        Rename TextureMapperNode to TextureMapperLayer.        

        Reviewed by Kenneth Rohde Christiansen.

        * WebCoreSupport/AcceleratedCompositingContext.h:
        (AcceleratedCompositingContext):
        * WebCoreSupport/AcceleratedCompositingContextGL.cpp:
        (WebKit::AcceleratedCompositingContext::AcceleratedCompositingContext):
        (WebKit::AcceleratedCompositingContext::enabled):
        (WebKit::AcceleratedCompositingContext::renderLayersToWindow):
        (WebKit::AcceleratedCompositingContext::attachRootGraphicsLayer):
        (WebKit::AcceleratedCompositingContext::syncLayersTimeout):

2012-02-11  Nikolas Zimmermann  <nzimmermann@rim.com>

        Convert svg/animations to use SMIL methods for driving the timeline
        https://bugs.webkit.org/show_bug.cgi?id=78422

        Reviewed by Dirk Schulze.

        Remove SVG animation sampling functionality provided for DRT, which no longer uses it.
        Instead we switched the svg/animations tests to use SVGSVGElement.setCurrentTime.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-02-13  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] Add GSList to the list of GObject types in GOwnPtr
        https://bugs.webkit.org/show_bug.cgi?id=78487

        Reviewed by Philippe Normand.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::runOpenPanel): Use GOwnPtr<GSList> for the
        list of filenames returned by gtk_file_chooser_get_filenames().

2012-02-09  Zan Dobersek  <zandobersek@gmail.com>

        [GTK] Add DRT support for modal dialogs
        https://bugs.webkit.org/show_bug.cgi?id=53600

        Reviewed by Martin Robinson.

        Add support for running modal dialogs.

        A new signal is added to the WebKitWebView. When emitted, the web view
        is requesting to be displayed as a modal dialog. If accepted, the
        ChromeClient then establishes a loop that is run until the chrome is destroyed.
        If denied, nothing is done.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::ChromeClient):
        (WebKit::ChromeClient::chromeDestroyed):
        (WebKit::ChromeClient::canRunModal):
        (WebKit::ChromeClient::runModal):
        * WebCoreSupport/ChromeClientGtk.h:
        (ChromeClient):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_class_init):

2012-02-09  Zan Dobersek  <zandobersek@gmail.com>

        [Gtk] security/set-form-autocomplete-attribute.html fails
        https://bugs.webkit.org/show_bug.cgi?id=78261

        Reviewed by Martin Robinson.

        Add a helper function to DumpRenderTreeSupportGtk, returning
        whether or not an element does perform autocompletion.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::elementDoesAutoCompleteForElementWithId):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        (DumpRenderTreeSupportGtk):

2012-02-09  Martin Robinson  <mrobinson@igalia.com>

        Build fix for GTK+ 2.x after my previous commit.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_expose_event): The name of the event is expose_event and not expose.

2012-02-08  Dan Vrátil  <dvratil@redhat.com>, Milan Crha <mcrha@redhat.com>

        [GTK] Embedded GtkWidgets are not drawn
        https://bugs.webkit.org/show_bug.cgi?id=63451

        Insert plugin widgets to WebKitWebView container as it's children.
        Chain up to parent in webkit_web_view_draw() to ensure the child widgets are drawn.

        Reviewed by Martin Robinson.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::createPlugin):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_draw):

2012-02-08  Mario Sanchez Prada  <msanchez@igalia.com>

        [Gtk] atk_text_get_text_at_offset() fails to provide the correct line for list items whose text wraps
        https://bugs.webkit.org/show_bug.cgi?id=73431

        Reviewed by Chris Fleizach.

        Updated unit test to check text wrapping accross different lines
        inside list items with bullet markers.

        * tests/testatk.c:
        (testWebkitAtkGetTextAtOffsetWithSpecialCharacters): Updated test.

2012-02-06  Martin Robinson  <mrobinson@igalia.com> and Nayan Kumar K  <nayankk@motorola.com>

        [GTK] Add TextureMapperGL implementation
        https://bugs.webkit.org/show_bug.cgi?id=75308

        Reviewed by Alejandro G. Castro.

        * GNUmakefile.am: Add AcceleratedCompositingContextGL to the list.
        * WebCoreSupport/AcceleratedCompositingContext.h:
        (AcceleratedCompositingContext): Added some members for AcceleratedCompositingContextGL.
        * WebCoreSupport/AcceleratedCompositingContextClutter.cpp: Added empty implementations
        for GraphicsLayerClient. This is only used for the GL variant.
        * WebCoreSupport/AcceleratedCompositingContextGL.cpp: Added.
        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::performAllPendingScrolls): Update the root layer while scrolling.
        (WebKit::ChromeClient::paint): Update the root layer after painting.
        * webkit/webkitwebsettings.cpp: Added an enable-accelerated-compositing setting.
        * webkit/webkitwebsettingsprivate.h: Ditto.
        * webkit/webkitwebview.cpp:
        (webkit_web_view_draw): Call into TextureMapper now.
        (webkit_web_view_realize): Use gdk_window_ensure_native here.
        (webkit_web_view_update_settings): Support the new enable-accelerated-compositing setting.
        (webkit_web_view_settings_notify): Ditto.

2012-02-06  Gustavo Noronha Silva  <gns@gnome.org>

        Do not try to chdir to the directory where the executable is in
        only if the path is absolute. This makes tests runnable from
        anywhere.

        Reviewed by Martin Robinson.

        * tests/test_utils.c:
        (testutils_relative_chdir):

2012-02-06  Gustavo Noronha Silva  <gns@gnome.org>

        Unreviewed fix for the new API test that is failing -
        WEBKIT_INSPECTOR_PATH needs to be set, since we do not install our
        builds.

        * tests/testwebinspector.c:
        (main):

2012-02-05  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Insta-crash when closing browser with inspector window opened
        https://bugs.webkit.org/show_bug.cgi?id=50744

        Reviewed by Martin Robinson.

        * GNUmakefile.am:
        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorClient::releaseFrontendPage): also let go of the
        frontend client when releasing the frontend page;
        (WebKit::InspectorFrontendClient::~InspectorFrontendClient(): Call releaseFrontendPage()
        like other ports do instead of just disconnectFrontendClient().
        (WebKit::InspectorFrontendClient::destroyInspectorWindow): Use GRefPtr for the
        inspector ref.
        (WebKit::InspectorFrontendClient::bringToFront): Adjust for GRefPtr usage.
        (WebKit::InspectorFrontendClient::attachWindow): Ditto.
        (WebKit::InspectorFrontendClient::detachWindow): Ditto.
        (WebKit::InspectorFrontendClient::inspectedURLChanged): Ditto.
        * WebCoreSupport/InspectorClientGtk.h:
        (InspectorFrontendClient): Use GRefPtr for inspector member.
        * tests/testwebinspector.c: Added. Test that killing a WebView with the inspector
        open does not crash, and that closing and reinspecting works.
        (quitLoop):
        (consoleMessageCallback):
        (inspectElementCallback):
        (closeInspector):
        (showInspector):
        (test_webkit_web_inspector_close_and_inspect):
        (test_webkit_web_inspector_destroy_inspected_web_view):
        (main):

2012-02-06  Gustavo Noronha Silva  <gns@gnome.org>

        Add a null check for the gdkwindow, that will happen if the window
        is not mapped.

        Reviewed by Martin Robinson.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::setCursor):

2012-02-06  Martin Robinson  <mrobinson@igalia.com>

        [GTK] WebKitWebView does a lot of work during size_allocate when not mapped
        https://bugs.webkit.org/show_bug.cgi?id=77743

        Reviewed by Gustavo Noronha Silva.

        Instead of resizing the guts of a WebView when it's not mapped, wait
        until it's mapped and do one resize. This prevents unmapped WebViews
        from adding to a container's resize cost.

        * webkit/webkitwebview.cpp:
        (resizeWebViewFromAllocation): Abstracted out this helper.
        (webkit_web_view_size_allocate): Wait until map to resize umapped widgets.
        (webkitWebViewMap): Added this vmethod implementation.
        (webkit_web_view_class_init): Added vmethod.
        * webkit/webkitwebviewprivate.h: Added new needsResizeOnMap member.

2012-02-06  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Update NEWS and configure.ac for 1.7.5 release
        https://bugs.webkit.org/show_bug.cgi?id=77859

        Reviewed by Philippe Normand.

        * NEWS: Added release notes for 1.7.5.

2012-02-06  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Fix several gtkdoc-fixxref warnings
        https://bugs.webkit.org/show_bug.cgi?id=77613

        Reviewed by Martin Robinson.

        * docs/webkitgtk-docs.sgml: Remove webkitspellcheckerenchant
        section.
        * docs/webkitgtk-sections.txt: Remove webkitspellcheckerenchant
        symbols and move WebKitWebNavigationReason from the private
        section to the global section.
        * webkit/webkitwebnavigationaction.h: Document
        WebKitWebNavigationReason enum.

2012-02-02  Kalev Lember  <kalevlember@gmail.com>

        [GTK] Don't use uint
        https://bugs.webkit.org/show_bug.cgi?id=77678

        Reviewed by Martin Robinson.

        With the MingGW cross compiler toolchain in Fedora, uint wasn't
        defined, so use unsigned int instead.

        * WebCoreSupport/ChromeClientGtk.h:
        (ChromeClient): Use unsigned int instead of uint

2012-02-02  Claudio Saavedra  <csaavedra@igalia.com> and Martin Robinson  <mrobinson@igalia.com>

        [GTK] WebKitWebView won't work in a GtkOffscreenWindow
        https://bugs.webkit.org/show_bug.cgi?id=76911

        Reviewed by Philippe Normand.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::windowRect): Use the new widgetIsOnscreenToplevelWindow helper.
        (WebKit::ChromeClient::setWindowRect): Ditto.
        (WebKit::ChromeClient::unfocus): Ditto.
        (WebKit::ChromeClient::runOpenPanel): Ditto.
        * tests/testwebview.c: Added a test to ensure that loading a page in an offscreen window does not crash.
        * webkit/webkitglobals.cpp:
        (currentToplevelCallback):
        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_print_full):
        (webkit_web_frame_print):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_focus_in_event):
        (webkit_web_view_script_dialog):

2012-02-02  Mario Sanchez Prada  <msanchez@igalia.com>

        [Gtk] atk_text_get_text_at_offset() sometimes fails to provide the correct line
        https://bugs.webkit.org/show_bug.cgi?id=72382

        Reviewed by Martin Robinson.

        New unit test to ensure the right line is retrieved for the first
        position of each line in a multiline preformatted portion of text.

        * tests/testatk.c:
        (testWebkitAtkGetTextAtOffsetWithPreformattedText): New unit test.
        (main): Add the new unit test.

2012-02-01  Philippe Normand  <pnormand@igalia.com>

        [GStreamer] FFTFrame implementation
        https://bugs.webkit.org/show_bug.cgi?id=73545

        Reviewed by Chris Rogers.

        * GNUmakefile.am: Remove libfftw compilation flags.

2012-02-01  Philippe Normand  <pnormand@igalia.com>

        [GTK] unittests/testloading crashes
        https://bugs.webkit.org/show_bug.cgi?id=77544

        Reviewed by Xan Lopez.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidFailLoading): Bail out
        early from dispatchDidFailLoading if the error is the result of an
        interrupted load.

2012-02-01  Philippe Normand  <pnormand@igalia.com> and Sergio Villar Senin  <svillar@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Improve FrameLoader signals. Resource loading
        https://bugs.webkit.org/show_bug.cgi?id=49543

        New signals:
        WebKitWebFrame::resource-request-starting
        WebKitWebFrame::resource-response-received
        WebKitWebFrame::resource-load-finished
        WebKitWebFrame::resource-content-length-received
        WebKitWebFrame::resource-load-failed
        WebKitWebResource::response-received
        WebKitWebResource::load-failed
        WebKitWebResource::load-finished
        WebKitWebResource::content-length-received
        WebKitWebView::resource-response-received
        WebKitWebView::resource-load-finished
        WebKitWebView::resource-content-length-received
        WebKitWebView::resource-load-failed

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchWillSendRequest):
        (WebKit::FrameLoaderClient::dispatchDidReceiveResponse):
        (WebKit::FrameLoaderClient::dispatchDidReceiveContentLength):
        (WebKit::FrameLoaderClient::dispatchDidFinishLoading):
        (WebKit::FrameLoaderClient::dispatchDidFailLoading):
        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_class_init):
        * webkit/webkitwebresource.cpp:
        (webkit_web_resource_class_init):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_class_init):
        * webkitmarshal.list:

2012-01-23  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] Refactor GTK's accessibilitity code to be more modular
        https://bugs.webkit.org/show_bug.cgi?id=76783

        Reviewed by Martin Robinson.

        Update callers to WebKitAccessible's public functions.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::getFocusedAccessibleElement):
        (modifyAccessibilityValue):
        (DumpRenderTreeSupportGtk::accessibilityHelpText):

2012-01-22  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] Refactor GTK's accessibilitity code to be more modular
        https://bugs.webkit.org/show_bug.cgi?id=76783

        Reviewed by Martin Robinson.

        Update the include for the AccessibilityObject wrapper header.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp: Update include.
        * webkit/webkitwebframe.cpp: Ditto.

2012-01-22  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] ATK text-caret-moved and text-selection-changed events not being emitted
        https://bugs.webkit.org/show_bug.cgi?id=76069

        Reviewed by Martin Robinson.

        Update caret browsing related unit tests to check emissions of
        'text-caret-moved' and 'text-selection-changed' signals.

        * tests/testatk.c:
        (textCaretMovedCallback): New callback for 'text-caret-moved'.
        (testWebkitAtkCaretOffsets): Check emissions of 'text-caret-moved'.
        (textSelectionChangedCallback): New callback for 'text-selection-changed'.
        (testWebkitAtkTextSelections): Check emissions of 'text-selection-changed'.

2012-01-18  Evan Nemerson  <evan@coeus-group.com>

        [GTK] WebKit-3.0.gir does not include information about C includes or exported packages
        https://bugs.webkit.org/show_bug.cgi?id=49875

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Add some information to the GIR generator to fix
        Vala binding generation.

2012-01-18  Carlos Garnacho  <carlosg@gnome.org>

        [GTK] Listen to GDK_SCROLL_MASK
        https://bugs.webkit.org/show_bug.cgi?id=76529

        Set GDK_SCROLL_MASK explicitly, as WebKitWebView does handle
        scroll events, scrolling currently works because GTK+ happens 
        to send such events to widgets listening to GDK_BUTTON_PRESS_MASK,
        but this isn't the intended behavior, so it's subject to change.

        Reviewed by Martin Robinson.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_realize):

2012-01-17  Martin Robinson  <mrobinson@igalia.com>

        [Gtk] Input text field not repainted when value is changed
        https://bugs.webkit.org/show_bug.cgi?id=76279

        Reviewed by Gustavo Noronha Silva.

        Force pending relayouts before freezing the dirty region in a temporary.
        This prevents the following code from throwing the dirty updates away
        after the original paint is finished.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::paintWebView): Remove the relayout.
        (WebKit::ChromeClient::paint): Move the relayout here, before the
        dirty region is frozen.

2012-01-16  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Update NEWS and configure.ac for 1.7.4 release
        https://bugs.webkit.org/show_bug.cgi?id=76375

        Reviewed by Philippe Normand.

        * NEWS: Added release notes for 1.7.4.

2012-01-13  Mario Sanchez Prada  <msanchez@igalia.com>

        Unreviewed, rolling out r104905.
        http://trac.webkit.org/changeset/104905
        https://bugs.webkit.org/show_bug.cgi?id=76267

        This patch broke tests in the GTK 64bit Debug bot (Requested
        by msanchez on #webkit).

        * tests/testatk.c:
        (testWebkitAtkCaretOffsets):
        (testWebkitAtkTextSelections):

2012-01-13  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] ATK text-caret-moved and text-selection-changed events not being emitted
        https://bugs.webkit.org/show_bug.cgi?id=76069

        Reviewed by Martin Robinson.

        Update caret browsing related unit tests to check emissions of
        'text-caret-moved' and 'text-selection-changed' signals.

        * tests/testatk.c:
        (textCaretMovedCallback): New callback for 'text-caret-moved'.
        (testWebkitAtkCaretOffsets): Check emissions of 'text-caret-moved'.
        (textSelectionChangedCallback): New callback for 'text-selection-changed'.
        (testWebkitAtkTextSelections): Check emissions of 'text-selection-changed'.

2012-01-12  Mario Sanchez Prada  <msanchez@igalia.com>

        [Gtk] Removed duplicated unit test.

        The unit test testWebkitAtkGetTextAtOffsetForms is exactly the
        same test case than testWebkitAtkGetTextAtOffset, so it makes no
        sense to have it duplicated.

        Rubber-stamped by Martin Robinson.

        * tests/testatk.c:
        (main): Removed testWebkitAtkGetTextAtOffsetForms.

2012-01-10  Mario Sanchez Prada  <msanchez@igalia.com>

        AX: support helpText() in DumpRenderTree
        https://bugs.webkit.org/show_bug.cgi?id=40193

        Reviewed by Chris Fleizach.

        Add support for retrieving WebCore's AccessibilityObject's
        helpText from the GTK DumpRenderTree.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::accessibilityHelpText): Returns result
        of calling to helpText() over the core accessibility object's.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2012-01-09  Mario Sanchez Prada  <msanchez@igalia.com>

        [Gtk] Regression: text-inserted events lack text inserted and current line
        https://bugs.webkit.org/show_bug.cgi?id=72830

        Reviewed by Martin Robinson.

        Updated unit tests to check that both getting the current position
        for the caret and the exposed text at, before or after a given
        offset for an accessible object works as expected.

        * tests/testatk.c:
        (runGetTextTests): For objects implementing AtkEditableText, try
        to change the exposed text and retrieve it again as a full line.
        (testWebkitAtkCaretOffsets): For a text control (a text entry),
        set the caret offset to a value greater than 1 and retrieve it.

2012-01-05  Martin Robinson  <mrobinson@igalia.com>

        [GTK] [AC] Introduce AcceleratedCompositingContext to isolate different accelerated compositing implementations
        https://bugs.webkit.org/show_bug.cgi?id=75519

        Reviewed by Alejandro G. Castro.

        Add an AcceleratedCompositingContext which will isolate all the different accelerated compositing
        implementations from one another. For right now this just includes the Clutter version.

        * GNUmakefile.am: Add the new files to the source list.
        * WebCoreSupport/AcceleratedCompositingContext.h: Added.
        * WebCoreSupport/AcceleratedCompositingContextClutter.cpp: Added. Existing
        clutter AC code has moved here.
        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::attachRootGraphicsLayer): Use the new AccleratedCompositingContext now
        instead of calling into the WebView.
        (WebKit::ChromeClient::setNeedsOneShotDrawingSynchronization):Ditto.
        (WebKit::ChromeClient::scheduleCompositingLayerSync): Ditto.
        * webkit/webkitwebview.cpp:
        (webkit_web_view_size_allocate): Call in the ACContext.
        (webkit_web_view_init): Initialize the ACContext.
        * webkit/webkitwebviewprivate.h: Add the ACContext as a private member.

2012-01-03  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Use gdk_screen_get_monitor_workarea() when available for screenAvailableRect()
        https://bugs.webkit.org/show_bug.cgi?id=75435

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Make sure unit tests link to X11.

2011-12-20  Yuta Kitamura  <yutak@chromium.org>

        [GTK] Change default WebSocket protocol to the latest one
        https://bugs.webkit.org/show_bug.cgi?id=74064

        Reviewed by Martin Robinson.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):
        Use hybi WebSocket protocol by default.

2011-12-19  Sam Weinig  <sam@webkit.org>

        More PlatformEvent cleanup
        https://bugs.webkit.org/show_bug.cgi?id=74831

        Reviewed by Dan Bernstein.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_forward_context_menu_event):
        (webkit_web_view_get_hit_test_result):
        Update to use new names, access style.

2011-12-16  Ryosuke Niwa  <rniwa@webkit.org>

        Rename registerCommandFor(Undo|Redo) to register(Undo|Redo)Step
        https://bugs.webkit.org/show_bug.cgi?id=74748

        Reviewed by Eric Seidel.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::registerUndoStep):
        (WebKit::EditorClient::registerRedoStep):
        * WebCoreSupport/EditorClientGtk.h:

2011-12-16  Sam Weinig  <sam@webkit.org>

        Give PlatformEvents a base class
        https://bugs.webkit.org/show_bug.cgi?id=74685

        Reviewed by Anders Carlsson.

        Add a base class for PlatformMouseEvent, PlatformKeyboardEvent, PlatformWheelEvent
        and PlatformGestureEvent and move Type enumeration and modifiers down to it.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::handleKeyboardEvent):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_popup_menu_handler):

2011-12-16  Ryosuke Niwa  <rniwa@webkit.org>

        Only EditCommandComposition should implement unapply and reapply
        https://bugs.webkit.org/show_bug.cgi?id=74490

        Reviewed by Eric Seidel.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::registerCommandForUndo):
        (WebKit::EditorClient::registerCommandForRedo):
        (WebKit::EditorClient::undo):
        (WebKit::EditorClient::redo):
        * WebCoreSupport/EditorClientGtk.h:

2011-12-16  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Update NEWS and configure.ac for 1.7.3 release
        https://bugs.webkit.org/show_bug.cgi?id=74699

        Reviewed by Philippe Normand.

        * NEWS: Added release notes for 1.7.3.

2011-12-14  Jing Zhao  <jingzhao@chromium.org>

        Opening two popup menus by dispatchEvent() makes problems.
        https://bugs.webkit.org/show_bug.cgi?id=73304

        Reviewed by Kent Tamura.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::hasOpenedPopup): Not implemented.
        * WebCoreSupport/ChromeClientGtk.h: Overrides hasOpenedPopup().

2011-12-12  Ryosuke Niwa  <rniwa@webkit.org>

        WebKit code shouldn't be calling applyCommand directly
        https://bugs.webkit.org/show_bug.cgi?id=74337

        Reviewed by Darin Adler.

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_replace_selection):

2011-12-12  Martin Robinson  <mrobinson@igalia.com>

        [GTK] gtk_widget_size_allocate for plugin widgets should happen in the WebView size-allocate method
        https://bugs.webkit.org/show_bug.cgi?id=72805

        Reviewed by Gustavo Noronha Silva.

        Instead of immediately calling gtk_widget_size during painting, defer
        this until the size-allocate method of the WebView.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::paint): If any child widgets have a pending allocation
        call gtk_widget_size_allocate.
        * webkit/webkitwebview.cpp:
        (updateChildAllocationFromPendingAllocation): Added this helper.
        (webkit_web_view_size_allocate): Call the helper on all child widgets.

2011-12-09  Joone Hur  <joone.hur@collabora.co.uk>

        [GTK] Initial implementation of Accelerated Compositing using Clutter
        https://bugs.webkit.org/show_bug.cgi?id=73319

        This patch allows to add a GtkClutterEmbed to embed Clutter Actors in WebKitWebView and 
        set the root GraphicsLayer to WebKitWebView when Accelerated Compositing needs to be enabled.

        Reviewed by Gustavo Noronha Silva.

        * GNUmakefile.am:
        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::attachRootGraphicsLayer): Set the root GraphicsLayer to WebKitWebView.
        (WebKit::ChromeClient::allowedCompositingTriggers): Allow to support CSS 3D Transforms only.
        * webkit/webkitglobals.cpp:
        (webkitInit): Call gtk_clutter_init().
        * webkit/webkitwebview.cpp:
        (webkit_web_view_size_allocate): Set the size of GtkClutterEmbed when the view is changed.
        (webkit_web_view_init)
        (webViewSetRootGraphicsLayer): Add the GtkClutterEmbed to the WebKitWebView as a child.
        (webViewDetachRootGraphicsLayer): Remove the GtkClutterEmbed from the WebKitWebView.
        (webViewSyncLayers): Commit layer changes.
        (webViewMarkForSync): Set to call webViewSyncLayers using g_timeout_add.
        * webkit/webkitwebviewprivate.h:

2011-12-07  Mary Wu  <mary.wu@torchmobile.com.cn>

        Change function name InitializeLoggingChannelsIfNecessary to follow coding style guideline
        https://bugs.webkit.org/show_bug.cgi?id=73986

        Reviewed by Kenneth Rohde Christiansen.

        * webkit/webkitglobals.cpp:
        (webkitInit):

2011-12-05  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] Move emissions of AtkDocument signals down to WebCore
        https://bugs.webkit.org/show_bug.cgi?id=73750

        Reviewed by Chris Fleizach.

        Removed code for emission of AtkDocument signals.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::notifyStatus): Removed no longer used code.

2011-12-04  Mario Sanchez Prada  <msanchez@igalia.com>

        [Gtk] Check for the load-complete event only in the unit tests.

        There is currently a known issue happening in debug builds when
        reloading the webview if it was loaded before through the function
        webkit_web_view_load_string, resulting in a ASSERT failing (see
        bug 50331) so we can't check for the reload event here, since it
        makes the test to fail. Fortunately, checking for load-complete
        event is a good enough test, so this small patch is about that.

        Rubber-stamped by Philippe Normand.

        * tests/testatk.c:
        (testWebkitAtkDocumentLoadingEvents): Don't load and then reload
        to check events, just load once and check whether the
        'load-complete' event has happened.

2011-12-03  Mario Sanchez Prada  <msanchez@igalia.com>

        Removing document related events from DRT

        [GTK] Don't log document events in DRT
        https://bugs.webkit.org/show_bug.cgi?id=73746

        Reviewed by Martin Robinson.

        New unit test to check events when reloading a document. This
        replaces the former document-reload-events.html layout test.

        * tests/testatk.c:
        (updateLoadingEventsResult): New, updates a global variable to
        allow checking later on that the right signals were emmitted.
        (documentLoadingEventCallback): New, global listener for load-complete
        and reload signals over the document object (the web area).
        (testWebkitAtkDocumentLoadingEvents): New unit test, globally
        connects to document-related signals and check they are properly
        emitted when reloading the web view.
        (main): Added new test.

2011-12-03  Xan Lopez  <xlopez@igalia.com>

        [GTK] Implement History API FrameLoaderClient methods
        https://bugs.webkit.org/show_bug.cgi?id=59017

        Reviewed by Gustavo Noronha Silva.

        Fake the load process when the new HTML5 History APIs are
        used. Otherwise the UA does not have a chance of updating the URL
        entry, back/forward buttons, etc.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidNavigateWithinPage): fake a
        load process.
        (WebKit::FrameLoaderClient::dispatchDidPushStateWithinPage): call
        dispatchDidNavigateWithinPage.
        (WebKit::FrameLoaderClient::dispatchDidReplaceStateWithinPage):
        ditto.
        (WebKit::FrameLoaderClient::dispatchDidPopStateWithinPage): do
        nothing, because push was already called, but note this in a
        comment.
        * WebCoreSupport/FrameLoaderClientGtk.h: add the new method.

2011-12-02  Philippe Normand  <pnormand@igalia.com>

        [GStreamer] Fullscreen controller support for the new WebKit Fullscreen API
        https://bugs.webkit.org/show_bug.cgi?id=66968

        Reviewed by Martin Robinson.

        If the element being fullscreened is a video use the native
        fullscreen controls.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::enterFullScreenForElement):
        (WebKit::ChromeClient::exitFullScreenForElement):

2011-12-01  Philippe Normand  <pnormand@igalia.com>

        [GTK] scrollbars interfering with fullscreen (in-window) video rendering
        https://bugs.webkit.org/show_bug.cgi?id=73577

        Reviewed by Martin Robinson.

        Disable scrollbars when switching to fullscreen.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::contentsSizeChanged): Ignore size changes
        when an element is being displayed fullscreen.
        (WebKit::ChromeClient::enterFullScreenForElement): Disable
        scrollbars when entering fullscreen.
        * WebCoreSupport/GtkAdjustmentWatcher.cpp: Added 2 methods to
        enable/disable scrollbars and one method to know whether they are
        enabled or not.
        (WebKit::GtkAdjustmentWatcher::GtkAdjustmentWatcher):
        (WebKit::updateAdjustmentFromScrollbar):
        (WebKit::GtkAdjustmentWatcher::updateAdjustmentsFromScrollbars):
        (WebKit::GtkAdjustmentWatcher::updateAdjustmentsFromScrollbarsLater):
        (WebKit::GtkAdjustmentWatcher::disableAllScrollbars):
        (WebKit::GtkAdjustmentWatcher::enableAllScrollbars):
        * WebCoreSupport/GtkAdjustmentWatcher.h:
        (WebKit::GtkAdjustmentWatcher::scrollbarsDisabled):

2011-11-21  Philippe Normand  <pnormand@igalia.com>

        [GTK] enable-webaudio websetting
        https://bugs.webkit.org/show_bug.cgi?id=69836

        Reviewed by Martin Robinson.

        * webkit/webkitwebsettings.cpp: New enable-webaudio boolean
        setting, set to FALSE by default.
        (webkit_web_settings_class_init):
        (webkit_web_settings_set_property):
        (webkit_web_settings_get_property):
        * webkit/webkitwebsettingsprivate.h: Ditto.
        * webkit/webkitwebview.cpp: Update WebCore settings when
        enable-webaudio value changes.
        (webkit_web_view_update_settings):
        (webkit_web_view_settings_notify):

2011-11-30  Alexey Proskuryakov  <ap@apple.com>

        Remove an unneeded argument from FrameLoaderClient::download
        https://bugs.webkit.org/show_bug.cgi?id=73486

        Reviewed by Andreas Kling.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::download):
        * WebCoreSupport/FrameLoaderClientGtk.h:
        Updated for the change.

2011-11-30  Alejandro G. Castro  <alex@igalia.com>

        [GTK] Add TextureMapperCairo boilerplate implementation
        https://bugs.webkit.org/show_bug.cgi?id=73440

        Add texture mapper glue to the widget and chrome client.

        Reviewed by Martin Robinson.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::attachRootGraphicsLayer):
        (WebKit::ChromeClient::setNeedsOneShotDrawingSynchronization):
        (WebKit::ChromeClient::scheduleCompositingLayerSync):
        (WebKit::ChromeClient::allowedCompositingTriggers):
        * webkit/webkitwebview.cpp:
        (webViewSetRootGraphicsLayer):
        (webViewMarkForSync):
        * webkit/webkitwebviewprivate.h:

2011-11-30  Philippe Normand  <pnormand@igalia.com>

        [GTK] HTML5 Youtube video fullscreen button doesn't work
        https://bugs.webkit.org/show_bug.cgi?id=73456

        Reviewed by Martin Robinson.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::supportsFullScreenForElement): Ignore
        withKeyboard argument value, like Chrome's implementation.

2011-11-29  Sergio Villar Senin  <svillar@igalia.com>

        [GTK] SIGSEV when a WebKitDownload fails
        https://bugs.webkit.org/show_bug.cgi?id=72883

        Reviewed by Xan Lopez.

        After r100769 http status codes >= 400 trigger download
        failures. We must ensure that the download is properly cancelled
        before clearing the ResourceHandle client to avoid crashes.

        * webkit/webkitdownload.cpp:
        (DownloadClient::didReceiveResponse):

2011-11-29  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Custom fonts on surlybikes.com and boingboing.net do not load
        https://bugs.webkit.org/show_bug.cgi?id=69115

        Reviewed by Gustavo Noronha Silva.

        Instead of pretending to be Safari/Linux, pretend to be a Linux Chrome.
        This fixes pages that assume that if a browser is Safari, but not OS X, it is
        the iOS version of Safari.

        * tests/testwebsettings.c:
        (test_webkit_web_settings_user_agent): Update the test to reflect that the
        user agent does not change.
        * webkit/webkitwebsettings.cpp:
        (chromeUserAgent): Renamed this from webkitUserAgent to more accurately
        describe what it is.
        (webkit_web_settings_class_init): Just use an empty string when initializing
        the user agent to reduce code duplication.
        (webkit_web_settings_set_property): Updated to reflect new method name.
        (userAgentForURL): We don't need to special case Google Calendar any longer.

2011-11-29  Mario Sanchez Prada  <msanchez@igalia.com>

        [Gtk] Regression: text-inserted events lack text inserted and current line
        https://bugs.webkit.org/show_bug.cgi?id=72830

        Reviewed by Chris Fleizach.

        Updated unit test to handle the new 'text-insert' and
        'text-remove' signals, instead of the 'text-changed' one.

        * tests/testatk.c:
        (textChangedCb): Update a global variable with the result of the
        text change, so we can check its value later.
        (testWebkitAtkTextChangedNotifications): Connect to the
        'text-insert' and 'text-remove' signals and check, in a way more
        carefully way than it was done before, that the signals are being
        properly emitted, and that the information attached to them is the
        right one for each case (insert/remove, offset, count and text).

2011-11-28  Stefan Zwanenburg  <stefanhetzwaantje@gmail.com>

        WebKitGTK+-1.7.2 build error due to a reference to gdk_disable_multidevice()
        https://bugs.webkit.org/show_bug.cgi?id=73206

        Reviewed by Martin Robinson.

        * tests/testatk.c:
        (initializeTestingFramework): Don't use gdk_disable_multidevice()
        when using GTK2.

2011-11-26  Pavel Feldman  <pfeldman@google.com>

        Web Inspector: remove disconnectFromBackend from the protocol.
        https://bugs.webkit.org/show_bug.cgi?id=73127

        Reviewed by Yury Semikhatsky.

        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorClient::inspectorDestroyed):
        (WebKit::InspectorClient::closeInspectorFrontend):
        * WebCoreSupport/InspectorClientGtk.h:

2011-11-26  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r101193.
        http://trac.webkit.org/changeset/101193
        https://bugs.webkit.org/show_bug.cgi?id=73158

        Breaks Windows and Qt minimal. (Requested by pfeldman on
        #webkit).

        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorClient::inspectorDestroyed):
        (WebKit::InspectorFrontendClient::disconnectFromBackend):
        * WebCoreSupport/InspectorClientGtk.h:

2011-11-26  Pavel Feldman  <pfeldman@google.com>

        Web Inspector: remove disconnectFromBackend from the protocol.
        https://bugs.webkit.org/show_bug.cgi?id=73127

        Reviewed by Yury Semikhatsky.

        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorClient::inspectorDestroyed):
        (WebKit::InspectorClient::closeInspectorFrontend):
        * WebCoreSupport/InspectorClientGtk.h:

2011-11-17  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Integrate build-gtkdoc into build-webkit and make
        https://bugs.webkit.org/show_bug.cgi?id=72626

        Reviewed by Philippe Normand.

        * docs/GNUmakefile.am: Removed.
        * docs/version.xml.in: Removed.

2011-11-23  Kaustubh Atrawalkar  <kaustubh@motorola.com>

        Documentation fix for load-committed in webkitwebframe
        https://bugs.webkit.org/show_bug.cgi?id=72927

        Reviewed by Martin Robinson.

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_class_init):

2011-11-22  Pavel Feldman  <pfeldman@google.com>

        Web Inspector: remove Inspector::bringToFront from the protocol.
        https://bugs.webkit.org/show_bug.cgi?id=72937

        Reviewed by Yury Semikhatsky.

        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorClient::bringFrontendToFront):
        * WebCoreSupport/InspectorClientGtk.h:

2011-11-22  Pavel Feldman  <pfeldman@google.com>

        Web Inspector: strip unused InspectorController methods.
        https://bugs.webkit.org/show_bug.cgi?id=72886

        Reviewed by Yury Semikhatsky.

        * webkit/webkitwebinspector.cpp:
        (webkit_web_inspector_set_property):
        (webkit_web_inspector_get_property):

2011-11-21  Yuta Kitamura  <yutak@chromium.org>

        [GTK] Enable WebSocket hybi tests
        https://bugs.webkit.org/show_bug.cgi?id=72870

        Reviewed by Xan Lopez.

        Change the settings value through DumpRenderTreeSupportGtk, because we do not
        want to expose this as a public API.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setHixie76WebSocketProtocolEnabled):
        Change the value of a flag in WebCore::Settings.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-11-21  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Update NEWS and configure.ac for 1.7.2 release
        https://bugs.webkit.org/show_bug.cgi?id=72868

        Reviewed by Xan Lopez.

        * NEWS: Added release notes for 1.7.2.

2011-10-17  Antonio Gomes  <agomes@rim.com>

        Pass a Frame* parameter in EditorClient::respondToChangedSelection
        https://bugs.webkit.org/show_bug.cgi?id=70248

        Reviewed by Ryosuke Niwa.

        * WebCoreSupport/EditorClientGtk.cpp: Make use of the newly added Frame* parameter.
        (WebKit::EditorClient::respondToChangedSelection):
        * WebCoreSupport/EditorClientGtk.h:

2011-11-18  Martin Robinson  <mrobinson@igalia.com>

        REGRESSION (r99924): broke 2 pasteboard tests on GTK
        https://bugs.webkit.org/show_bug.cgi?id=72131

        Reviewed by Tony Chang.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::setSelectionPrimaryClipboardIfNeeded): Use the new clearAll method.

2011-11-18  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] Accessibility API tests not loading Gtk's accessibility implementation
        https://bugs.webkit.org/show_bug.cgi?id=72732

        Reviewed by Philippe Normand.

        Ensure that the GAIL module is being loaded by avoiding using
        gtk_test_init() directly, but a modified version of it.

        * tests/testatk.c:
        (testWebkitAtkParentForRootObject): Use a normal GtkWidget (a
        GtkWindow) as the parent container for the webView, instead of
        using a dummy webView for that, which was hackish.
        (testWebkitAtkSetParentForObject): Use normal GtkWidgets instead
        of dummy webViews (a GtkWindow and a GtkButton).
        (initializeTestingFramework): New function, identical to
        gtk_test_init(), but loading GAIL as the only GTK module.
        (main): Use initializeTestingFramework().

2011-11-18  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Downloads not started by WebView only fail for transport errors
        https://bugs.webkit.org/show_bug.cgi?id=72718

        Reviewed by Martin Robinson.

        Abort the download with an error if the response contains an
        error code. It adds a new test case to the download unit tests.

        * tests/testdownload.c:
        (notifyDownloadStatusCallback):
        (serverCallback):
        (test_webkit_download_not_found):
        (main):
        * webkit/webkitdownload.cpp:
        (DownloadClient::didReceiveResponse): Check whether http status of
        the response is an error code and emit error signal in such case.

2011-11-18  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] Accessibility API tests failing because of using non-WebKit GtkWidgets
        https://bugs.webkit.org/show_bug.cgi?id=72708

        Reviewed by Xan Lopez.

        Do not use non-WebKit GtkWidget's in unit tests, to avoid problems
        when GTK's accessibility implementation is not being loaded.

        * tests/testatk.c:
        (testWebkitAtkParentForRootObject): Use a dummy WebKitWebView
        widget as the parent container needed for this unit test.
        (testWebkitAtkSetParentForObject): Ditto.

2011-11-17  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Remove the last remaining WebKit1 gtkdoc warnings
        https://bugs.webkit.org/show_bug.cgi?id=72627

        Reviewed by Philippe Normand.

        * webkit/webkitdownload.h: Add missing enum documentation.
        * webkit/webkiterror.h: Ditto.
        * webkit/webkitwebview.h: Ditto.

2011-11-17  Mario Sanchez Prada  <msanchez@igalia.com>

        [Gtk] Ensure the parent for the webView's a11y object is set.

        This should fix some accessibility related GTK API tests.

        Rubber-stamped by Philippe Normand.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_accessible): Always set the parent to make
        navigation across GTK and WebKit worlds work properly.

2011-11-17  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] Consider parent AtkObject in webkit_accessible_get_parent(), if already set
        https://bugs.webkit.org/show_bug.cgi?id=72525

        Reviewed by Xan Lopez.

        * tests/testatk.c:
        (testWebkitAtkSetParentForObject): New unit test to check that
        calls to atk_object_get_parent() over a WebKitGTK's accessibility
        wrapper object returns its parent AtkObject if previously set.
        (main): Added new test.

2011-11-17  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] ATK API tests failing because of patch for bug 72390
        https://bugs.webkit.org/show_bug.cgi?id=72592

        Reviewed by Philippe Normand.

        * tests/testatk.c:
        (testWebkitAtkParentForRootObject): Remove the offending line in
        the unit test, which is not actually required to test the new
        functionality and causes problems in some scenarios, due to the
        lazy creation mechanism of AtkObjects.

        * tests/testatkroles.c:
        (finish_loading): Reflect that the document frame object is no
        longer the root accessibility object (a scroll pane from now on),
        but the only child of that one. Thus, skip that root object.

2011-11-16  Mario Sanchez Prada  <msanchez@igalia.com>

        [GTK] Do not hide accessibility root object from AT's
        https://bugs.webkit.org/show_bug.cgi?id=72390

        Reviewed by Martin Robinson.

        * tests/testatk.c:
        (getWebAreaObject): New helper function, to bypass the new root
        object in the accessibility hierarchy, since it's not usually
        needed for the unit tests.
        (testWebkitAtkCaretOffsets): Use getWebAreaObject().
        (testWebkitAtkCaretOffsetsAndExtranousWhiteSpaces): Ditto.
        (testWebkitAtkComboBox): Ditto.
        (testWebkitAtkEmbeddedObjects): Ditto.
        (testWebkitAtkGetTextAtOffsetForms): Ditto.
        (testWebkitAtkGetTextAtOffset): Ditto.
        (testWebkitAtkGetTextAtOffsetNewlines): Ditto.
        (testWebkitAtkGetTextAtOffsetTextarea): Ditto.
        (testWebkitAtkGetTextAtOffsetTextInput): Ditto.
        (testWebkitAtkGetTextAtOffsetWithSpecialCharacters): Ditto.
        (testWebkitAtkGetTextInParagraphAndBodySimple): Ditto.
        (testWebkitAtkGetTextInParagraphAndBodyModerate): Ditto.
        (testWebkitAtkGetTextInTable): Ditto.
        (testWebkitAtkGetHeadersInTable): Ditto.
        (testWebkitAtkTextAttributes): Ditto.
        (testWebkitAtkTextSelections): Ditto.
        (testWebkitAtkGetExtents): Ditto.
        (testWebkitAtkLayoutAndDataTables): Ditto.
        (testWebkitAtkLinksWithInlineImages): Ditto.
        (testWebkitAtkHypertextAndHyperlinks): Ditto.
        (testWebkitAtkListsOfItems): Ditto.
        (testWebkitAtkTextChangedNotifications): Ditto.
        (testWebkitAtkParentForRootObject): New test, to make sure that
        both top-down and bottom-up navigation among GTK and WebKit worlds
        matches accordingly.
        (main): Added new test.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_accessible): Remove the hack introduced
        because of bug 51932, to bypass the root object here.

2011-11-15  Anders Carlsson  <andersca@apple.com>

        HostWindow screenToWindow/windowToScreen should be screenToRootView/rootViewToScreen
        https://bugs.webkit.org/show_bug.cgi?id=72397

        Reviewed by Dan Bernstein.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::rootViewToScreen):
        (WebKit::ChromeClient::screenToRootView):
        * WebCoreSupport/ChromeClientGtk.h:

2011-11-14  Anders Carlsson  <andersca@apple.com>

        HostWindow invalidation functions should use root view coordinates
        https://bugs.webkit.org/show_bug.cgi?id=72338

        Reviewed by Dan Bernstein.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::invalidateRootView):
        (WebKit::ChromeClient::invalidateContentsAndRootView):
        (WebKit::ChromeClient::invalidateContentsForSlowScroll):
        * WebCoreSupport/ChromeClientGtk.h:

2011-11-15  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Implement download support in WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=72258

        Reviewed by Martin Robinson.

        Use errors from WebCore to emit the error signals.

        * webkit/webkitdownload.cpp:
        (webkitDownloadEmitError): Helper function that emits the error
        signal for the given ResourceError.
        (webkit_download_open_stream_for_uri): Use webkitDownloadEmitError().
        (webkit_download_cancel): Ditto.
        (webkit_download_set_destination_uri): Ditto.
        (webkit_download_received_data): Ditto.
        (webkit_download_error): Ditto.

2011-11-14  Ryuan Choi  <ryuan.choi@samsung.com>

        [GTK] Possible crash when destroying after called widgetSizeChanged.
        https://bugs.webkit.org/show_bug.cgi?id=72237

        Reviewed by Martin Robinson.

        Crash can occur when ChromeclientGtk is removed before calling repaintEverythingSoonTimeout
        registered by widgetSizeChanged.
        This patch remove the m_repaintSoonSourceId glib source before destruction
        of the ChromeClientGtk to prevent the above crash.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::chromeDestroyed):

2011-11-09  Philippe Normand  <pnormand@igalia.com>

        [GTK][DRT] window internals object is not reset after each test
        https://bugs.webkit.org/show_bug.cgi?id=71890

        Reviewed by Martin Robinson.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp: Remove problematic
        calls to WebCoreSupport which belongs to libWebCoreInternals, not libwebkitgtk.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-11-09  Philippe Normand  <pnormand@igalia.com>

        [GTK][DRT] window internals object is not reset after each test
        https://bugs.webkit.org/show_bug.cgi?id=71890

        Reviewed by Xan Lopez.

        DRTSupport infrastructure to reset the Internals object, like in Qt.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::resetInternalsObject):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-11-07  Adam Barth  <abarth@webkit.org>

        Move static "policy" state from SecurityOrigin.cpp to SecurityPolicy.cpp
        https://bugs.webkit.org/show_bug.cgi?id=71755

        Reviewed by Eric Seidel.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::whiteListAccessFromOrigin):
        (DumpRenderTreeSupportGtk::resetOriginAccessWhiteLists):

2011-11-08  Zan Dobersek  <zandobersek@gmail.com>

        [WK][GTK] Application cache directory is incorrectly set
        https://bugs.webkit.org/show_bug.cgi?id=71769

        Reviewed by Martin Robinson.

        Set the application cache directory to be placed in current user's
        cache directory and update documentation for
        webkit_application_cache_get_database_directory_path after these
        changes and changes in r80715;

        * webkit/webkitapplicationcache.cpp:
        * webkit/webkitglobals.cpp:
        (webkitInit): Switch one string formation to use GOwnPtr<gchar>.

2011-11-03  Darin Adler  <darin@apple.com>

        Change remaining callers of releaseRef to call leakRef
        https://bugs.webkit.org/show_bug.cgi?id=71422

        Reviewed by Darin Fisher.

        * webkit/webkitwebdatasource.cpp:
        (WebKit::kitNew):
        * webkit/webkitwebhistoryitem.cpp:
        (webkit_web_history_item_new):
        (webkit_web_history_item_new_with_data):
        (webkit_web_history_item_copy):
        (WebKit::kit):
        * webkit/webkitwebresource.cpp:
        (webkit_web_resource_new_with_core_resource):
        (webkit_web_resource_init_with_core_resource):
        Use leakRef.

2011-11-02  Darin Adler  <darin@apple.com>

        Change remaining callers of releaseRef to call leakRef
        https://bugs.webkit.org/show_bug.cgi?id=71422

        Reviewed by Darin Fisher.

        * webkit/webkitwebdatasource.cpp:
        (WebKit::kitNew):
        * webkit/webkitwebhistoryitem.cpp:
        (webkit_web_history_item_new):
        (webkit_web_history_item_new_with_data):
        (webkit_web_history_item_copy):
        (WebKit::kit):
        * webkit/webkitwebresource.cpp:
        (webkit_web_resource_new_with_core_resource):
        (webkit_web_resource_init_with_core_resource):
        Use leakRef.

2011-11-03  Fady Samuel  <fsamuel@chromium.org>

        Removing line in computeViewportAttributes that enforces a minimum scale factor to never allow zooming out more than viewport
        https://bugs.webkit.org/show_bug.cgi?id=70609

        Reviewed by Kenneth Rohde Christiansen.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::dumpConfigurationForViewport):
        * webkit/webkitviewportattributes.cpp:
        (webkitViewportAttributesRecompute):

2011-11-02  Jon Lee  <jonlee@apple.com>

        Expand DragController to provide more information about the dragging session
        https://bugs.webkit.org/show_bug.cgi?id=71324
        <rdar://problem/10379175>

        Reviewed by Darin Adler.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_drag_motion): Minor refactoring.
        (webkit_web_view_drag_data_received): Minor refactoring.

2011-11-02  Tom Sepez  <tsepez@chromium.org>

        XSSAuditor is silent
        https://bugs.webkit.org/show_bug.cgi?id=70973

        Reviewed by Adam Barth.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::didDetectXSS):
        * WebCoreSupport/FrameLoaderClientGtk.h:

2011-11-02  Zan Dobersek  <zandobersek@gmail.com>

        [GTK] Visited links of a page group should be removed when clearing back/forward list
        https://bugs.webkit.org/show_bug.cgi?id=71052

        Reviewed by Martin Robinson.

        When clearing back-forward list, also remove the visited links from page's page group.

        * webkit/webkitwebbackforwardlist.cpp:
        (webkit_web_back_forward_list_clear):

2011-10-31  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Install html and tmpl dirs in a $(DOC_MODULE) dir in tarball
        https://bugs.webkit.org/show_bug.cgi?id=71224

        Reviewed by Martin Robinson.

        * GNUmakefile.gtk-doc.am: Copy html and tmpl dirs to
        $(distdir)/$(DOC_MODULE).

2011-10-29  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Switch to a backing store approach for painting WebKitWebView
        https://bugs.webkit.org/show_bug.cgi?id=70213

        Reviewed by Gustavo Noronha Silva.

        Paint the WebView into a backing store. This prevents expose events from
        triggering a layout, making scrolling and resizing much smoother.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::ChromeClient): Initialize new members.
        (WebKit::repaintEverythingSoonTimeout): Added this helper which repaints
        the WebView more quickly during resize events.
        (WebKit::clipOutOldWidgetArea): Clips out the old widget area, so that we
        can clear out invalid pixels when growing the widget into a pre-existing
        backing store.
        (WebKit::clearEverywhereInBackingStore): Clear out the entire backing store.
        (WebKit::ChromeClient::widgetSizeChanged): Handle widget size changes by
        intelligently resizing or reusing the existing backing store.
        (WebKit::coalesceRectsIfPossible): Moved this method from webkitwebview.cpp.
        (WebKit::paintWebView): Moved this method from webkitwebview.cpp.
        (WebKit::ChromeClient::performAllPendingScrolls): If there are any pending
        scrolling operations, perform them by scrolling the backing store.
        (WebKit::ChromeClient::paint): Added this timer callback, which paints the
        WebView after a short timeout.
        (WebKit::ChromeClient::invalidateWindow): No need to do anything here any longer.
        (WebKit::ChromeClient::invalidateContentsAndWindow): Now unite the rect with
        the existing dirty region and queue the paint timeout.
        (WebKit::ChromeClient::scroll): Now just queue a scroll event in the repaint timeout.
        Intelligently calculate the area to move and the dirty area using code derived
        from WebKit2.
        * WebCoreSupport/ChromeClientGtk.h: Added new method definitions and also use
        the WebCore namespace to avoid lots of uses of "WebCore::".
        * webkit/webkitwebview.cpp:
        (webkit_web_view_draw): Now just blit the backing store into the widget.
        (webkit_web_view_expose): Ditto.
        (webkit_web_view_size_allocate): Let the ChromeClient know the widget size changed.
        (webkit_web_view_init): Turn off GDK double buffering as we have our own double
        buffer.
        * webkit/webkitwebviewprivate.h: Add the backing store member.

2011-10-28  Jochen Eisinger  <jochen@chromium.org>

        Rename a number of methods mentioning JavaScript to just Script instead
        https://bugs.webkit.org/show_bug.cgi?id=71105

        Reviewed by Adam Barth.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidClearWindowObjectInWorld):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):
        (webkit_web_view_settings_notify):

2011-10-27  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Remove most of the documentation errors from WebKit1
        https://bugs.webkit.org/show_bug.cgi?id=70670

        Reviewed by Gustavo Noronha Silva.

        Fix most of the documentation errors for WebKit and make many
        missing symbols show up in the documentation.

        * webkit/webkitglobals.h: Doc fixes.
        * webkit/webkitspellchecker.h: Ditto.
        * webkit/webkitspellcheckerenchant.cpp: Ditto.
        * webkit/webkitwebbackforwardlist.h: Ditto.
        * webkit/webkitwebdatasource.cpp: Ditto.
        * webkit/webkitwebframe.cpp: Ditto.
        * webkit/webkitwebinspector.cpp: Ditto.
        * webkit/webkitwebinspector.h: Ditto.
        * webkit/webkitwebplugin.h: Ditto.
        * webkit/webkitwebplugindatabase.cpp: Ditto.
        * webkit/webkitwebplugindatabase.h: Ditto.
        * webkit/webkitwebsettings.h: Ditto.
        * webkit/webkitwebview.cpp: Ditto.
        (webkit_web_view_class_init): Ditto.
        * webkit/webkitwebview.h: Ditto.

2011-10-27  Philippe Normand  <pnormand@igalia.com>

        [GStreamer] WebAudio AudioFileReader implementation
        https://bugs.webkit.org/show_bug.cgi?id=69834

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Link against libfftw.

2011-10-26  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Update NEWS and configure.ac for 1.7.1 release
        https://bugs.webkit.org/show_bug.cgi?id=70932

        Reviewed by Martin Robinson.

        * NEWS: Added release notes.

2011-10-26  Alejandro G. Castro  <alex@igalia.com>

        [GTK] Fix distcheck compilation
        https://bugs.webkit.org/show_bug.cgi?id=70921

        Add new files required by doc compilation to the clean process.

        Reviewed by Martin Robinson.

        * docs/GNUmakefile.am:

2011-10-26  Zalan Bujtas  <zbujtas@gmail.com>

        Name viewport change event consistently.
        https://bugs.webkit.org/show_bug.cgi?id=70901

        Reviewed by Kenneth Rohde Christiansen.

        Use ViewportPropertiesDidChange term consistently throughout WebKit.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::dispatchViewportPropertiesDidChange):
        * WebCoreSupport/ChromeClientGtk.h:

2011-10-26  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Remove g_thread_init() calls from gtk-doc scanner too
        https://bugs.webkit.org/show_bug.cgi?id=70908

        Reviewed by Gustavo Noronha Silva.

        * docs/GNUmakefile.am:

2011-10-25  Martin Robinson  <mrobinson@igalia.com>

        [GTK] GtkAdjustment watcher updates adjustments too lazily
        https://bugs.webkit.org/show_bug.cgi?id=70180

        Reviewed by Gustavo Noronha Silva.

        Increase the priority of the GtkAdjustments update in GtkAdjustmentWatcher. This
        means that adjustments will more quickly represent the state of the WebKitWebView
        when it scrolls. This fixes out-of-sync scrollbars and some visual artifacts.

        * WebCoreSupport/GtkAdjustmentWatcher.cpp:
        (WebKit::GtkAdjustmentWatcher::updateAdjustmentsFromScrollbarsLater): Use a timeout
        with the default priority.

2011-10-24  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Remove g_thread_init() calls
        https://bugs.webkit.org/show_bug.cgi?id=70717

        Reviewed by Xan Lopez.

        With newer glib it's not needed anymore and with previous versions
        it was already called by g_type_init().

        * tests/testapplicationcache.c:
        (main):
        * tests/testatk.c:
        (main):
        * tests/testatkroles.c:
        (main):
        * tests/testcopyandpaste.c:
        (main):
        * tests/testdomdocument.c:
        (main):
        * tests/testdomdomwindow.c:
        (main):
        * tests/testdomnode.c:
        (main):
        * tests/testdownload.c:
        (main):
        * tests/testglobals.c:
        (main):
        * tests/testhittestresult.c:
        (main):
        * tests/testhttpbackend.c:
        (main):
        * tests/testkeyevents.c:
        (main):
        * tests/testloading.c:
        (main):
        * tests/testmimehandling.c:
        (main):
        * tests/testnetworkrequest.c:
        (main):
        * tests/testnetworkresponse.c:
        (main):
        * tests/testwebbackforwardlist.c:
        (main):
        * tests/testwebdatasource.c:
        (main):
        * tests/testwebframe.c:
        (main):
        * tests/testwebhistoryitem.c:
        (main):
        * tests/testwebplugindatabase.c:
        (main):
        * tests/testwebresource.c:
        (main):
        * tests/testwebsettings.c:
        (main):
        * tests/testwebview.c:
        * tests/testwindow.c:
        (main):

2011-10-20  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] webkitgtk's pkgconfig file needs to require javascriptcoregtk
        https://bugs.webkit.org/show_bug.cgi?id=70500

        Reviewed by Philippe Normand.

        * webkit.pc.in: add javascriptcoregtk to Requires

2011-10-19  Gustavo Noronha Silva  <gns@gnome.org>

        GTK+ build fix. Rename the INCLUDES variable so it is not picked
        up by random bystanders. Also do some more cleanup on stuff we
        inherited from gtk-doc.make.

        * GNUmakefile.gtk-doc.am:
        * docs/GNUmakefile.am:

2011-10-19  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Streamline wk1 documentation build
        https://bugs.webkit.org/show_bug.cgi?id=70447

        Reviewed by Martin Robinson.

        * GNUmakefile.am: move files pertaining to the docs build to the
          docs GNUmakefile.am;
        * GNUmakefile.gtk-doc.make: incorporate the gtk-doc makefile, and customize it
          to our non-recursive build;
        * docs/GNUmakefile.am: simplification and adaption to work with the
          rest of the build system.

2011-10-19  Zan Dobersek  <zandobersek@gmail.com>

        [Gtk][Geolocation] Build guards missing in geolocation clients
        https://bugs.webkit.org/show_bug.cgi?id=70420

        Reviewed by Gustavo Noronha Silva.

        Adds build guards that were forgotten when client-based
        geolocation was introduced in r97746. This should make builds
        without geolocation support succeed again.

        * WebCoreSupport/GeolocationClientGtk.cpp:
        * WebCoreSupport/GeolocationClientGtk.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_init):

2011-10-18  Zan Dobersek  <zandobersek@gmail.com>

        [Gtk] Support for client-based geolocation
        https://bugs.webkit.org/show_bug.cgi?id=64970

        Reviewed by Martin Robinson.

        Add DumpRenderTree support functions for client-based geolocation tests
        and implement GeolocationClientGtk. The implementation is based on Zecke's
        implementation of GeolocationService class in WebCore, which is now redundant
        and subsequently removed.

        * GNUmakefile.am: Add GeolocationClientGtk.* files to compilation.
        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp: Add support functions to operate
        with GeolocationClientMock.
        (DumpRenderTreeSupportGtk::resetGeolocationClientMock):
        (DumpRenderTreeSupportGtk::setMockGeolocationPermission):
        (DumpRenderTreeSupportGtk::setMockGeolocationPosition):
        (DumpRenderTreeSupportGtk::setMockGeolocationError):
        (DumpRenderTreeSupportGtk::numberOfPendingGeolocationPermissionRequests):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        * WebCoreSupport/GeolocationClientGtk.cpp: Added.
        (WebKit::getPositionCallback):
        (WebKit::positionChangedCallback):
        (WebKit::GeolocationClient::GeolocationClient):
        (WebKit::GeolocationClient::geolocationDestroyed):
        (WebKit::GeolocationClient::startUpdating):
        (WebKit::GeolocationClient::stopUpdating):
        (WebKit::GeolocationClient::setEnableHighAccuracy):
        (WebKit::GeolocationClient::lastPosition):
        (WebKit::GeolocationClient::requestPermission):
        (WebKit::GeolocationClient::cancelPermissionRequest):
        (WebKit::GeolocationClient::positionChanged):
        (WebKit::GeolocationClient::updatePosition):
        (WebKit::GeolocationClient::errorOccured):
        * WebCoreSupport/GeolocationClientGtk.h: Added.
        * webkit/webkitwebview.cpp:
        (webkit_web_view_init): Use GeolocationClientMock as geolocation client
        when running in DumpRenderTree.

2011-10-12  Ryosuke Niwa  <rniwa@webkit.org>

        Make the interface of locationAndLengthFromRange and rangeFromLocationAndLength consistent
        https://bugs.webkit.org/show_bug.cgi?id=69964

        Reviewed by Enrica Casucci.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::firstRectForCharacterRange):

2011-09-28  Martin Robinson  <mrobinson@igalia.com>

        [GTK] Move drag-and-drop code which can be shared with WebKit2 to WebCore
        https://bugs.webkit.org/show_bug.cgi?id=66890

        Use the new GtkWidgetDragAndDropGlue class to hold the logic that will be
        common between WebKit1 and WebKit2. Modify WebKitWebView to use this class.

        Reviewed by Philippe Normand.

        * WebCoreSupport/DragClientGtk.cpp:
        (WebKit::DragClient::startDrag): Inform the drag-and-drop glue about the drag.
        * webkit/webkitwebview.cpp: Use GtkWidgetDragAndDropGlue wherever this class was
        maintaining drag-and-drop state itself.
        * webkit/webkitwebviewprivate.h: Swap out the drag-and-drop state for an instance
        of the glue class.

2011-09-28  Kaustubh Atrawalkar  <kaustubh@motorola.com>

        [Gtk] Implement textInputController.doCommand
        https://bugs.webkit.org/show_bug.cgi?id=66496

        Reviewed by Martin Robinson.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::doCommand): Function definition for doCommand 
        callback. Converted Incoming command to match with WebCore::Editor CommandMap.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-09-27  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Reorganize header files
        https://bugs.webkit.org/show_bug.cgi?id=65616

        Reviewed by Martin Robinson.

        Install header files under $libwebkitgtkincludedir/webkit.

        * GNUmakefile.am: Use $libwebkitgtkincludedir.
        * webkit.pc.in: Use webkitgtk-<api-version> as include dir.

2011-09-26  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        Fix documentation generation by specifying the sources
        directory with $(top_srcdir).

        Reviewed by Xan Lopez.

        * docs/GNUmakefile.am:

2011-09-26  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        REGRESSION: Empathy crashes when switching theme
        https://bugs.webkit.org/show_bug.cgi?id=68600

        Reviewed by Martin Robinson.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_set_scroll_adjustments): use the existing
        set{Horizontal,Vertical}Adjustment functions, so the code is not
        duplicated
        (webkit_web_view_dispose): unset the adjustments during dispose,
        to avoid late adjustment change notifications hitting the
        adjustment watcher

2011-09-24  Adam Barth  <abarth@webkit.org>

        Always enable ENABLE(OFFLINE_WEB_APPLICATIONS)
        https://bugs.webkit.org/show_bug.cgi?id=68767

        Reviewed by Eric Seidel.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::reachedApplicationCacheOriginQuota):
        * WebCoreSupport/ChromeClientGtk.h:
        * webkit/webkitapplicationcache.cpp:
        (webkit_application_cache_get_maximum_size):
        (webkit_application_cache_set_maximum_size):
        (webkit_application_cache_get_database_directory_path):
        * webkit/webkitglobals.cpp:
        (webkitInit):

2011-09-22  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        Remove useless empty WebKit namespace.

        Reviewed by Xan Lopez.

        * webkit/webkitglobals.cpp:
        (webkitInit):

2011-09-20  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] WebProcess shouldn't use the GTK+ API
        https://bugs.webkit.org/show_bug.cgi?id=68062

        Reviewed by Martin Robinson.

        Use WebCore API to create errors in frame loader.

        * WebCoreSupport/AssertMatchingEnums.cpp:
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::cancelledError):
        (WebKit::FrameLoaderClient::blockedError):
        (WebKit::FrameLoaderClient::cannotShowURLError):
        (WebKit::FrameLoaderClient::interruptedForPolicyChangeError):
        (WebKit::FrameLoaderClient::cannotShowMIMETypeError):
        (WebKit::FrameLoaderClient::fileDoesNotExistError):
        (WebKit::FrameLoaderClient::pluginWillHandleLoadError):
        * webkit/webkiterror.cpp:
        (webkit_network_error_quark):
        (webkit_policy_error_quark):
        (webkit_plugin_error_quark):

2011-09-20  Philippe Normand  <pnormand@igalia.com>

        [GTK] Update NEWS and configure.ac for 1.5.90 release

        Reviewed by Martin Robinson.

        * NEWS:

2011-09-19  Leandro Pereira  <leandro@profusion.mobi>

        GTK DRT leaks memory while comparing history items
        https://bugs.webkit.org/show_bug.cgi?id=68086

        Reviewed by Martin Robinson.
        
        webkit_web_history_item_get_target() function returns a g_strdup()'d
        string, so it should return "gchar*" instead of "const gchar*".

        * webkit/webkitwebhistoryitem.cpp:
        (webkit_web_history_item_get_target): Change return type to "gchar*".
        * webkit/webkitwebhistoryitemprivate.h: Ditto.

2011-09-19  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Fix distcheck build
        https://bugs.webkit.org/show_bug.cgi?id=68346

        Reviewed by Philippe Normand.

        * tests/testmimehandling.c: Remove ogg tests, since the behavious
        has changed in libsoup (https://bugzilla.gnome.org/show_bug.cgi?id=648846#c8)
        (server_callback):
        (mime_type_policy_decision_requested_cb):
        (main):
        * webkit/webkitwebplugin.cpp: Fix introspection annotation.

2011-09-17  Mihai Parparita  <mihaip@chromium.org>

        FrameLoaderClient BackForwardList-related methods are unsued
        https://bugs.webkit.org/show_bug.cgi?id=68293

        Reviewed by Darin Adler.

        Remove FrameLoaderClient methods that were added by r51629, since only        
        the old (since-deleted) Android port needed them.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        * WebCoreSupport/FrameLoaderClientGtk.h:

2011-09-15  Adam Barth  <abarth@webkit.org>

        Rename ENABLE(DATABASE) to ENABLE(SQL_DATABASE)
        https://bugs.webkit.org/show_bug.cgi?id=68205

        Reviewed by Eric Seidel.

        * WebCoreSupport/ChromeClientGtk.cpp:
        * WebCoreSupport/ChromeClientGtk.h:
        * webkit/webkitsecurityorigin.cpp:
        (webkit_security_origin_get_web_database_usage):
        (webkit_security_origin_get_web_database_quota):
        (webkit_security_origin_set_web_database_quota):
        (webkit_security_origin_get_all_web_databases):
        * webkit/webkitwebdatabase.cpp:
        (webkit_web_database_get_display_name):
        (webkit_web_database_get_expected_size):
        (webkit_web_database_get_size):
        (webkit_web_database_get_filename):
        (webkit_web_database_remove):
        (webkit_remove_all_web_databases):
        (webkit_get_web_database_directory_path):
        (webkit_set_web_database_directory_path):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):
        (webkit_web_view_settings_notify):

2011-09-10  Adam Barth  <abarth@webkit.org>

        Fix build break.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_encoding):

2011-09-09  Fady Samuel  <fsamuel@chromium.org>

        Move pageScaleFactor code from Frame.{h|cpp} to Page.{h|cpp}
        https://bugs.webkit.org/show_bug.cgi?id=67250

        Reviewed by Simon Fraser.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::scalePageBy):

2011-09-08  Daniel Bates  <dbates@webkit.org>

        Fix the GTK build after <http://trac.webkit.org/changeset/94810>
        (https://bugs.webkit.org/show_bug.cgi?id=67807).

        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_encoding): Substitute DocumentWriter::deprecatedFrameEncoding() for
        DocumentWriter::encoding().

2011-09-06  Ryosuke Niwa  <rniwa@webkit.org>

        Rename confirmCompositionWithoutDisturbingSelection to cancelComposition
        https://bugs.webkit.org/show_bug.cgi?id=67569

        Reviewed by Antonio Gomes.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::respondToChangedSelection):

2011-08-30  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r94142, r94144, r94145, and r94148.
        http://trac.webkit.org/changeset/94142
        http://trac.webkit.org/changeset/94144
        http://trac.webkit.org/changeset/94145
        http://trac.webkit.org/changeset/94148
        https://bugs.webkit.org/show_bug.cgi?id=67262

        Broke isindex element (Requested by rniwa on #webkit).

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setAutofilled):
        (DumpRenderTreeSupportGtk::setValueForUser):

2011-08-30  Ryosuke Niwa  <rniwa@webkit.org>

        GTK build fix after r94142.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setAutofilled):
        (DumpRenderTreeSupportGtk::setValueForUser):

2011-08-30  Kaustubh Atrawalkar  <kaustubh@motorola.com>

        The unused ScrollView* argument can and should be removed from
        scrollRectIntoView.
        https://bugs.webkit.org/show_bug.cgi?id=67117

        Reviewed by Darin Adler.

        * WebCoreSupport/ChromeClientGtk.h:
        (WebKit::ChromeClient::scrollRectIntoView):

2011-08-26  Gustavo Noronha Silva  <gns@gnome.org>

        Minor style fix in the sample code for WebKitWebFrame.

        * webkit/webkitwebframe.cpp:

2011-08-17  Alejandro G. Castro  <alex@igalia.com>

        [GTK] Fix compilation problems with deprecations in gtk+
        https://bugs.webkit.org/show_bug.cgi?id=66073

        Reviewed by Martin Robinson.

        * WebCoreSupport/FullscreenVideoController.cpp:
        (FullscreenVideoController::createHud): Added gtk_box_new
        conditional compilation for gtk+-3.

2011-08-18  Caio Marcelo de Oliveira Filho  <caio.oliveira@openbossa.org>

        [GTK] Change webview API tests to use "load-status" signal instead of "load-progress"
        https://bugs.webkit.org/show_bug.cgi?id=66243

        Reviewed by Martin Robinson.

        The idle_quit_loop_cb() already checks the "load-status" flag, so it is enough to
        call it only when the "load-status" change.

        This change is important in the context of bug 28851, which aims to change the
        order in which "progress finished" and "load finished" callbacks are called. In
        this new scenario, at the progress callback the load will never be finished.

        * tests/testwebview.c:
        (test_webkit_web_view_grab_focus):

2011-08-17  Adam Roben  <aroben@apple.com>

        Make WebCore keep track of the current device scale factor

        Fixes <http://webkit.org/b/66413> WebCore requires every WebKit port to keep track of the
        device scale factor

        Reviewed by Darin Adler.

        * WebCoreSupport/ChromeClientGtk.cpp:
        * WebCoreSupport/ChromeClientGtk.h:
        Removed deviceScaleFactor.

2011-08-16  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        Add javascriptcoregtk to the introspection build, to fix it.

        Reviewed by Xan Lopez.

        * GNUmakefile.am:

2011-08-15  Dmitry Titov  <dimich@chromium.org>

        FrameLoaderClient::transferLoadingResourceFromPage does not have enough parameters
        https://bugs.webkit.org/show_bug.cgi?id=66165

        Reviewed by Darin Fisher.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::transferLoadingResourceFromPage):
        * WebCoreSupport/FrameLoaderClientGtk.h:

2011-08-10  Adam Roben  <aroben@apple.com>

        Clear up scale factor terminology

        WebKit by and large deals with two scale factors: one intrinsic to the device on which the
        software is running, and one that is per-Page and can be controlled via API calls. This
        patch names the former "deviceScaleFactor" and the latter "pageScaleFactor", and makes the
        code use those names. It should introduce no behavior changes.

        Fixes <http://webkit.org/b/55787> WebKit uses multiple conflicting names to refer to the
        device scale factor

        Reviewed by Simon Fraser.

        * WebCoreSupport/ChromeClientGtk.cpp:
        * WebCoreSupport/ChromeClientGtk.h:

2011-08-11  Gustavo Noronha Silva  <gns@gnome.org>

        Add the javascript core dynamic library for gtk-doc's introspection helper.

        Reviewed by Xan Lopez.

        * docs/GNUmakefile.am:

2011-08-11  Xan Lopez  <xlopez@igalia.com>

        [GTK] Update NEWS and configure.ac for 1.5.2 release

        Reviewed by Gustavo Noronha.

        * NEWS: update for release.

2011-08-10  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] wrong annotation for the return value of webkit_web_view_get_hit_test_results()
        https://bugs.webkit.org/show_bug.cgi?id=65985

        Reviewed by Xan Lopez.

        * webkit/webkitwebview.cpp:

2011-08-03  Pavel Feldman  <pfeldman@google.com>

        Web Inspector: [Timeline] Hover on paint events and see rect outline around that area.
        https://bugs.webkit.org/show_bug.cgi?id=65510

        Reviewed by Yury Semikhatsky.

        * webkit/webkitwebview.cpp:
        (paintWebView):

2011-08-03  Pavel Feldman  <pfeldman@chromium.org>

        Web Inspector: remove Node parameter from the InspectorClient::highlight
        https://bugs.webkit.org/show_bug.cgi?id=65549

        Reviewed by Yury Semikhatsky.

        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorClient::highlight):
        * WebCoreSupport/InspectorClientGtk.h:

2011-08-03  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Reorganize pkg-config files
        https://bugs.webkit.org/show_bug.cgi?id=65548

        Reviewed by Martin Robinson.

        * GNUmakefile.am: Remove javascriptcore pc file references.

2011-07-30  Patrick Gansterer  <paroga@webkit.org>

        Remove inclusion of MainThread.h from Threading.h
        https://bugs.webkit.org/show_bug.cgi?id=65081

        Reviewed by Darin Adler.

        Add missing include statements for MainThread.

        * webkit/webkitglobals.cpp:

2011-07-26  Sadrul Habib Chowdhury  <sadrul@chromium.org>

        Add support for download='filename' attribute in anchors.
        https://bugs.webkit.org/show_bug.cgi?id=64580

        Reviewed by Adam Barth.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::startDownload):
        * WebCoreSupport/FrameLoaderClientGtk.h:

2011-07-26  Carlos Garcia Campos  <cgarcia@igalia.com>

        [GTK] Remove header webkitwebviewcommon.h
        https://bugs.webkit.org/show_bug.cgi?id=65177

        Reviewed by Martin Robinson.

        Move webkitwebviewcommon.h contents back to webkitwebview.h.

        * GNUmakefile.am: Remove webkitwebviewcommon.h
        * webkit/webkitwebview.h:
        * webkit/webkitwebviewcommon.h: Removed.

2011-06-07  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Gustavo Noronha Silva.

        [GTK] Use WebCore scrollbars for the DRT instead of GtkScrolledWindow
        https://bugs.webkit.org/show_bug.cgi?id=62252

        Added an undocumented self-scrolling property to WebKitWebView which
        communicates to WebCore whether or not this widget is expected to draw
        its own main frame scrollbars or not.

        * webkit/webkitwebview.cpp: Add the self-scrolling property.
        * webkit/webkitwebviewprivate.h: Add the selfScrolling private member.

2011-07-11  Gustavo Noronha Silva  <gns@gnome.org>

        [GTK] Google Calendar thinks we're mobile
        https://bugs.webkit.org/show_bug.cgi?id=63994

        Reviewed by Xan Lopez.

        Further special-case Google Calendar, for it thinks WebKit+Linux
        means mobile, so we also have to spoof the OS.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::userAgent): use the new WebKitGTK+
        private API that centralizes the logic now.
        * tests/testwebsettings.c: Add tests to make sure the Google
        special-cases only apply for the expected domains and when quirks
        special-casing is enabled.
        (test_non_quirky_user_agents):
        (test_webkit_web_settings_user_agent):
        * webkit/webkitwebsettings.cpp:
        (webkitUserAgent): make it static.
        (safariUserAgent): returns a fake Safari in Mac OS X User-Agent.
        (initializeDomainsList): moved from FrameLoaderClientGtk.
        (isGoogleDomain):ditto.
        (isGoogleCalendar): ditto.
        (userAgentForURL): ditto.
        (webkitWebSettingsUserAgentForUri): centralize the whole
        user agent spoofing logic in this new private API that can be used
        by the browser to know what's going to happen for a specific URI
        and also allows our API testing.
        * webkit/webkitwebsettingsprivate.h:

2011-07-15  Dan Bernstein  <mitz@apple.com>

        REGRESSION: Mouse cursor doesn’t hide when full screen video HUD hides
        https://bugs.webkit.org/show_bug.cgi?id=64615

        Reviewed by Anders Carlsson.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::setCursorHiddenUntilMouseMoves): Added this stub.
        * WebCoreSupport/ChromeClientGtk.h:

2011-07-15  Martin Robinson  <mrobinson@igalia.com>

        Build fixes for WebKit2. Ensure that all generated sources are
        on nodist primaries, that they are on forward declared variables
        so that BUILT_SOURCES is calculated properly and that zlib is 
        included during linking (for WOFF support).

        * GNUmakefile.am:

2011-07-14  Lukasz Slachciak  <l.slachciak@samsung.com>

        Reviewed by Gustavo Noronha.

        [GTK] Fix GTK unit tests failures when WebKit is build outside repository directory.
        https://bugs.webkit.org/show_bug.cgi?id=62935

        WebKit can be build with WEBKITOUTPUTDIR env variable set using build-webkit script.
        In this case WEBKITOUTPUDIR may be outside repository structure. This causes testmimehandling and testwebview
        to fail because they use external test files in WebKit Source directory.
        This bug fixes this issue introducing optional environment variable WEBKITREPODIR
        Also coding style in existing functions is fixed.


        * tests/test_utils.c: Coding style fixes.
        (testutils_relative_chdir): If WEBKITREPODIR is set, change current directory to it.
        * tests/test_utils.h: Coding style fixes.

2011-07-12  Joseph Pecoraro  <joepeck@webkit.org>

        ApplicationCache update should not immediately fail when reaching per-origin quota
        https://bugs.webkit.org/show_bug.cgi?id=64177

        Reviewed by Alexey Proskuryakov.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::reachedApplicationCacheOriginQuota):
        * WebCoreSupport/ChromeClientGtk.h:

2011-06-14  Mike Stegeman  <mrstegeman@gmail.com>

        Add API to WebKit-GTK to allow setting localStorage database path
        https://bugs.webkit.org/show_bug.cgi?id=62091

        Reviewed by Martin Robinson and Gustavo Noronha.

        Expose the path of the localStorage databases through a setting
        to allow HTML5 localStorage to be persistent. New setting is:
        html5-local-storage-database-path

        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_class_init):
        (webkit_web_settings_set_property):
        (webkit_web_settings_get_property):
        * webkit/webkitwebsettingsprivate.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):
        (webkit_web_view_settings_notify):

2011-07-08  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        [GTK] testwebview API test fails after http://trac.webkit.org/changeset/90471
        https://bugs.webkit.org/show_bug.cgi?id=64159

        Rework the icon-uri change test so that the condition for quitting
        the mainloop is the icon-uri change itself, along with a timeout
        to avoid taking too long in case of failure. Since the conditions
        for considering a page loaded were changed we can't rely on that
        for this test anymore.

        Reviewed by Xan Lopez.

        * tests/testwebview.c:
        (timeout_cb): error out if it takes too long for the icon-uri
        change to happen.
        (icon_uri_changed_cb): quit the loop here instead of waiting on
        the page being loaded.
        (test_webkit_web_view_icon_uri):

2011-07-01  Joone Hur  <joone.hur@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Add DeviceOrientation feature
        https://bugs.webkit.org/show_bug.cgi?id=63720

        Add empty implementation of DeviceMotionClient and DeviceOrientationClient callback methods.

        * GNUmakefile.am:
        * WebCoreSupport/DeviceMotionClientGtk.cpp: Added.
        (WebCore::DeviceMotionClientGtk::DeviceMotionClientGtk):
        (WebCore::DeviceMotionClientGtk::~DeviceMotionClientGtk):
        (WebCore::DeviceMotionClientGtk::deviceMotionControllerDestroyed):
        (WebCore::DeviceMotionClientGtk::setController):
        (WebCore::DeviceMotionClientGtk::startUpdating):
        (WebCore::DeviceMotionClientGtk::stopUpdating):
        (WebCore::DeviceMotionClientGtk::currentDeviceMotion):
        * WebCoreSupport/DeviceMotionClientGtk.h: Added.
        * WebCoreSupport/DeviceOrientationClientGtk.cpp: Added.
        (WebCore::DeviceOrientationClientGtk::DeviceOrientationClientGtk):
        (WebCore::DeviceOrientationClientGtk::~DeviceOrientationClientGtk):
        (WebCore::DeviceOrientationClientGtk::deviceOrientationControllerDestroyed):
        (WebCore::DeviceOrientationClientGtk::setController):
        (WebCore::DeviceOrientationClientGtk::startUpdating):
        (WebCore::DeviceOrientationClientGtk::stopUpdating):
        (WebCore::DeviceOrientationClientGtk::lastOrientation):
        * WebCoreSupport/DeviceOrientationClientGtk.h: Added.
        * webkit/webkitwebview.cpp:
        (webkit_web_view_init):

2011-06-28  Joone Hur  <joone.hur@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Allow to build WebKitGtk+ with accelerated compositing
        https://bugs.webkit.org/show_bug.cgi?id=63404

        WebKitGtk+ needs to implement accelerated compositing for running CSS3 3D transforms 
        and animation through GPU acceleration. We could implement GraphicsLayer using Clutter.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::attachRootGraphicsLayer): not implemented yet.
        (WebKit::ChromeClient::setNeedsOneShotDrawingSynchronization): Ditto.
        (WebKit::ChromeClient::scheduleCompositingLayerSync): Ditto.
        (WebKit::ChromeClient::allowedCompositingTriggers): Ditto.
        * WebCoreSupport/ChromeClientGtk.h:

2011-06-27  ChangSeok Oh  <shivamidow@gmail.com>

        Reviewed by Martin Robinson.

        [GTK] Fix build break to support webgl
        https://bugs.webkit.org/show_bug.cgi?id=63425

        A member variable enableWebGL in WebKitWebSettingsPrivate is changed to enableWebgl

        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):

2011-06-24  Dominic Cooney  <dominicc@chromium.org>

        Reviewed by Dimitri Glazkov.

        Convert shadow DOM-related tests to use window.internals
        https://bugs.webkit.org/show_bug.cgi?id=61671

        Remove shadow-DOM related methods from GTK DRT API. These are not
        required any more.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-06-20  Dimitri Glazkov  <dglazkov@chromium.org>

        Reviewed by Kent Tamura.

        FileChooser should be only created when we need to choose files.
        https://bugs.webkit.org/show_bug.cgi?id=63039

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::runOpenPanel): Changed to use settings.

2011-06-22  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Make sure libsoup password manager macro is defined before including libsoup in webkitsoupauthdialog
        https://bugs.webkit.org/show_bug.cgi?id=63124

        Fixes a crash when building with --enable-debug.

        * webkit/webkitsoupauthdialog.h: Define
        LIBSOUP_I_HAVE_READ_BUG_594377_AND_KNOW_SOUP_PASSWORD_MANAGER_MIGHT_GO_AWAY
        before including libsoup.h.

2011-06-10  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] webkit_web_settings_copy does not copy all settings
        https://bugs.webkit.org/show_bug.cgi?id=62424

        Instead of trying to keep webkit_web_settings_copy up to date with
        property additions, create the object copy by dynamically initializing
        all webkit_web_settings properties at once.

        * tests/testwebsettings.c:
        (test_webkit_web_settings_copy): Create a test for webkit_web_settings copy.
        (main): Run the new test.
        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_copy): Dynamically initialize all properties of the copy.

2011-06-20  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Eric Seidel.

        [GTK] Clean up unecessary boilerplate from WebKitWebSettings and make private members meet WebKit style guidelines
        https://bugs.webkit.org/show_bug.cgi?id=61972

        Rename all private members of WebKitWebSettings to meet WebKit style guidelines and
        put the private struct definition in webkitwebsettingsprivate.h so it can be
        accessed from webkitwebview.cpp. This cuts down on the boilerplate immensely.

        * webkit/webkitwebsettings.cpp: Rename private members to meet WebKit style guidelines
        and allocate the private section with new/delete. This allows for using CString and removes
        the need for manual string memory management.
        * webkit/webkitwebsettingsprivate.h: Move the private struct definition here.
        * webkit/webkitwebview.cpp: Update to reflect new struct names. Remove boilerplate
        and other very small code cleanups.

2011-06-20  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Split libWebCore into two libWebCore and libWebCoreGtk
        https://bugs.webkit.org/show_bug.cgi?id=60539

        * GNUmakefile.am: Link to libWebCoreGtk.la too.

2011-06-18  Dimitri Glazkov  <dglazkov@chromium.org>

        Reviewed by Darin Adler.

        Separate concerns of loading file icons and choosing files.
        https://bugs.webkit.org/show_bug.cgi?id=62931

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::loadIconForFiles): Renamed.
        * WebCoreSupport/ChromeClientGtk.h:

2011-06-17  Joone Hur  <joone.hur@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Replace GdkRectangle by cairo_rectangle_int_t
        https://bugs.webkit.org/show_bug.cgi?id=60687

        Replace GdkRectangle by cairo_rectangle_int_t.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp: Replace GdkRectangle by cairo_rectangle_int_t.
        (DumpRenderTreeSupportGtk::firstRectForCharacterRange):
        (DumpRenderTreeSupportGtk::rectangleForSelection):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h: Ditto.

2011-06-16  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r89026.
        http://trac.webkit.org/changeset/89026
        https://bugs.webkit.org/show_bug.cgi?id=62804

        These patches were likely correct.  I'll investigate the
        browser_test failures. (Requested by abarth on #webkit).

        * WebCoreSupport/FullscreenVideoController.cpp:
        (FullscreenVideoController::play):
        (FullscreenVideoController::pause):

2011-06-16  Vitaly Repeshko  <vitalyr@chromium.org>

        Unreviewed.

        Revert Adam's user gesture patch series r89002, r89005, r89007, r89018
        https://bugs.webkit.org/show_bug.cgi?id=62796

        The patches broke chromium browser tests.
2011-06-16  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Remove HTMLVideoElement::processingUserGesture
        https://bugs.webkit.org/show_bug.cgi?id=62784

        * WebCoreSupport/FullscreenVideoController.cpp:
        (FullscreenVideoController::play):
        (FullscreenVideoController::pause):

2011-06-15  Claudio Saavedra  <csaavedra@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Fix the build with introspection enabled
        https://bugs.webkit.org/show_bug.cgi?id=62705

        * GNUmakefile.am: Remove include of *.c files, since
        there are no such files anymore.

2011-06-14  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Remove G_CONST_RETURN usage
        https://bugs.webkit.org/show_bug.cgi?id=62673

        Change G_CONST_RETURN for a simple "const" throughout the
        codebase, since G_CONST_RETURN is deprecated now. This should be
        totally equivalent since for all practical purposes the macro is
        always expanded to const.

        * webkit/webkitapplicationcache.cpp:
        (webkit_application_cache_get_database_directory_path): use const
        instead of G_CONST_RETURN.
        * webkit/webkitapplicationcache.h:
        * webkit/webkiticondatabase.cpp:
        (webkit_icon_database_get_path): ditto.
        * webkit/webkiticondatabase.h:
        * webkit/webkitnetworkrequest.cpp:
        (webkit_network_request_get_uri): ditto.
        * webkit/webkitnetworkrequest.h:
        * webkit/webkitnetworkresponse.cpp:
        (webkit_network_response_get_uri): ditto.
        * webkit/webkitnetworkresponse.h:
        * webkit/webkitsecurityorigin.cpp:
        (webkit_security_origin_get_protocol): ditto.
        (webkit_security_origin_get_host): ditto.
        * webkit/webkitsecurityorigin.h:
        * webkit/webkitwebdatabase.cpp:
        (webkit_web_database_get_name): ditto.
        (webkit_web_database_get_display_name): ditto.
        (webkit_web_database_get_filename): ditto.
        (webkit_get_web_database_directory_path): ditto.
        * webkit/webkitwebdatabase.h:
        * webkit/webkitwebdatasource.cpp:
        (webkit_web_data_source_get_encoding): ditto.
        (webkit_web_data_source_get_unreachable_uri): ditto.
        * webkit/webkitwebdatasource.h:
        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_get_title): ditto.
        (webkit_web_frame_get_uri): ditto.
        (webkit_web_frame_get_name): ditto.
        * webkit/webkitwebframe.h:
        * webkit/webkitwebhistoryitem.cpp:
        (webkit_web_history_item_get_title): ditto.
        (webkit_web_history_item_get_alternate_title): ditto.
        (webkit_web_history_item_get_uri): ditto.
        (webkit_web_history_item_get_original_uri): ditto.
        (webkit_web_history_item_get_target): ditto.
        * webkit/webkitwebhistoryitem.h:
        * webkit/webkitwebhistoryitemprivate.h:
        * webkit/webkitwebnavigationaction.cpp:
        (webkit_web_navigation_action_get_target_frame): ditto.
        * webkit/webkitwebnavigationaction.h:
        * webkit/webkitwebresource.cpp:
        (webkit_web_resource_get_uri): ditto.
        (webkit_web_resource_get_mime_type): ditto.
        (webkit_web_resource_get_encoding): ditto.
        (webkit_web_resource_get_frame_name): ditto.
        * webkit/webkitwebresource.h:
        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_get_user_agent): ditto.
        * webkit/webkitwebsettings.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_title): ditto.
        (webkit_web_view_get_uri): ditto.
        (webkit_web_view_get_icon_uri): ditto.
        * webkit/webkitwebview.h:
        * webkit/webkitwebviewcommon.h:

2011-06-14  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Rename convertWidgetRectToScreenRect() to convertWidgetPointToScreenPoint()
        https://bugs.webkit.org/show_bug.cgi?id=62626

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::windowToScreen): Update to use
        convertWidgetPointToScreenPoint()
        (WebKit::ChromeClient::screenToWindow): Ditto.
        * webkit/webkitwebview.cpp: Remove globalPointForClientPoint()
        since it does the same than convertWidgetPointToScreenPoint().
        (webkit_web_view_popup_menu_handler): Use
        convertWidgetPointToScreenPoint() instead of globalPointForClientPoint().
        (doDragLeaveLater): Ditto.
        (webkit_web_view_drag_motion): Ditto.
        (webkit_web_view_drag_data_received): Ditto.
        (webkit_web_view_drag_drop): Ditto.

2011-06-14  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Support authentication dialogs in WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=62366

        Move the common code of webkitsoupauthdialog to a common C++ class
        in WebCore so that it can be used by WebKit2 too. The file has
        been converted into a C++ file.

        * GNUmakefile.am: Rename webkitsoupauthdialog.c to
        webkitsoupauthdialog.cpp.
        * webkit/webkitsoupauthdialog.c: Removed.
        * webkit/webkitsoupauthdialog.cpp: Added.
        (webkit_soup_auth_dialog_class_init):
        (webkit_soup_auth_dialog_init):
        (webkit_soup_auth_dialog_session_feature_init):
        (sessionAuthenticate): Use GtkAuthenticationDialog object from
        WebCore.
        (attach):
        (detach):
        * webkit/webkitsoupauthdialog.h:

2011-06-13  Joone Hur  <joone.hur@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Add configure option to enable/disable register protocol handler
        https://bugs.webkit.org/show_bug.cgi?id=62534

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::registerProtocolHandler): Added.
        * WebCoreSupport/ChromeClientGtk.h: Add the registerProtocolHandler method defintion.

2011-06-13  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Gustavo Noronha Silva.

        Update gtkdoc files and inline documentation to reduce gtkdoc errors
        and ensure complete documentation output.

        * docs/webkitgtk-sections.txt: Add missing sections to the list and remove
        unneeded sections.
        * docs/webkitgtk.types: Update the types list.
        * webkit/webkithittestresult.cpp: Fix inline documentation errors.
        (webkit_hit_test_result_class_init): Ditto.
        * webkit/webkiticondatabase.cpp: Ditto.
        * webkit/webkitwebsettings.cpp: Ditto.
        (webkit_web_settings_class_init): Ditto.
        * webkit/webkitwebview.cpp: Ditto.
        (webkit_web_view_class_init): Ditto.

2011-06-13  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        Update the list of ignored GTK+ header files for the documentation
        generation.

        * docs/GNUmakefile.am: Update ignored header list.

2011-06-13  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        Update NEWS for 1.5.1 release.

        * NEWS: update.

2011-06-13  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        Distcheck fixes.

        * GNUmakefile.am:

2011-06-13  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Export an API similar to WebKit1
        https://bugs.webkit.org/show_bug.cgi?id=57820

        * GNUmakefile.am: Add webkitwebviewcommon.h to public header list.
        * webkit/webkitwebview.h: Move declarations common to WebKit2 to
        webkitwebviewcommon.h.
        * webkit/webkitwebviewcommon.h: Added.

2011-06-12  Adam Barth  <abarth@webkit.org>

        Reviewed by Alexey Proskuryakov.

        Rename FrameLoaderClient::interruptForPolicyChangeError to use the past tense
        https://bugs.webkit.org/show_bug.cgi?id=62516

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::interruptedForPolicyChangeError):
        * WebCoreSupport/FrameLoaderClientGtk.h:

2011-06-12  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Remove webkit_web_view_get_selected_text
        https://bugs.webkit.org/show_bug.cgi?id=62512

        It's no longer used and it's a private method, so it can be
        removed.

        * webkit/webkitwebview.cpp: kill it.
        * webkit/webkitwebviewprivate.h: ditto.

2011-06-12  Adam Barth  <abarth@webkit.org>

        Reviewed by Alexey Proskuryakov.

        Remove trival "forward-to-client" member functions from FrameLoader
        https://bugs.webkit.org/show_bug.cgi?id=62510

        Update to call the FrameLoaderClient directly.  Also, remove cargo-cult
        code that checks whether FrameLoader is null.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_stop_loading):
        (webkit_web_view_can_show_mime_type):

2011-06-09  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Eric Seidel.

        [GTK] Implement the next bit of the TextInputController (hasMarkedText and markedRange)
        https://bugs.webkit.org/show_bug.cgi?id=55603

        Added DumpRenderTreeSupport methods to support hasMarkedText and markedRange.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setComposition): Use start and length rather than start and
        end. This matches other ports. Only use GLib style early returns when checking the
        validity of GObjects.
        (DumpRenderTreeSupportGtk::hasComposition):  Added.
        (DumpRenderTreeSupportGtk::compositionRange): Added.
        (DumpRenderTreeSupportGtk::confirmComposition): Cleanup as described above.
        (DumpRenderTreeSupportGtk::firstRectForCharacterRange): Cleanup as described above.
        (DumpRenderTreeSupportGtk::selectedRange): Cleanup as described above.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h: Added new declarations.

2011-06-08  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Add WebKitSpellChecker interface and implementations
        https://bugs.webkit.org/show_bug.cgi?id=61787

        Expose the spell checking functionality to the UAs through a
        generic interface, and provide a default Enchant-based
        implementation. On top of allowing UAs to use this functionality
        this makes it possible to change the spell checking backend at
        runtime.

        * GNUmakefile.am: add new files.
        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::EditorClient): set the spell checker using
        the new classes.
        * WebCoreSupport/TextCheckerClientEnchant.cpp: Removed.
        * WebCoreSupport/TextCheckerClientGtk.cpp: Added
        (WebKit::TextCheckerClientGtk::TextCheckerClientGtk): just
        chain up to the WebKitSpellChecker.
        (WebKit::TextCheckerClientGtk::~TextCheckerClientGtk): ditto.
        (WebKit::TextCheckerClientGtk::ignoreWordInSpellDocument): ditto.
        (WebKit::TextCheckerClientGtk::learnWord): ditto.
        (WebKit::TextCheckerClientGtk::checkSpellingOfString): ditto.
        (WebKit::TextCheckerClientGtk::getAutoCorrectSuggestionForMisspelledWord): ditto.
        (WebKit::TextCheckerClientGtk::getGuessesForWord): ditto.
        (WebKit::TextCheckerClientGtk::updateSpellCheckingLanguage): ditto.
        * WebCoreSupport/TextCheckerClientGtk.h: store a reference to
        the WebKitSpellChecker.
        * webkit/webkit.h: the webkitspellchecker.h header is public.
        * webkit/webkitdefines.h: defines for spell checker interface.
        * webkit/webkitglobals.cpp: Add APIs to get and set the global
        spell checker.
        (webkit_get_spell_checker): get API.
        (webkit_set_spell_checker): set API.
        * webkit/webkitglobals.h:
        * webkit/webkitspellchecker.cpp: Added. Spell checking interface.
        * webkit/webkitspellchecker.h: Added.
        * webkit/webkitspellcheckerenchant.cpp: Added. Default
        implemention, uses Enchant library.
        * webkit/webkitspellcheckerenchant.h: Added.

2011-06-07  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] "webkithittestresult.h" is malformed
        https://bugs.webkit.org/show_bug.cgi?id=62117

        * webkit/webkithittestresult.h: fix typo in GET_CLASS macro.

2011-05-31  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Ryosuke Niwa.

        [GTK] Support smart replace for the pasteboard
        https://bugs.webkit.org/show_bug.cgi?id=61734

        Add the EditorClient and DumpRenderTreeSupportGtk hooks for enabling
        smart replace in the tests.

        * WebCoreSupport/DragClientGtk.cpp:
        (WebKit::DragClient::startDrag): targeListForDataObject now takes another
        parameter determining whether or not to add smart paste support. Add it here.
        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setSmartInsertDeleteEnabled): Added.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h: Add new method definition.
        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::toggleSmartInsertDelete): Added implementation.
        (WebKit::EditorClient::smartInsertDeleteEnabled): Added.
        (WebKit::EditorClient::EditorClient):
        * WebCoreSupport/EditorClientGtk.h: Add new method definition.

2011-06-03  Sergio Villar Senin  <svillar@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Unref the SoupSession used by WebKitGtk+ at exit
        https://bugs.webkit.org/show_bug.cgi?id=60165

        WebKitGtk+ creates a SoupSession instance to handle network stuff
        that is never freed. We should unref that object at exit time.

        * webkit/webkitglobals.cpp:
        (webkitExit):
        (webkitInit):

2011-05-28  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Gustavo Noronha Silva.

        [GTK] Remove PastboardHelperGtk
        https://bugs.webkit.org/show_bug.cgi?id=61690

        Remove PasteboardHelperGtk and talk directly to WebCore for pasteboard
        activity. This change moves the PasteboardHelper singleton from WebKit
        to WebCore.

        * GNUmakefile.am: Remove PasteboardHelperGtk from the source list.
        * WebCoreSupport/AssertMatchingEnums.cpp: Added assertions verifying that the
        WebCore versions of the GtkClipboard enums match those in the WebKit API.
        * WebCoreSupport/DragClientGtk.cpp:
        (WebKit::DragClient::startDrag): Access the pasteboard helper via a static method.
        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::setSelectionPrimaryClipboardIfNeeded): Ditto. Call into the helper to specify
        that the current clipboard is selection primary now.
        * WebCoreSupport/PasteboardHelperGtk.cpp: Removed.
        * webkit/webkitglobals.cpp: Remove function to set and get the pasteboard helper.
        * webkit/webkitglobalsprivate.h: Ditto.
        * webkit/webkitwebview.cpp:
        (webkit_web_view_button_press_event): Access the pasteboard helper via a static method.
        (webkit_web_view_drag_data_get): Ditto.
        (webkit_web_view_drag_motion): Ditto.
        (webkit_web_view_drag_data_received): Ditto.
        (webkit_web_view_init): Ditto.
        (webkit_web_view_get_copy_target_list): Ditto.
        (webkit_web_view_get_paste_target_list): Ditto.
        * webkit/webkitwebviewprivate.h: Ditto.

2011-06-02  Joone Hur  <joone.hur@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Only load dictionaries if spell check is enabled
        https://bugs.webkit.org/show_bug.cgi?id=32879

        We don't need to call enchant if enable-spell-checking is false.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings): Skip loading dictionaries when enable-spell-checking is false. 
        (webkit_web_view_settings_notify): Ditto.

2011-06-01  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        Explictly request the size of a pointer in malloc. Otherwise this
        explodes in 64bit architectures, at least.

        * webkit/webkitwebplugin.cpp:
        (webkit_web_plugin_get_mimetypes): ditto.

2011-06-01  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Utility methods for UA spellchecking
        https://bugs.webkit.org/show_bug.cgi?id=61788

        Adds a couple of utility methods needed to implement some aspects
        of spell checking support in a browser.

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_replace_selection): method to replace the current
        selection with a string of text.
        (webkit_web_frame_get_range_for_word_around_caret): returns the DOM
        range for the word where the caret/selection currently is.
        * webkit/webkitwebframe.h: declare new methods.

2011-05-31  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Gustavo Noronha Silva.

        [GTK] gtkdoc run produces many warnings about missing declarations
        https://bugs.webkit.org/show_bug.cgi?id=61797

        * docs/webkitgtk-sections.txt: Remove inexistent symbols from this file
        to reduce the number of gtkdoc warnings.

2011-05-31  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Provide custom DOM bindings methods to check if input/textareas have been edited
        https://bugs.webkit.org/show_bug.cgi?id=61791

        * GNUmakefile.am: add new files.

2011-05-27  Philippe Normand  <pnormand@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Data directory is webkitgtk-x.y not webkit-x.y
        https://bugs.webkit.org/show_bug.cgi?id=61642

        * GNUmakefile.am: updated data directory.

2011-05-28  Adam Barth  <abarth@webkit.org>

        Reviewed by Alexey Proskuryakov.

        Audit all uses of KURL::prettyURL
        https://bugs.webkit.org/show_bug.cgi?id=61201

        Update callers of prettyURL to just call string.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::mouseDidMoveOverElement):
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidChangeLocationWithinPage):
        (WebKit::FrameLoaderClient::dispatchDidCommitLoad):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_icon_uri):

2011-05-26  Gustavo Noronha Silva  <gustavo.noronha@collabora.com>

        Reviewed by Martin Robinson.

        Cleanup postCommitFrameViewSetup parameters which are no longer
        necessary after the adjustments handling refactoring.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::postCommitFrameViewSetup):
        (WebKit::FrameLoaderClient::transitionToCommittedFromCachedFrame):
        (WebKit::FrameLoaderClient::transitionToCommittedForNewPage):

2011-05-22  Adam Barth  <abarth@webkit.org>

        Build fix.  More public destructors needed to play nice with OwnPtr.

        * WebCoreSupport/InspectorClientGtk.cpp:

2011-05-22  Adam Barth  <abarth@webkit.org>

        Build fix.  InspectorFrontendClient needs a public destructor so that
        we can properly track ownership using OwnPtr.

        * WebCoreSupport/InspectorClientGtk.h:

2011-05-22  Adam Barth  <abarth@webkit.org>

        Strict PassOwnPtr build fix.

        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorClient::openInspectorFrontend):
        (WebKit::InspectorFrontendClient::InspectorFrontendClient):

2011-05-22  Adam Barth  <abarth@webkit.org>

        Strict PassOwnPtr build fix.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::addUserStyleSheet):

2011-05-20  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Sam Weinig.

        numberOfActiveAnimations() can include animations from documents in the page cache
        https://bugs.webkit.org/show_bug.cgi?id=53641

        Pass the Frame's document as the one to count animations on.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::numberOfActiveAnimations):

2011-05-16  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Scrolling in Twitter is broken after r86102
        https://bugs.webkit.org/show_bug.cgi?id=60922

        Fix adjustment handling for pages that trigger the slow scrolling path.
        The slow scrolling path is triggered by WebCore when it determines that
        doing a simple invalidation is quicker than doing a normal scroll. This
        typically happens when there are large elements with fixed positions.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::invalidateContentsForSlowScroll): Poke the adjustment
        watcher to update its adjustments when a page triggers the slow scrolling path.

2011-05-13  Jon Lee  <jonlee@apple.com>

        Reviewed by Simon Fraser.

        Can't horizontally scroll iframes and overflow because wheel events are always accepted
        https://bugs.webkit.org/show_bug.cgi?id=60779

        * WebCoreSupport/ChromeClientGtk.h:
        (WebKit::ChromeClient::shouldRubberBandInDirection): Default impl of new ChromeClient method
        (WebKit::ChromeClient::numWheelEventHandlersChanged): Default impl of new ChromeClient method

2011-05-13  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Prune #includes from FrameView.h (Part 2)
        https://bugs.webkit.org/show_bug.cgi?id=60748

        - Update files that were depending on FrameView.h #including Frame.h or
          Page.h.

        * WebCoreSupport/GtkAdjustmentWatcher.cpp:

2011-05-13  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Eric Seidel.

        [GTK] Share the GTK+ key binding code between WebKit1 and WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=59765

        Use the new KeyBindingTranslator class from WebCore/platform/gtk. With this utility
        class we can now share the code with WebKit2.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::executePendingEditorCommands): Updated to reflect the fact that
        the command vector now contains WTF::string.
        (WebKit::EditorClient::handleKeyboardEvent): Use the new helper utility class.
        (WebKit::EditorClient::EditorClient): 
        * WebCoreSupport/EditorClientGtk.h: Remove unnecessary member. Add the utility class.

2011-05-12  Martin Robinson  <mrobinson@igalia.com>

        Attempt to fix the GTK+ unit test testwebview on the 32-bit Release
        bot which appears to be more sensitive to timing issues than the
        other bots.

        * tests/testwebview.c: Add another short pause waiting for adjustments to update.

2011-05-09  Martin Robinson  <mrobinson@igalia.com>

        Fix a test after r86102. Scrollbars update asynchronously, so we
        must check the adjustments after a short delay.

        * tests/testwebview.c:
        (quit_after_short_delay_cb): Add a short delay before checking adjustments.
        (test_webkit_web_view_grab_focus): Ditto.

2011-05-09  Xan Lopez  <xlopez@igalia.com>

        Unreviewed build fix.

        Fix build, for real.

        * webkit/webkitwebview.cpp:
        (getHorizontalAdjustment):

2011-05-09  Xan Lopez  <xlopez@igalia.com>

        Unreviewed build fix..

        Fix GTK+3.x build.

        * webkit/webkitwebview.cpp:
        (getHorizontalAdjustment): the adjustment is in
        adjustmentWatcher() now.
        (getVerticalAdjustment): ditto.

2011-04-29  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Gustavo Noronha Silva.

        [GTK] Untangle GtkAdjustments from WebCore
        https://bugs.webkit.org/show_bug.cgi?id=59821

        Have ChromeClient manage the GtkAdjustments of the parent widget instead of passing
        them to WebCore to manage. This simplifies the code quite a bit and should be less
        crash prone in the future.

        * GNUmakefile.am: Added new GtkAdjustmentWatcher class to the sources list.
        * WebCoreSupport/ChromeClientGtk.cpp: Added new GtkAdjustmentWatcher member.
        (WebKit::ChromeClient::ChromeClient) Initialize the new member.
        (WebKit::ChromeClient::scroll): Poke the adjustment watcher to update the adjustments.
        (WebKit::ChromeClient::contentsSizeChanged): Ditto.
        (WebKit::ChromeClient::scrollbarsModeDidChange): This may now be called at a time when there
        is no main frame, so do an early return in that case.
        * WebCoreSupport/ChromeClientGtk.h: Add the new member.
        (WebKit::ChromeClient::adjustmentWatcher): Add this getter for WebKitWebView.
        * WebCoreSupport/FrameLoaderClientGtk.cpp: Remove calls which pushed the adjustments into
        WebCore.
        (WebKit::FrameLoaderClient::savePlatformDataToCachedFrame):
        (WebKit::postCommitFrameViewSetup):
        * WebCoreSupport/GtkAdjustmentWatcher.cpp: Added.
        (WebKit::GtkAdjustmentWatcher::GtkAdjustmentWatcher):
        (WebKit::updateAdjustmentFromScrollbar):
        (WebKit::GtkAdjustmentWatcher::updateAdjustmentsFromScrollbars):
        (WebKit::updateAdjustmentCallback):
        (WebKit::GtkAdjustmentWatcher::updateAdjustmentsFromScrollbarsLater):
        (WebKit::adjustmentValueChangedCallback):
        (WebKit::setAdjustment):
        (WebKit::GtkAdjustmentWatcher::setHorizontalAdjustment):
        (WebKit::GtkAdjustmentWatcher::setVerticalAdjustment):
        (WebKit::GtkAdjustmentWatcher::adjustmentValueChanged):
        * WebCoreSupport/GtkAdjustmentWatcher.h: Added.
        (WebKit::GtkAdjustmentWatcher::horizontalAdjustment):
        (WebKit::GtkAdjustmentWatcher::verticalAdjustment):
        * webkit/webkitwebview.cpp:
        (setHorizontalAdjustment):
        (setVerticalAdjustment): Remove the adjustment member. Call into the adjustment watcher.
        (getHorizontalAdjustment): Ditto.
        (getVerticalAdjustment): Ditto.
        (webkit_web_view_size_allocate): Ditto.
        (webkit_web_view_set_scroll_adjustments): Ditto.
        (webkit_web_view_dispose): Ditto.
        (webkit_web_view_init): Ditto.
        * webkit/webkitwebviewprivate.h: Ditto.

2011-05-06  Kent Tamura  <tkent@chromium.org>

        Reviewed by Ryosuke Niwa.

        Eliminate WebCore/dom/InputElement.{cpp,h}
        https://bugs.webkit.org/show_bug.cgi?id=60262

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setAutofilled):
          Follow the return type change of Node::toInputElement().
        (DumpRenderTreeSupportGtk::setValueForUser): ditto.

2011-05-06  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] [WebKit2] WebView::windowToScreen needs an implementation
        https://bugs.webkit.org/show_bug.cgi?id=55960

        Abstract the code to translate from widget space to screen space into
        a helper method in WebCore.

        * WebCoreSupport/ChromeClientGtk.cpp: Use the new helper method from GtkUtilities.
        (WebKit::ChromeClient::windowToScreen):
        (WebKit::ChromeClient::screenToWindow):

2011-05-04  Philippe Normand  <pnormand@igalia.com>

        Reviewed by Dimitri Glazkov.

        Implement LayoutTestController::pseudoShadowId()
        https://bugs.webkit.org/show_bug.cgi?id=60034

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::shadowPseudoId):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-05-05  Bharathwaaj Srinivasan  <bharathwaaj.s@gmail.com>

        Reviewed by Holger Freyther.

        Fix build-webkit --minimal.
        https://bugs.webkit.org/show_bug.cgi?id=60257

        * webkit/webkitglobals.cpp:
        (webkitInit):

2011-05-05  Ryosuke Niwa  <rniwa@webkit.org>

        Reviewed by Eric Seidel.

        Rename SelectionController to FrameSelection
        https://bugs.webkit.org/show_bug.cgi?id=60234

        * webkit/webkitwebview.cpp:
        (getLocationForKeyboardGeneratedContextMenu):

2011-05-04  Ryosuke Niwa  <rniwa@webkit.org>

        GTK build fix attempt after r85823

        * WebCoreSupport/ChromeClientGtk.h:
        (WebKit::ChromeClient::webView):
        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::imContextCommitted):
        (WebKit::imContextPreeditChanged):
        * webkit/webkitwebview.cpp:
        (WebKit::kit):

2011-05-04  Cris Neckar  <cdn@chromium.org>

        Reviewed by Adam Barth.

        Expose WebView directly through ChromeClient.
        https://bugs.webkit.org/show_bug.cgi?id=49902

        * WebCoreSupport/ChromeClientGtk.h:
        (WebKit::ChromeClient::webView):

2011-05-04  Tao Bai  <michaelbai@chromium.org>

        Reviewed by David Kilzer.

        Populate touch-icon url to FrameLoaderClient
        https://bugs.webkit.org/show_bug.cgi?id=59143

        Respect the interface change in FrameLoaderClient.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidChangeIcons):
        * WebCoreSupport/FrameLoaderClientGtk.h:

2011-05-03  Julien Chaffraix  <jchaffraix@codeaurora.org>

        Reviewed by Dimitri Glazkov.

        Element:shadowRoot & Element::ensureShadowRoot should return ShadowRoot*
        https://bugs.webkit.org/show_bug.cgi?id=58703

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp: Added #include for ShadowRoot.h.

2011-04-29  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [Gtk+] Crash when navigating back
        https://bugs.webkit.org/show_bug.cgi?id=59799

        The innerNode management in WebKitHitTestResult was relying on the
        old DOM bindings behavior where every DOM objects had to be
        disposed by the caller. Now the objects are garbage collected by
        WebKit when either the parent frame or document dies, so this is
        not needed anymore. Update the code to simply take ownership of
        the node, which effectively correctly balances the reference
        count.

        * webkit/webkithittestresult.cpp:
        (webkit_hit_test_result_dispose): call C++ dtors in private data.
        (webkit_hit_test_result_get_property): adatp to GRefPtr API.
        (webkit_hit_test_result_init): call C++ ctors in private data.

2011-04-28  Xan Lopez  <xlopez@igalia.com>

        Unreviewed build fix.

        * GNUmakefile.am:

2011-04-28  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [Gtk] Split JSC and WebCore builds
        https://bugs.webkit.org/show_bug.cgi?id=19428

        Add a pkg-config file for JavaScriptCoreGTK+.

        * GNUmakefile.am: take care of the pkg-config file.
        * javascriptcoregtk.pc.in: Added.

2011-04-28  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [Gtk] Split JSC and WebCore builds
        https://bugs.webkit.org/show_bug.cgi?id=19428

        Build JavaScriptCore as a libtool shared library instead of a
        private convenience library.

        * GNUmakefile.am: adapt to new name for javascriptcore target.

2011-04-28  ojab  <ojab@ojab.ru>

        Reviewed by Martin Robinson.

        Webkit-gtk build failure, no type/member 'Page' in namespace 'WebCore'
        https://bugs.webkit.org/show_bug.cgi?id=59585

        * webkit/webkitwebviewprivate.h:

2011-04-28  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Click counting logic should be shared between WebKit1 and WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=59715

        Switch WebKit1 to use the new GtkClickCounter for counting > 3 clicks in a row.
        This allows the code to be shared between WebKit1 and WebKit2.

        * WebCoreSupport/DragClientGtk.cpp:
        (WebKit::DragClient::startDrag): Call GtkClickCounter::reset instead of fiddling
        the WebView private data directly.
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::postCommitFrameViewSetup): Ditto.
        * webkit/webkitwebview.cpp:
        (webkit_web_view_button_press_event): Call into GtkClickCounter now.
        (webkit_web_view_init): Remove private member intialization.
        * webkit/webkitwebviewprivate.h: Remove unneeded private members.

2011-04-27  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Eric Seidel.

        [GTK] Menulists do not follow text direction when rendering options with right-to-left text
        https://bugs.webkit.org/show_bug.cgi?id=54038

        Fix rendering of menulists that contain right-to-left text. Text direction
        inside a menulist now follows the alignment of its contents.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::selectItemWritingDirectionIsNatural): Return false instead of true.
        (WebKit::ChromeClient::selectItemAlignmentFollowsMenuWritingDirection): Return true instead of false.

2011-04-27  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r84987.
        http://trac.webkit.org/changeset/84987
        https://bugs.webkit.org/show_bug.cgi?id=59618

        Caused crashes on the GTK+ debug bots. (Requested by mrobinson
        on #webkit).

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::exceededDatabaseQuota):

2011-04-26  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] flaky crash  storage/open-database-set-empty-version.html
        https://bugs.webkit.org/show_bug.cgi?id=58988

        Construct the security origin directly instead of getting it from the WebKitWebFrame object.
        This prevents failing to create the WebKitSecurityOrigin in cases where the frame is in
        some inconsistent state.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::exceededDatabaseQuota): Construct the origin directly.

2011-04-22  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] fast/events/overflow-viewport-renderer-deleted.html crashes
        https://bugs.webkit.org/show_bug.cgi?id=58976

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::getInnerText): Guard against situations when the documentElement
        method of the document returns null.

2011-04-22  Sam Weinig  <sam@webkit.org>

        Reviewed by Gavin Barraclough.

        Remove remaining uses of deprecated version of toJS
        https://bugs.webkit.org/show_bug.cgi?id=59170

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::shadowRoot):
        (DumpRenderTreeSupportGtk::ensureShadowRoot):
        Replace use of deprecated toJS overload with explicit call to deprecatedGlobalObjectForPrototype.

2011-04-22  Philippe Normand  <pnormand@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] DRT: implement eventSender.scalePageBy
        https://bugs.webkit.org/show_bug.cgi?id=59082

        Added support in DRT for webview scaling.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::scale):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-04-21  Ryosuke Niwa  <rniwa@webkit.org>

        Reviewed by Sam Weinig.

        Add Frame* to the argument lists of canCopyCut and canPaste
        https://bugs.webkit.org/show_bug.cgi?id=59153

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::canCopyCut):
        (WebKit::EditorClient::canPaste):
        * WebCoreSupport/EditorClientGtk.h:

2011-04-21  Martin Robinson  <mrobinson@igalia.com>

        [GTK] DRT: implement eventSender.scalePageBy
        https://bugs.webkit.org/show_bug.cgi?id=59082

        Rolling out r84507 since it broke many GTK+ tests.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-04-21  Philippe Normand  <pnormand@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] missing LayoutTestController::callShouldCloseOnWebView()
        https://bugs.webkit.org/show_bug.cgi?id=59086

        DRT::shouldClose(), used by the LayoutController.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::shouldClose):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-04-21  Philippe Normand  <pnormand@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] DRT: implement eventSender.scalePageBy
        https://bugs.webkit.org/show_bug.cgi?id=59082

        Added support in DRT for webview scaling.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::scalePageBy):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-04-20  Dominic Cooney  <dominicc@chromium.org>

        Reviewed by Dimitri Glazkov.

        layoutTestController can create and destroy shadow DOM
        https://bugs.webkit.org/show_bug.cgi?id=59058

        Support for new methods in GTK DRT.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::ensureShadowRoot):
        (DumpRenderTreeSupportGtk::removeShadowRoot):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-04-20  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Build libWebCore with the gtk sources too
        https://bugs.webkit.org/show_bug.cgi?id=58968

        In some cases webcore files are compiled twice, so it improves the
        build time.

        * GNUmakefile.am: Remove webcore gtk sources from libwebkitgtk
        sources.

2011-04-19  Vsevolod Vlasov  <vsevik@chromium.org>

        Reviewed by Pavel Feldman.

        Web Inspector: Rename lengthReceived to encodedDataLength/dataLength
        https://bugs.webkit.org/show_bug.cgi?id=58883

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidReceiveContentLength):
        * WebCoreSupport/FrameLoaderClientGtk.h:
        * webkit/webkitdownload.cpp:
        (DownloadClient::didReceiveData):

2011-04-18  Zan Dobersek  <zandobersek@gmail.com>

        Reviewed by Martin Robinson.

        [GTK] Need support for dumping focus rectangles in pixel results
        https://bugs.webkit.org/show_bug.cgi?id=53647

        Add a support function that returns the rectangle of the current
        selection in frame.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::rectangleForSelection):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-04-12  Xan Lopez  <xlopez@igalia.com>

        Unreviewed build fix.

        * webkit/webkitwebhistoryitem.cpp:

2011-04-12  Stephanie Lewis  <slewis@apple.com>

        Reviewed by Oliver Hunt.

        https://bugs.webkit.org/show_bug.cgi?id=58280
        <rdar://problem/9252824> javascript in an inconsistent state due to serialization returning an un-handled exception.

        Add a header include.  Fallout from untangling some header files in WebCore.

        * webkit/webkitwebhistoryitem.cpp:

2011-02-03  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Eric Seidel.

        [GTK] The GTK+ DRT needs an implementation of the PlainTextController
        https://bugs.webkit.org/show_bug.cgi?id=53605

        Added jsValueToDOMRange to DumpRenderTreeSupportGtk. This static method can convert
        a JSValueRef to a WebKitDOMRange. When it's possible to do this with the public
        API, we can remove this method.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::jsValueToDOMRange): Added.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h: Added declaration.

2011-04-11  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Chris Fleizach.

        [Gtk] Implement support for Embedded Objects
        https://bugs.webkit.org/show_bug.cgi?id=52148

        New accessibility unit test for embedded objects.

        * tests/testatk.c:
        (testWebkitAtkEmbeddedObjects): New unit test.
        (main): Added the new unit test.

2011-04-08  Dominic Cooney  <dominicc@google.com>

        Reviewed by Adam Roben.

        Make layoutTestController.shadowRoot return null, not undefined,
        when its argument is invalid.
        https://bugs.webkit.org/show_bug.cgi?id=58121

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::shadowRoot):

2011-04-08  Dominic Cooney  <dominicc@google.com>

        Reviewed by Kent Tamura.

        layoutTestController.shadowRoot should return undefined if its
        argument is not an element.
        https://bugs.webkit.org/show_bug.cgi?id=58119

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::shadowRoot):

2011-04-08  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Implement increment() and decrement() functions in DRT's AccessibilityUIElement
        https://bugs.webkit.org/show_bug.cgi?id=58039

        Implemented missing functions in GTK's DRT.

        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (modifyAccessibilityValue): Helper function to increment or decrement
        the current value for an object through the AccessibilityObject's API.
        (DumpRenderTreeSupportGtk::incrementAccessibilityValue): New function,
        to be used from GTK's DRT.
        (DumpRenderTreeSupportGtk::decrementAccessibilityValue): Ditto.

2011-04-06  Gustavo Noronha Silva  <gns@gnome.org>

        Reviewed by Martin Robinson.

        [GTK] Need a way to get the path to a WebKitWebPlugin
        https://bugs.webkit.org/show_bug.cgi?id=57968

        Expose the path of the plugin through the WebKitWebPlugin object.

        * webkit/webkitwebplugin.cpp:
        (webkit_web_plugin_get_path):
        * webkit/webkitwebplugin.h:
        * webkit/webkitwebpluginprivate.h:

2011-04-07  Alice Boxhall  <aboxhall@chromium.org>

        Reviewed by Ryosuke Niwa.

        Move the MouseEventWithHitTestResults::targetNode() method on to EventHandler.
        https://bugs.webkit.org/show_bug.cgi?id=57921

        * webkit/webkitwebview.cpp:
        (webkit_web_view_forward_context_menu_event):
        Call subframeForHitTestResult rather than subframeForTargetNode as the targetNode()
        method has moved on to EventHandler.

2011-04-05  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Eric Seidel.

        [Cairo] Better separate the concerns of GraphicsContextCairo
        https://bugs.webkit.org/show_bug.cgi?id=55150

        Add a PlatformContextCairo which right now stores the cairo_t* for a
        GraphicsContextCairo. Later patches will move logic for tracking ContextShadow
        and image masking layers into this PlatformContextCairo class.

        * webkit/webkitwebframe.cpp:
        (draw_page_callback):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_expose_event):
        (webkit_web_view_draw):

2011-04-04  MORITA Hajime  <morrita@google.com>

        Reviewed by Ryosuke Niwa.

        [Refactoring] SpellCheckingResult should be replaced with TextCheckingResult
        https://bugs.webkit.org/show_bug.cgi?id=56085

        * WebCoreSupport/TextCheckerClientEnchant.h:
        (WebKit::TextCheckerClientEnchant::requestCheckingOfString):

2011-04-04  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Gustavo Noronha Silva.

        [GTK] WebGL support
        https://bugs.webkit.org/show_bug.cgi?id=31517

        Add support for toggling WebGL at runtime when it's enabled.

        * webkit/webkitwebsettings.cpp: Add the enable-webgl property. When ENABLE_WEBGL
        is not enabled, it's a no-op.
        (webkit_web_settings_class_init): Update to support enable-webgl.
        (webkit_web_settings_set_property): Ditto.
        (webkit_web_settings_get_property): Ditto.
        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings): Ditto.

2011-04-04  Alexey Proskuryakov  <ap@apple.com>

        Reviewed by Dan Bernstein.

        REGRESSION (WebKit2): Caps-Lock indicator sometimes doesn't appear in WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=51230
        <rdar://problem/8780989>

        * webkit/webkitwebview.cpp: (webkit_web_view_key_release_event): Moved Caps Lock handling from
        WebKits to WebCore, because WebKit shouldn't be smart.

2011-04-04  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [Gtk] webkit_web_view_popup_menu_handler should call SelectionController::localCaretRect
        https://bugs.webkit.org/show_bug.cgi?id=54633

        Remove use of legacy editing positions when positioning keyboard-driven context
        menus. Simplify the code greatly.

        * webkit/webkitwebview.cpp:
        (getLocationForKeyboardGeneratedContextMenu): Added this helper which calculates
        the context menu position.
        (webkit_web_view_popup_menu_handler): Simplify code preventing the menu from bumping
        into the edges of the view. Remove (0,-1) hack as it no longer seems to be important.

2011-04-02  Dominic Cooney  <dominicc@google.com>

        Reviewed by Martin Robinson.

        Add layoutTestController.shadowRoot to GTK DumpRenderTree.
        https://bugs.webkit.org/show_bug.cgi?id=57551

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::shadowRoot):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-04-01  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r82721.
        http://trac.webkit.org/changeset/82721
        https://bugs.webkit.org/show_bug.cgi?id=57687

        This patch introduced assertion failures on the GTK+ bots.
        (Requested by mrobinson on #webkit).

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-04-01  Dominic Cooney  <dominicc@google.com>

        Reviewed by Martin Robinson.

        Add layoutTestController.shadowRoot to GTK DumpRenderTree.
        https://bugs.webkit.org/show_bug.cgi?id=57551

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::shadowRoot):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-03-31  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Link explicitly with XRender on Linux/Unix
        https://bugs.webkit.org/show_bug.cgi?id=57558

        * GNUmakefile.am: add XRender LIBS.

2011-03-31  Evan Martin  <evan@chromium.org>

        Build fix from previous change.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidReceiveTitle):

2011-03-31  Evan Martin  <evan@chromium.org>

        Reviewed by Eric Seidel.

        <title> should support dir attribute
        https://bugs.webkit.org/show_bug.cgi?id=50961

        Update to new FrameLoaderClient interface.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidReceiveTitle):
        (WebKit::FrameLoaderClient::setTitle):
        * WebCoreSupport/FrameLoaderClientGtk.h:

2011-03-29  Philippe Normand  <pnormand@igalia.com>

        Unreviewed, disable an assert in testwebview due to
        https://bugs.webkit.org/show_bug.cgi?id=57315

        * tests/testwebview.c:

2011-03-28  Adele Peterson  <adele@apple.com>

        Build fix.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::webkitWebFrameSelectionHasSpellingMarker):

2011-03-28  Sergio Villar Senin  <svillar@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Fullscreen tests failing after r82084
        https://bugs.webkit.org/show_bug.cgi?id=57219

        Added the withKeyboard parameter to supportsFullScreenForElement
        method in ChromeClient. Fullscreen will be disabled for keyboard
        access by default.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::supportsFullScreenForElement):
        * WebCoreSupport/ChromeClientGtk.h:

2011-03-25  Andy Estes  <aestes@apple.com>

        Reviewed by Adele Peterson.

        REGRESSION (r70748): latest nightly builds kills AC_QuickTime.js
        https://bugs.webkit.org/show_bug.cgi?id=49016

        Update objectContentType() implementation to handle the
        shouldPreferPlugInsForImages flag.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::objectContentType):
        * WebCoreSupport/FrameLoaderClientGtk.h:

2011-03-25  Priit Laes  <plaes@plaes.org>

        Reviewed by Martin Robinson.

        [GTK] [PATCH] Avoid critical warning when free-ing list of plugins
        https://bugs.webkit.org/show_bug.cgi?id=57025

        * webkit/webkitwebplugindatabase.cpp:
        (webkit_web_plugin_database_plugins_list_free):
        Use regular check and return instead of g_return_if_fail.

2011-03-24  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r81916 and r81917.
        http://trac.webkit.org/changeset/81916
        http://trac.webkit.org/changeset/81917
        https://bugs.webkit.org/show_bug.cgi?id=57071

        broke a test on platforms that do not have QuickTime installed
        (Requested by estes on #webkit).

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::objectContentType):
        * WebCoreSupport/FrameLoaderClientGtk.h:

2011-03-24  Andy Estes  <aestes@apple.com>

        Reviewed by Darin Adler.

        REGRESSION (r70748): latest nightly builds kills AC_QuickTime.js
        https://bugs.webkit.org/show_bug.cgi?id=49016

        Update objectContentType() implementation to handle the
        shouldPreferPlugInsForImages flag.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::objectContentType):
        * WebCoreSupport/FrameLoaderClientGtk.h:

2011-03-23  Brady Eidson  <beidson@apple.com>

        Reviewed by Sam Weinig.

        Change IconDatabase opening to allow for arbitrary filenames
        https://bugs.webkit.org/show_bug.cgi?id=56977

        * webkit/webkiticondatabase.cpp:
        (webkit_icon_database_set_path):

2011-03-22  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Rubber-stamped by Xan Lopez.

        Applications that include WebKit headers fail to build when using strict warnings
        because the signature for webkit_application_cache_get_maximum_size is missing a
        'void' to make it explicit it takes no arguments.

        * webkit/webkitapplicationcache.h:

2011-03-21  Alejandro G. Castro  <alex@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] 1.3.13 release bump
        https://bugs.webkit.org/show_bug.cgi?id=56795

        Version bump for 1.3.13 and updated NEWS file with release notes.

        * NEWS:

2011-03-21  Chang Shu  <cshu@webkit.org>

        Reviewed by Alexey Proskuryakov.

        REGRESSION (r79953): Can't type in MS Outlook 2011
        https://bugs.webkit.org/show_bug.cgi?id=56665

        r79953 removed the WebView level editablity which is persistent no matter whether
        underlying document itself is changed and editability gets lost. The resolution is to
        set this WebView editable value to WebCore. This avoids the callback from WebCore to
        WebKit which was the main goal in r79953 to improve performance.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_editable):
        (webkit_web_view_set_editable):

2011-03-21  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] [Stable] AtkHypertext exposes wrong offsets for links placed inside <span> nodes
        https://bugs.webkit.org/show_bug.cgi?id=56737

        * tests/testatk.c:
        (testWebkitAtkHypertextAndHyperlinks): Updated unit test to also
        check offsets for hyperlinks inside <span> nodes.

2011-03-18  David Keijser  <keijser@gmail.com> and Xan Lopez <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] On-demand event-listeners for DOM event signals
        https://bugs.webkit.org/show_bug.cgi?id=49649

        * tests/testdomdomwindow.c: update unit tests for new APIs.
        (load_event_callback): ditto.
        (test_dom_domview_signals): ditto.
        (load_status_callback): ditto.

2011-03-17  Brady Eidson  <beidson@apple.com>

        Reviewed by Sam Weinig.

        https://bugs.webkit.org/show_bug.cgi?id=56425
        More groundwork for WebKit2 IconDatabase

        Update already-used function names:
        * webkit/webkiticondatabase.cpp:
        (webkit_icon_database_get_icon_uri):
        (webkit_icon_database_get_icon_pixbuf):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_icon_uri):

2011-03-16  Joseph Pecoraro  <joepeck@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        Viewport no longer allows an auto value for "user-scalable"
        https://bugs.webkit.org/show_bug.cgi?id=55416

        Make the default value for userScalable be true.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::dumpConfigurationForViewport): update test output to include userScalable.
        * webkit/webkitviewportattributes.cpp:
        (webkitViewportAttributesRecompute):

2011-03-15  Ilya Sherman  <isherman@chromium.org>

        Reviewed by Tony Chang.

        Autofilled form elements are assigned fixed background color but not text color
        https://bugs.webkit.org/show_bug.cgi?id=48382

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setAutofilled): Added.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-03-14  Ryuan Choi  <ryuan.choi@samsung.com>

        Reviewed by Martin Robinson.

        [GTK] Possible leaks after splitting TextCheckerClientEnchant.
        https://bugs.webkit.org/show_bug.cgi?id=55989

        Convert gchar* to GOwnPtr<gchar> and refactor the code.

        * WebCoreSupport/TextCheckerClientEnchant.cpp:
        (WebKit::TextCheckerClientEnchant::checkSpellingOfString):

2011-03-11  Marco Peereboom  <marco@peereboom.us>

        Reviewed by Gustavo Noronha Silva.

        Provide a knob to enable/disable DNS prefetching.
        DNS prefetching is enabled by default.
        https://bugs.webkit.org/show_bug.cgi?id=55973

        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_class_init):
        (webkit_web_settings_set_property):
        (webkit_web_settings_get_property):
        (webkit_web_settings_copy):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):
        (webkit_web_view_settings_notify):

2011-03-08  Philippe Normand  <pnormand@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] close-web-view emitted on disposed WebView
        https://bugs.webkit.org/show_bug.cgi?id=55932

        * WebCoreSupport/ChromeClientGtk.cpp:
        (ChromeClient::chromeDestroyed): Remove the closeSoonTimer glib
        source before destruction of the ChromeClient.

2011-03-11  Roland Steiner  <rolandsteiner@chromium.org>

        Reviewed by Ryosuke Niwa.

        Bug 55570 - Remove dependency of dom/InputElement.cpp on html/ and wml/
        https://bugs.webkit.org/show_bug.cgi?id=55570

        Add a virtual function toInputElement() to Node that has a default
        implementation of returning 0.
        For HTMLInputElement and WMLInputElement (which derive from InputElement)
        override this to return the object.
        Change all calling sites of the old toInputElement to use the new member
        function. This also allows us to save some casts.

        No new tests (refactoring).

        * src/WebInputElement.cpp:
        (WebKit::toWebInputElement):

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setValueForUser):

2011-03-10  Philippe Normand  <pnormand@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] unittests/testapplicationcache crashes
        https://bugs.webkit.org/show_bug.cgi?id=56083

        Removed the webkit_application_cache_get_database_directory_path
        API as the underlying ApplicationCacheStorage doesn't allow
        setting the cache path multiple times.

        * tests/testapplicationcache.c:
        (main):
        * webkit/webkitapplicationcache.cpp:
        (webkit_application_cache_get_database_directory_path):
        * webkit/webkitapplicationcache.h:
        * webkit/webkitglobals.cpp:
        (webkitInit):

2011-03-09  Peter Kasting  <pkasting@google.com>

        Reviewed by Mihai Parparita.

        Unify Windows version checks.
        https://bugs.webkit.org/show_bug.cgi?id=55979

        * webkit/webkitwebsettings.cpp:
        (webkitOSVersion):

2011-03-08  Christian Dywan  <christian@lanedo.com>

        Reviewed by Martin Robinson.

        [GTK] provide an API to control the IconDatabase
        https://bugs.webkit.org/show_bug.cgi?id=32510

        * GNUmakefile.am:
        * WebCoreSupport/FrameLoaderClientGtk.cpp: Emit signals on
            the icon database for new icons.
        * webkit/webkit.h:
        * webkit/webkitdefines.h:
        * webkit/webkitglobals.cpp:
        * webkit/webkitglobals.h: Add a function to obtain the global
            icon database.
        * webkit/webkiticondatabase.cpp:
        * webkit/webkiticondatabase.h: Implement public icon database
            object with methods for obtaining icon URLs, pixbufs, clearing
            waiting for new icons.
        * webkit/webkitwebview.cpp:
        * webkit/webkitwebview.h: Add a method to obtain an icon pixbuf
            for the web view.
2011-03-08  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Add layoutTestController.setValueForUser() after r80412
        https://bugs.webkit.org/show_bug.cgi?id=55862

        Add setValueForUser method to DumpRenderTreeSupportGTK.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setValueForUser):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-03-07  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Replace WebKit2's decidePolicyForMIMEType with decidePolicyForResponse
        https://bugs.webkit.org/show_bug.cgi?id=55827

        Renamed FrameLoaderClient::dispatchDecidePolicyForMIMEType to dispatchDecidePolicyForResponse
        and pass the entire response, instead of just the MIMEType.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDecidePolicyForResponse):
        * WebCoreSupport/FrameLoaderClientGtk.h:

2011-03-01  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Windowless plugins override the view cursor
        https://bugs.webkit.org/show_bug.cgi?id=55531

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::setCursor): Moved the implementation of setCursor here
        which is more fitting since it sets the cursor for the entire window.

2011-03-03  Brady Eidson  <beidson@apple.com>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=55721
        Global IconDatabase should be returned by reference, not as a pointer

        * webkit/webkitglobals.cpp:
        (closeIconDatabaseOnExit):
        (WebKit::setIconDatabaseEnabled):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_icon_uri):

2011-03-03  Alexey Proskuryakov  <ap@apple.com>

        Removing an include of WebCoreKeyboardUIMode.h that Ive just added. It's already included
        via ChromeClient.h

        * WebCoreSupport/ChromeClientGtk.h:

2011-03-02  Alexey Proskuryakov  <ap@apple.com>

        Reviewed by Darin Adler.

        REGRESSION (WebKit2): Tab keys no longer observe Full Keyboard Access
        https://bugs.webkit.org/show_bug.cgi?id=55633
        <rdar://problem/8963023>

        * WebCoreSupport/ChromeClientGtk.cpp: (WebKit::ChromeClient::keyboardUIMode):
        * WebCoreSupport/ChromeClientGtk.h:
        Implement keyboardUIMode() instead of tabsToLinks(). No change in functionality, since
        this platform doesn't observe or have full keyboard access state.

2011-03-03  Lukasz Slachciak  <l.slachciak@samsung.com>

        Reviewed by Xan Lopez.

        [GTK] Extended application cache database API and added unit tests file.
        https://bugs.webkit.org/show_bug.cgi?id=55335

        * GNUmakefile.am: Add testapplicationcache.c and remove webkitapplicationcacheprivate.h.
        * tests/testapplicationcache.c: Added.
        (test_applicationcache_maximum_size): Tests if application cache storage is set/get correctly.
        (test_applicationcache_database_directory_path): Tests if application cache directory path is set/get correctly.
        (main):
        * webkit/webkitapplicationcache.cpp:
        (webkit_application_cache_get_maximum_size): New API for getting application cache maximum storage size.
        * webkit/webkitapplicationcache.h: Declaration of API for getting/setting application cache maximum storage size.
        * webkit/webkitapplicationcacheprivate.h: Removed.
2011-03-03  Peter Kasting  <pkasting@google.com>

        Reviewed by James Robinson.

        Drop redundant "Windows; " from the Windows-specific User Agent string.
        https://bugs.webkit.org/show_bug.cgi?id=54567

        * webkit/webkitwebsettings.cpp:
        (webkitPlatform):
        (webkitUserAgent):

2011-03-02  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        Do a bit of cleanup in ChromeClientGtk. Instead of always fetching the
        WebKitWebView from the frame, simply get it from the member variable of
        the ChromeClientGtk instance itself.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::scrollbarsVisible):
        (WebKit::ChromeClient::exceededDatabaseQuota):
        (WebKit::ChromeClient::requestGeolocationPermissionForFrame):
        (WebKit::ChromeClient::cancelGeolocationPermissionRequestForFrame):
        (WebKit::ChromeClient::enterFullscreenForNode):
        (WebKit::ChromeClient::exitFullscreenForNode):

2011-03-01  Joseph Pecoraro  <joepeck@webkit.org>

        Unreviewed. Roll out r80068 and r80073 due to breaking WebKit2 Qt port.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::dumpConfigurationForViewport):
        * webkit/webkitviewportattributes.cpp:
        (webkitViewportAttributesRecompute):

2011-03-01  Joseph Pecoraro  <joepeck@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        Viewport Warning/Error Messages Are Now Inaccurate
        https://bugs.webkit.org/show_bug.cgi?id=53707

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::dumpConfigurationForViewport): pass a Document into computeViewportAttributes for warnings to be reported to.
        * webkit/webkitviewportattributes.cpp:
        (webkitViewportAttributesRecompute): pass a Document into computeViewportAttributes for warnings to be reported to.

2011-03-01  Kamil Blank  <k.blank@samsung.com>

        Reviewed by Martin Robinson.

        [GTK] Fixing headers order in webkit.h.
        https://bugs.webkit.org/show_bug.cgi?id=55316

        * webkit/webkit.h: Style fix.

2011-03-01  Joone Hur  <joone.hur@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Convert use of cairo_t to RefPtr<cairo_t> in webkitwebiew.cpp
        https://bugs.webkit.org/show_bug.cgi?id=55437

        * webkit/webkitwebview.cpp: Convert use of cairo_t to RefPtr<cairo_t>.
        (webkit_web_view_expose_event): 

2011-02-28  Chang Shu  <cshu@webkit.org>

        Reviewed by Ryosuke Niwa.

        Remove the support of Frame::isContentEditable and its dependencies.
        https://bugs.webkit.org/show_bug.cgi?id=54292

        Remove the WebKit side implementation. Make WebKit support depend on Document::inDesignMode.

        * WebCoreSupport/EditorClientGtk.cpp:
        * WebCoreSupport/EditorClientGtk.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_init):
        (webkit_web_view_get_editable):
        (webkit_web_view_set_editable):
        * webkit/webkitwebviewprivate.h:

2011-02-26  Lukasz Slachciak  <l.slachciak@samsung.com>

        Reviewed by Xan Lopez.

        [GTK] Implemented API to set/get web application cache directory path database.

        * GNUmakefile.am: Add webkitapplicationcache.h file.
        * webkit/webkit.h: Add webkitapplicationcache.h file.
        * webkit/webkitapplicationcache.cpp: definition of API setting and getting
        web application cache directory path database.
        (webkit_application_cache_get_database_directory_path):
        (webkit_application_cache_set_database_directory_path):
        * webkit/webkitapplicationcache.h: Added new API file for setting and getting
        web application cache directory path database.
        * webkit/webkitglobals.cpp:
        (webkitInit): use webkit_application_cache_set_database_directory_path
        to set default web application cache directory path database.

2011-02-26  Vsevolod Vlasov  <vsevik@chromium.org>

        Reviewed by Pavel Feldman.

        DumpRenderTree should reset frame opener between tests.
        https://bugs.webkit.org/show_bug.cgi?id=54874

        Added clearOpener method to DumpRenderTreeSupportGTK.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::clearOpener):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-02-26  Kenneth Rohde Christiansen  <kenneth@webkit.org>

        Reviewed by Andreas Kling.

        Make it possible to test the targetdensity-dpi support
        https://bugs.webkit.org/show_bug.cgi?id=55142

        Test the viewport meta tag feature targetdensity-dpi by
        adding extra arguments to dumpConfigurationForViewport

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::dumpConfigurationForViewport):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-02-26  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r79764.
        http://trac.webkit.org/changeset/79764
        https://bugs.webkit.org/show_bug.cgi?id=55295

        "broke Chromium builds" (Requested by rniwa on #webkit).

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-02-26  Vsevolod Vlasov  <vsevik@chromium.org>

        Reviewed by Pavel Feldman.

        DumpRenderTree should reset frame opener between tests.
        https://bugs.webkit.org/show_bug.cgi?id=54874

        Added clearOpener method to DumpRenderTreeSupportGTK.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::clearOpener):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-02-24  Peter Kasting  <pkasting@google.com>

        Reviewed by Eric Seidel.

        Drop the "U; " encryption level from the User Agent string.
        https://bugs.webkit.org/show_bug.cgi?id=54566

        * webkit/webkitwebsettings.cpp:
        (webkitUserAgent):

2011-02-24  Andrew Wilson  <atwilson@chromium.org>

        Unreviewed, rolling out r79570.
        http://trac.webkit.org/changeset/79570
        https://bugs.webkit.org/show_bug.cgi?id=54874

        Breaks chromium build because glue/mocks/mock_web_frame.h/cc
        was not updated

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-02-24  Vsevolod Vlasov  <vsevik@chromium.org>

        Reviewed by Alexey Proskuryakov.

        DumpRenderTree should reset frame opener between tests.
        https://bugs.webkit.org/show_bug.cgi?id=54874

        Added clearOpener method to DumpRenderTreeSupportGTK.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::clearOpener):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-02-22  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Alexey Proskuryakov.

        Drop the language tag part from the User Agent string
        https://bugs.webkit.org/show_bug.cgi?id=54560

        * webkit/webkitwebsettings.cpp:
        (webkitUserAgent):

2011-02-22  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] position:fixed elements flicker while scrolling after r74196
        https://bugs.webkit.org/show_bug.cgi?id=54981

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::ChromeClient): Initialize the new m_pendingScrollInvalidations
        boolean to false.
        (WebKit::ChromeClient::invalidateWindow): If this is an immediate invalidation and we
        having pending scrolling invalidations, instruct GDK to process updates now.
        (WebKit::ChromeClient::scroll): Remove the call to gdk_window_process_updates. Set
        m_pendingScrollInvalidations to true to force it to happen in invalidateWindow instead.
        * WebCoreSupport/ChromeClientGtk.h: Add new boolean member.

2011-02-02  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] DRT needs an implementation of LayoutTestController.setSelectTrailingWhitespace
        https://bugs.webkit.org/show_bug.cgi?id=53603

        Add setSelectTrailingWhitespaceEnabled and selectTrailingWhitespaceEnabled which allow
        setting and querying the selectTrailingWhitespaceEnabled setting. EditorClient just
        listens to this value during DRT runs. Perhaps later we can expose this to the public
        API.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setSelectTrailingWhitespaceEnabled): Added
        (DumpRenderTreeSupportGtk::selectTrailingWhitespaceEnabled): Added
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::isSelectTrailingWhitespaceEnabled): Ask DRTSupportGtk
        for the appropriate return value.

2011-02-21  Alejandro G. Castro  <alex@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] [REGRESSION] After r79130, spell tests did not work
        https://bugs.webkit.org/show_bug.cgi?id=54860

        * WebCoreSupport/TextCheckerClientEnchant.cpp:
        (WebKit::TextCheckerClientEnchant::checkSpellingOfString): Avoided
        freeing the default PangoLanguage.
        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings): Initialized list of dictionaries.

2011-02-17  Ryosuke Niwa  <rniwa@webkit.org>

        Reviewed by Kent Tamura.

        Rename Position::node() to Position::deprecatedNode()
        https://bugs.webkit.org/show_bug.cgi?id=54622

        Done the rename. All calls to node() are replaced by calls to deprecatedNode().

        * webkit/webkitwebview.cpp:
        (webkit_web_view_popup_menu_handler):

2011-02-19  Ryuan Choi  <ryuan.choi@samsung.com>

        Reviewed by Martin Robinson.

        [GTK] Remove mandatory Enchant dependency
        https://bugs.webkit.org/show_bug.cgi?id=51587

        Extract TextCheckerClientEnchant From EditorClientGtk and remove
        enchant dependency from other files.

        * GNUmakefile.am:
        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::EditorClient):
        * WebCoreSupport/EditorClientGtk.h:
        (WebKit::EditorClient::textChecker):
        * WebCoreSupport/TextCheckerClientEnchant.cpp: Added.
        (WebKit::TextCheckerClientEnchant::TextCheckerClientEnchant):
        (WebKit::TextCheckerClientEnchant::~TextCheckerClientEnchant):
        (WebKit::TextCheckerClientEnchant::ignoreWordInSpellDocument):
        (WebKit::TextCheckerClientEnchant::learnWord):
        (WebKit::TextCheckerClientEnchant::checkSpellingOfString):
        (WebKit::TextCheckerClientEnchant::getAutoCorrectSuggestionForMisspelledWord):
        (WebKit::TextCheckerClientEnchant::checkGrammarOfString):
        (WebKit::TextCheckerClientEnchant::getGuessesForWord):
        (WebKit::getAvailableDictionariesCallback):
        (WebKit::TextCheckerClientEnchant::updateSpellCheckingLanguage):
        (WebKit::TextCheckerClientEnchant::freeSpellCheckingLanguage):
        * WebCoreSupport/TextCheckerClientEnchant.h: Added.
        (WebKit::TextCheckerClientEnchant::requestCheckingOfString):
        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_finalize):
        (webkit_web_settings_set_property):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_settings_notify):

2011-02-19  Charlie Reis  <creis@chromium.org>

        Reviewed by Mihai Parparita.

        Ensure loading has stopped in HistoryController::goToItem
        https://bugs.webkit.org/show_bug.cgi?id=54517

        Add a FrameLoaderClient callback for whether to stop loading before goToItem.

        Test: http/tests/navigation/forward-to-fragment-fires-onload.html

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClientGtk::shouldStopLoadingForHistoryItem): Added.
        * WebCoreSupport/FrameLoaderClientGtk.h:

2011-02-18  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Martin Robinson.

        [Gtk] atk_text_get_selection/atk_text_set_selection fails for list items
        https://bugs.webkit.org/show_bug.cgi?id=53453

        Update unit test to check the fix for this bug.

        * tests/testatk.c:
        (testWebkitAtkTextSelections): Check that functions from AtkText
        interface to set and get text selections work with list items.

2011-02-17  Robert Ancell  <rober.ancell@gmail.com>

        Reviewed by Martin Robinson.

        [PATCH] GTK documentation fails to build due to changed paths
        https://bugs.webkit.org/show_bug.cgi?id=54600

        * docs/GNUmakefile.am: Update the paths that have now moved the Source
        directory.

2011-02-16  Joone Hur  <joone.hur@collabora.co.uk>

        Reviewed by Xan Lopez.

        [GTK] Match more various WebKit API enum values with WebCore enum values
        https://bugs.webkit.org/show_bug.cgi?id=54352

        AssertMatchingEnums.cpp was added to assert that various WebKit API enum values 
        continue matching WebCore defined enum values in the following changeset.
        http://trac.webkit.org/changeset/77868
        However, there are already enum values that have been asserted in other files, 
        so these assert macros defined need to be moved to AssertMatchingEnum.cpp.  

        * WebCoreSupport/AssertMatchingEnums.cpp: Add more enum values to be asserted.
        * webkit/webkitwebnavigationaction.cpp:  
        (webkit_web_navigation_action_class_init): Move the assert macros of 
        WEBKIT_WEB_NAVIGATION_REASON_* to AssertMatchingEnums.cpp.
        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_class_init): Move the assert macros of WEBKIT_EDITING_BEHAVIOR_* 
        to AssertMatchingEnums.cpp.

2011-02-16  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] events missing when a document is (re)loaded
        https://bugs.webkit.org/show_bug.cgi?id=25831

        Emit the right signals when reloading a document.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::notifyAccessibilityStatus): New function, to make sure
        the signals involved in reloading a document are properly emitted.
        (WebKit::notifyStatus): Also notify accessibility if enabled.

2011-02-15  Kenneth Russell  <kbr@google.com>

        Reviewed by Darin Fisher.

        Allow controlling minimum DOMTimer interval on a per-page basis
        https://bugs.webkit.org/show_bug.cgi?id=54312

        Added needed methods to implement LayoutTestController's new
        setMinimumTimerInterval method.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::defaultMinimumTimerInterval):
        (DumpRenderTreeSupportGtk::setMinimumTimerInterval):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-02-15  Christian Dywan  <christian@lanedo.com>

        Rubber-stamped by Gustavo Noronha Silva.

        * webkit/webkitwebsettings.cpp: Correct a typo, it is
            acces*s*ibility with two s.

2011-01-26  MORITA Hajime  <morrita@google.com>

        Reviewed by Ryosuke Niwa.

        Refactoring: Extract TextCheckerClient from EditorClient
        https://bugs.webkit.org/show_bug.cgi?id=53213

        * WebCoreSupport/EditorClientGtk.h:
        (WebKit::EditorClient::textChecker):

2011-02-07  Ryosuke Niwa  <rniwa@webkit.org>

        Reviewed by Adam Barth.

        Add EditorClient callbacks to override isDOMPasteAllowed and javaScriptCanAccessClipboard
        https://bugs.webkit.org/show_bug.cgi?id=52417

        Added two callback functions, canCopyCut and canPaste to EditorClient. They are currently
        not implemented.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::canCopyCut): Added.
        (WebKit::EditorClient::canPaste): Added.
        * WebCoreSupport/EditorClientGtk.h:

2011-02-14  Alejandro G. Castro  <alex@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] testwebdatasource test fails in the bots
        https://bugs.webkit.org/show_bug.cgi?id=54414

        Changed the uri we check, added www to avoid the rewrite that we
        get when we as the uri to the request in case it finishes.

        * tests/testwebdatasource.c:
        (notify_load_status_cb):

2011-02-11  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r78331.
        http://trac.webkit.org/changeset/78331
        https://bugs.webkit.org/show_bug.cgi?id=54295

        This patch broke 11 tests in GTK bots (Requested by svillar on
        #webkit).

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::notifyStatus):

2011-02-10  Nate Chapin  <japhet@chromium.org>

        Reviewed by Adam Barth.

        Update calls to DocumentWriter.
        https://bugs.webkit.org/show_bug.cgi?id=50489

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::FrameLoaderClient):
        (WebKit::FrameLoaderClient::didRunInsecureContent):
        (WebKit::FrameLoaderClient::dispatchDidLoadMainResource):
        (WebKit::FrameLoaderClient::finishedLoading):
        * WebCoreSupport/FrameLoaderClientGtk.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_encoding):

2011-02-11  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] events missing when a document is (re)loaded
        https://bugs.webkit.org/show_bug.cgi?id=25831

        Emit the right signals when reloading a document.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::notifyAccessibilityStatus): New function, to make sure
        the signals involved in reloading a document are properly emitted.
        (WebKit::notifyStatus): Also notify accessibility if enabled.

2011-02-08  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] DRT needs an implementation of LayoutTestController.setIconDatabaseEnabled
        https://bugs.webkit.org/show_bug.cgi?id=54033

        Add a DumpRenderTreeSupportGtk method for turning the icon database on and off.
        This is a likely candidate for a new API point.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setIconDatabaseEnabled): Added.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        * webkit/webkitglobals.cpp:
        (webkitInit): Call setIconDatabaseEnabled(true) on startup, instead
        of initializing the database manually.
        (WebKit::setIconDatabaseEnabled): Added.
        * webkit/webkitglobalsprivate.h: Added declarations.

2011-02-08  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Remove orphan code from old parser
        https://bugs.webkit.org/show_bug.cgi?id=53984

        * WebCoreSupport/ChromeClientGtk.h:

2011-02-02  Ilya Tikhonovsky  <loislo@chromium.org>

        Reviewed by Yury Semikhatsky.

        Web Inspector: move InspectorController's methods from InspectorAgent to InspectorController.

        https://bugs.webkit.org/show_bug.cgi?id=53169

        Minor change enforced by major changes in WebCore/inspector/InspectorController.

        * WebCoreSupport/InspectorClientGtk.cpp:
        * webkit/webkitwebinspector.cpp:
        (webkit_web_inspector_get_property):

2011-02-08  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] DRT's TextInputController is unimplemented on GTK
        https://bugs.webkit.org/show_bug.cgi?id=52997

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::setComposition):
        (DumpRenderTreeSupportGtk::confirmComposition):
        (DumpRenderTreeSupportGtk::firstRectForCharacterRange):
        (DumpRenderTreeSupportGtk::selectedRange): New methods needed by
        TextInputController.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-02-07  Enrica Casucci  <enrica@apple.com>

        Reviewed Adam Roben and Darin Adler.

        WebKit2: drag and drop support on Windows.
        https://bugs.webkit.org/show_bug.cgi?id=52775

        Removed createDragImageForLink from DragClient.

        * WebCoreSupport/DragClientGtk.cpp:
        * WebCoreSupport/DragClientGtk.h:

2011-02-07  Joone Hur  <joone.hur@collabora.co.uk>

        Reviewed by Martin Robinson.

        [Gtk] Implement layoutTestController.findString
        https://bugs.webkit.org/show_bug.cgi?id=50237

        * GNUmakefile.am: Add AssertMatchingEnums.cpp.
        * WebCoreSupport/AssertMatchingEnums.cpp: Add this file to assert that various 
        WebKit API enum values continue matching WebCore defined enum values.
        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::findString):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-02-07  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Daniel Bates.

        [GTK] fast/history/history-subframe-with-name.html fails with GTK DRT
        https://bugs.webkit.org/show_bug.cgi?id=44784

        Call FrameLoader::loadURLIntoChildFrame on the parent frame's loader, not the child's. 

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::createFrame): Fix the call to FrameLoader::loadURLIntoChildFrame.

2011-02-07  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Xan Lopez.

        [Gtk] atk_text_get_caret_offset fails for list items
        https://bugs.webkit.org/show_bug.cgi?id=53436

        Update unit test to check the fix for this bug.

        * tests/testatk.c:
        (testWebkitAtkCaretOffsets): Check that the caret offset returned
        match the value previously set.

2011-02-04  Joone Hur  <joone.hur@collabora.co.uk>

        Unreviewed, Fix compilation warning.

        Constructor initialization list should follow the declaration order.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::FrameLoaderClient): m_hasRepresentation is moved to 
        the last position in the initialization list.

2011-02-04  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] WebKitWebFrame can return a stale frame name when calling webkit_web_frame_get_name
        https://bugs.webkit.org/show_bug.cgi?id=53797

        When the frame name changes between different calls to webkit_web_frame_get_name
        on the same frame, return the new frame name instead of the one valid during the
        previous call.

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_init): Initialize the frame name to 0.
        (webkit_web_frame_get_name): Check the current frame name first before
        returning the cached value.

2011-02-04  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Gustavo Noronha Silva.

        [GTK] fast/events/pagehide-timeout.html fails
        https://bugs.webkit.org/show_bug.cgi?id=53771

        Add the document browser cache model. This model is optimized for viewing
        a series of local files, while the document viewer is optimized for only
        viewing one local file. Improve the documentation on the mapping of these
        enum values to actual cache settings.

        * webkit/webkitglobals.cpp:
        (webkit_set_cache_model): Add support for the document browser cache model and
        improve comments in this section better explaining where the magic numbers come from.
        * webkit/webkitglobals.h: Added an enum value for the document browser cache model.

2011-02-03  Yury Semikhatsky  <yurys@chromium.org>

        Reviewed by Pavel Feldman.

        Web Inspector: remove settings related methods from InspectorClient
        https://bugs.webkit.org/show_bug.cgi?id=53686

        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorFrontendClient::InspectorFrontendClient):
        * WebCoreSupport/InspectorClientGtk.h:

2011-02-03  Adam Langley  <agl@chromium.org>

        Reviewed by Adam Barth.

        Plumb mixed script URL to FrameLoaderClient
        https://bugs.webkit.org/show_bug.cgi?id=52384

        Regressions covered by http/tests/security/mixedContent/*

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::didRunInsecureContent):
        * WebCoreSupport/FrameLoaderClientGtk.h:

2011-02-03  Joone Hur  <joone.hur@collabora.co.uk>

        Reviewed by Martin Robinson.

        [Gtk] No need to set text encoding in the provisional phase
        https://bugs.webkit.org/show_bug.cgi?id=53487

        According to changeset 67253, setEncoding could be called multiple times from 
        committedLoad, finishedLoading, dispatchDidFailLoading, and setMainDocumentError 
        in FrameLoaderClient. To fix this, the relevant code was removed from 
        FrameLoaderClient and moved to DocumentLoader::commitData. However, that 
        code was not removed from FrameLoaderClient::finishedLoading in WebKitGtk+.

        Due to this reason, after loading a html document, other ports initialize the 
        text encoding from FrameLoaderClient::finishedLoading, but WebKitGtk+ sets 
        the same encoding again, even tries to set encoding in the provisional phase. 
        This causes unnecessary encoding setting.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::FrameLoaderClient): Set m_hasRepresentation to false.
        (WebKit::FrameLoaderClient::makeRepresentation): Set m_hasRepresentation to true.
        (WebKit::FrameLoaderClient::revertToProvisionalState): Set m_hasRepresentation to true.
        (WebKit::FrameLoaderClient::finishedLoading): Skip the encoding setting when 
        m_hasRepresentation is false.
        * WebCoreSupport/FrameLoaderClientGtk.h: Added m_hasRepresentation.

2011-02-02  Alejandro G. Castro  <alex@igalia.com>

        Reviewed by Martin Robinson.

        Update the NEWS file in preparation for the 1.3.11 release.

        * NEWS: Update the NEWS.

2011-02-02  Dan Winship  <danw@gnome.org>

        Reviewed by Martin Robinson.

        [GTK] drop soup cache stuff, which has been moved to libsoup
        https://bugs.webkit.org/show_bug.cgi?id=50747

        * GNUmakefile.am: Remove old cache files.

2011-02-02  David Hyatt  <hyatt@apple.com>

        Reviewed by Darin Adler.

        Removal of right()/bottom(), converting to maxX()/maxY().

        * webkit/webkitwebview.cpp:
        (webkit_web_view_popup_menu_handler):

2011-02-01  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Martin Robinson.

        [Gtk] atk_text_set_caret_offset fails for list items
        https://bugs.webkit.org/show_bug.cgi?id=53388

        Update unit test to check the fix for this bug.

        * tests/testatk.c:
        (testWebkitAtkCaretOffsets): Ensure setting the caret in a list
        item through the AtkText interface is possible.

2011-02-01  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] character range extents is off when the end of a wrapped line is included
        https://bugs.webkit.org/show_bug.cgi?id=53323

        Update unit test to check the fix for this bug.

        * tests/testatk.c:
        (testWebkitAtkGetExtents): Check that the extent for a full line
        are the same height than for a partial section of the same line.

2011-02-01  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Caret Offset is one off at the end of wrapped lines
        https://bugs.webkit.org/show_bug.cgi?id=53300

        Update unit test to check the fix for this bug.

        * tests/testatk.c:
        (testWebkitAtkCaretOffsetsAndExtranousWhiteSpaces): Set and get
        the caret offset at the edge of the line.

2011-01-31  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Martin Robinson.

        [Gtk] atk_text_set_caret_offset returns True even when it is unsuccessful
        https://bugs.webkit.org/show_bug.cgi?id=53389

        New unit test to check the fix for this bug.

        * tests/testatk.c:
        (testWebkitAtkCaretOffsets): New.
        (main): Add new test.

2011-01-29  Dan Winship  <danw@gnome.org>

        Reviewed by Xan Lopez.

        [GTK] Remove HAVE_LIBSOUP_2_29_90 and HAVE_GSETTINGS conditionals;
        we depend on glib 2.27.4 and libsoup 2.33.1 now.
        https://bugs.webkit.org/show_bug.cgi?id=50675

        * GNUmakefile.am:
        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorClient::storeSetting):
        * webkit/webkitprivate.cpp:
        (inspectorGSettings):
        * webkit/webkitprivate.h:

2011-01-28  Dan Bernstein  <mitz@apple.com>

        Reviewed by Sam Weinig.

        <select> can't display right-to-left (rtl) languages
        https://bugs.webkit.org/show_bug.cgi?id=19785

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::selectItemAlignmentFollowsMenuWritingDirection): Added.
        * WebCoreSupport/ChromeClientGtk.h:

2011-01-28  Alejandro G. Castro  <alex@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Fix compilation warning
        https://bugs.webkit.org/show_bug.cgi?id=53292

        * webkit/webkitwebframe.cpp:
        (draw_page_callback): Cast the pageCount from size_t to int, it
        should be safe considering page_nr is the number of pages,
        0-based.

2011-01-27  Nate Chapin  <japhet@chromium.org>

        Reviewed by Adam Barth.

        Use Document::url() instead of FrameLoader::url().
        https://bugs.webkit.org/show_bug.cgi?id=41165

        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_icon_uri):

2011-01-27  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Space characters in source document interfere with reported caret offset
        https://bugs.webkit.org/show_bug.cgi?id=53033

        New unit test to check the fix for this bug.

        * tests/testatk.c:
        (testWebkitAtkCaretOffsetsAndExtranousWhiteSpaces): New.
        (main): Add new unit test.

2011-01-26  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Reliable crash with getTextAtOffset()
        https://bugs.webkit.org/show_bug.cgi?id=53131

        New unit test to check the fix for this bug.

        * tests/testatk.c:
        (testWebkitAtkGetTextAtOffsetWithSpecialCharacters): New.
        (main): Add new unit test.

2011-01-21  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Show caps lock indicator in password fields
        https://bugs.webkit.org/show_bug.cgi?id=52878

        Test: manual-tests/password-caps-lock.html

        * webkit/webkitwebview.cpp:
        (webkit_web_view_key_release_event): Call
        capsLockStateMayHaveChanged() when caps lock key is pressed.

2011-01-19  Joone Hur  <joone.hur@collabora.co.uk>

        Reviewed by Andreas Kling.

        [GTK] No need to invalidate empty areas in ChromeClient::invalidateContentsAndWindow
        https://bugs.webkit.org/show_bug.cgi?id=52702

        Don't call gdk_window_invalidate_rect if an updated rectangle is empty.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::invalidateContentsAndWindow): 

2011-01-17  Philippe Normand  <pnormand@igalia.com>

        Unreviewed, build fix for 2 GTK tests html file paths.

        * tests/testmimehandling.c:
        (main):
        * tests/testwebview.c:

2011-01-16  Adam Barth  <abarth@webkit.org>

        Rubber-stamped by Eric Seidel.

        Move WebKit into Source
        https://bugs.webkit.org/show_bug.cgi?id=52530

        * GNUmakefile.am:

2011-01-14  Yuzo Fujishima  <yuzo@google.com>

        Reviewed by Antti Koivisto.

        Rename cache() to memoryCache()
        https://bugs.webkit.org/show_bug.cgi?id=52433

        * webkit/webkitglobals.cpp:
        (webkit_set_cache_model):

2011-01-14  Pavel Feldman  <pfeldman@chromium.org>

        Not reviewed: gtk build fix (2).

        * webkit/webkitwebview.cpp:

2011-01-14  Pavel Feldman  <pfeldman@chromium.org>

        Not reviewed: gtk build fix.

        * webkit/webkitwebinspector.cpp:

2011-01-13  Alejandro G. Castro  <alex@igalia.com>

        Reviewed by Martin Robinson.

        [gtk] Zero-sized font does not yet work
        https://bugs.webkit.org/show_bug.cgi?id=49793

        Allow 0 as a minimum-font-size value for the settings.

        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_class_init):

2011-01-12  Philippe Normand  <pnormand@igalia.com>

        Unreviewed build fix for 32-bits Release. Include GRefPtrGtk.h so
        the GdkCursor templates are found and used at runtime.

        * WebCoreSupport/FullscreenVideoController.cpp:

2011-01-11  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] GRefPtr should not be used with Gtk widgets
        https://bugs.webkit.org/show_bug.cgi?id=51241

        GRefPtr breaks the widget life-cycle, the main problem is
        that GRefPtr calls g_object_unref() when it's destroyed,
        which is undesirable for widgets. In gtk+ widgets are created with
        a floating reference and when added to a container, the container
        takes the ownership of the widget consuming the floating
        reference. So you don't usually need to call g_object_ref/unref on
        widgets (only for some operations like reparent a widget) and
        toplevel widgets are destroyed with gtk_widget_destroy().

        * WebCoreSupport/DragClientGtk.cpp:
        (WebKit::DragClient::DragClient):
        (WebKit::DragClient::~DragClient):
        (WebKit::DragClient::startDrag):
        * WebCoreSupport/DragClientGtk.h:
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::postCommitFrameViewSetup):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_dispose):
        * webkit/webkitwebviewprivate.h:

2011-01-10  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        Update the NEWS file in preparation for the 1.3.10 release.

        * NEWS: Update the NEWS.

2011-01-10  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Remove use of deprecated GTK+ methods before the 1.3.10 release
        https://bugs.webkit.org/show_bug.cgi?id=52173

        * WebCoreSupport/FullscreenVideoController.cpp:
        (FullscreenVideoController::enterFullscreen): Use a GRefPtr here to avoid having to
        call either g_object_unref or gdk_cursor_unref.
        * webkit/webkitwebview.cpp: Guard use of deprecated methods.
        (webkit_web_view_realize): Ditto.
        (webkit_web_view_drag_end): Ditto.

2011-01-10  Alejandro G. Castro  <alex@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Fix gtk2 compilation for master
        https://bugs.webkit.org/show_bug.cgi?id=51885

        * webkit/webkitsoupauthdialog.c:
        (show_auth_dialog): Removed the call to
        gtk_dialog_set_has_separator API to remove a warning.

2011-01-10  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Create intermediate libWebCore library
        https://bugs.webkit.org/show_bug.cgi?id=52116

        * GNUmakefile.am: add libWebCore.la to LIBADD and remove webcore
        sources from the libwebkit library SOURCES.

2011-01-09  Xianzhu Wang <phnixwxz@gmail.com>

        Reviewed by Darin Fisher.

        https://bugs.webkit.org/show_bug.cgi?id=41441
        createWindow method should only do window-creating without URL navigation

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::createWindow):

2011-01-08  Martin Robinson  <mrobinson@igalia.com>

        GTK+ build fix. Adding missing headers to the source list, fixing make dist.

        * GNUmakefile.am: Fix make dist.

2011-01-07  Adam Barth  <abarth@webkit.org>

        Rubber-stamped by Eric Seidel.

        Move WebCore to Source
        https://bugs.webkit.org/show_bug.cgi?id=52050

        * GNUmakefile.am:

2011-01-07  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Chris Fleizach.

        GTK: AX: atk tests need to be updated after recent changes
        https://bugs.webkit.org/show_bug.cgi?id=51932

        Fix gtk_widget_get_accessible() in WebKitWebView to keep returning
        the AtkObject of role ATK_ROLE_DOCUMENT_FRAME.

        With the change to support WK2 accessibility, the root object of
        the AX hierarchy is different from what GTK expects as the current
        hirarchy right now includes a new accessible object as the parent
        of the accessible web area (AXScrollView).

        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_accessible): Return the first child of the
        wrapper associated to the root accessible object in the document,
        to keep everything in the GTK port working as it used to be.

        Re-enable skipped ATK unit tests now they are passing again.

        * tests/testatk.c:
        (main): Re-enable skipped tests.
        * tests/testatkroles.c:
        (main): Ditto.

2011-01-06  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        GTK: AX: atk tests need to be updated after recent changes
        https://bugs.webkit.org/show_bug.cgi?id=51932

        Skip ATK unit tests until we can look into what is causing these failures.

        * tests/testatk.c:
        (main): Skip all tests.
        * tests/testatkroles.c:
        (main): Ditto.

2011-01-06  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        Include a new header in the static headers list. This is necessary
        so that "make install" installs the header.

        * GNUmakefile.am: Include webkitglobals.h in the header list.

2011-01-05  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Gustavo Noronha.

        Build fix for GTK+ 3.x. Remove the call to gtk_range_set_update_policy.
        GTK+ 3.x has removed this method and the default in GTK+ 2.x is continuous,
        so this call is unnecessary.

        * WebCoreSupport/FullscreenVideoController.cpp:
        (FullscreenVideoController::createHud): Remove call to gtk_range_set_update_policy().

2011-01-04  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Martin Robinson.

        GTK: AX: DRT needs to use correct root object method.
        https://bugs.webkit.org/show_bug.cgi?id=51911

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::getRootAccessibleElement):
        (DumpRenderTreeSupportGtk::getFocusedAccessibleElement):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2011-01-04  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Sam Weinig.

        WK2: Support Accessibility
        https://bugs.webkit.org/show_bug.cgi?id=51859

        Use rootObject() method to get top of ax tree.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::getFocusedAccessibleElement):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_accessible):

2011-01-03  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Darin Adler.

        Remove the last non-GObject usage of PlatformRefPtr and move the code to GRefPtr
        https://bugs.webkit.org/show_bug.cgi?id=51846

        Changed all references to PlatformRefPtr in GTK+ code to GRefPtr.

2011-01-03  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Split webkitprivate.{cpp,h} in more manageable chunks
        https://bugs.webkit.org/show_bug.cgi?id=50698

        Final patch, removing webkitprivate.{cpp,h}, and adding a
        webkitglobals module to hold non-object-specific functions and
        definitions that do not make sense on their own.

        * GNUmakefile.am:
        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::createWindow):
        * WebCoreSupport/ContextMenuClientGtk.cpp:
        * WebCoreSupport/DocumentLoaderGtk.cpp:
        (WebKit::DocumentLoader::attachToFrame):
        * WebCoreSupport/DragClientGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::ignoreWordInSpellDocument):
        (WebKit::EditorClient::learnWord):
        (WebKit::EditorClient::checkSpellingOfString):
        (WebKit::EditorClient::getGuessesForWord):
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::createDocumentLoader):
        * WebCoreSupport/InspectorClientGtk.cpp:
        * webkit/webkit.h:
        * webkit/webkitapplicationcache.cpp:
        (webkit_application_cache_set_maximum_size):
        * webkit/webkitdownload.cpp:
        (webkit_download_class_init):
        * webkit/webkitgeolocationpolicydecision.cpp:
        * webkit/webkitglobals.cpp: Added.
        (webkit_get_default_session):
        (webkit_set_cache_model):
        (webkit_get_cache_model):
        (webkit_get_web_plugin_database):
        (currentToplevelCallback):
        (closeIconDatabaseOnExit):
        (webkitInit):
        (WebKit::pasteboardHelperInstance):
        * webkit/webkitglobals.h: Added.
        * webkit/webkitglobalsprivate.h: Copied from WebKit/gtk/webkit/webkitwebsettingsprivate.h.
        * webkit/webkithittestresult.cpp:
        (webkit_hit_test_result_class_init):
        * webkit/webkitnetworkrequest.cpp:
        (webkit_network_request_class_init):
        * webkit/webkitnetworkresponse.cpp:
        (webkit_network_response_class_init):
        * webkit/webkitprivate.cpp: Removed.
        * webkit/webkitprivate.h: Removed.
        * webkit/webkitsecurityorigin.cpp:
        * webkit/webkitviewportattributes.cpp:
        * webkit/webkitwebbackforwardlist.cpp:
        (webkit_web_back_forward_list_class_init):
        * webkit/webkitwebdatabase.cpp:
        * webkit/webkitwebdatasource.cpp:
        (webkit_web_data_source_class_init):
        (webkit_web_data_source_new_with_request):
        (WebKit::kitNew):
        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_class_init):
        * webkit/webkitwebframeprivate.h:
        * webkit/webkitwebhistoryitem.cpp:
        (webkit_web_history_item_class_init):
        * webkit/webkitwebinspector.cpp:
        * webkit/webkitwebnavigationaction.cpp:
        * webkit/webkitwebplugin.cpp:
        (webkit_web_plugin_class_init):
        * webkit/webkitwebplugindatabase.cpp:
        (webkit_web_plugin_database_class_init):
        * webkit/webkitwebpluginprivate.h:
        * webkit/webkitwebpolicydecision.cpp:
        * webkit/webkitwebresource.cpp:
        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_class_init):
        (webkitWebViewGetEnchantDicts):
        (WebKit::core):
        * webkit/webkitwebsettingsprivate.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_class_init):
        (webkit_web_view_update_settings):
        (webkit_web_view_settings_notify):
        * webkit/webkitwebview.h:
        * webkit/webkitwebwindowfeatures.cpp:
        (webkit_web_window_features_class_init):
        (WebKit::kitNew):

2011-01-02  Xan Lopez  <xlopez@igalia.com>

        Fix GTK+ build.

        * GNUmakefile.am: tests do actually include JSC.

2011-01-02  Xan Lopez  <xlopez@igalia.com>

        Fix GTK+ build.

        * GNUmakefile.am: remove individual -I$(srcdir)/Source when we'll
        already get them from javascriptcore_cppflags, and add it for the
        introspection build (which is not tested in the bots).

2011-01-02  Adam Barth  <abarth@webkit.org>

        Speculative build fix for GTK.  Add Source to the include paths.

        * GNUmakefile.am:

2011-01-01  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Move JavaScriptCore to Source
        https://bugs.webkit.org/show_bug.cgi?id=51604

        * GNUmakefile.am:
        * docs/GNUmakefile.am:
          - Point to JavaScriptCore in its new location.

2010-12-29  Martin Robinson  <mrobinson@igalia.com>

        Build fix for GTK+.

        * webkit/webkitwebinspector.cpp: Add missing DumpRenderTreeSupportGtk include.

2010-12-29  Martin Robinson  <mrobinson@igalia.com>

        [GTK] GSettings warning is concealing real warnings on the build bots
        https://bugs.webkit.org/show_bug.cgi?id=51691

        Reviewed by Xan Lopez.

        Do not print the GSettings warning message when running in DumpRenderTree.

        * webkit/webkitwebinspector.cpp:
        (inspectorGSettings): Do not print the GSettings warning if we are running
        in DumpRenderTree. This should clean up the test results page a great deal.

2010-12-28  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Closing a window during an onload event can trigger serious GLib warnings
        https://bugs.webkit.org/show_bug.cgi?id=51686

        Don't emit the close-web-view signal immediately during execution of closeWindowSoon.
        The signal handler may choose to destroy the web view while handling that signal,
        which may remove the last reference to the web view. FrameLoaderClient depends on the
        view still existing though. Instead, let the caller finish executing and emit the signal
        after a 0 length timeout. This matches the behavior on the Windows and Mac ports.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::ChromeClient): Initialize the timer id.
        (WebKit::emitCloseWebViewSignalLater): Callback for the timer.
        (WebKit::ChromeClient::closeWindowSoon): Do the actual signal invocation after
        the caller finishes its tasks.
        * WebCoreSupport/ChromeClientGtk.h: Add a new member for the timer id. We
        can use this to prevent emitting the close-web-view signal twice.

2010-12-28  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Eric Seidel.

        [GTK] Clean up usage of NULL in webkitwebframe.cpp
        https://bugs.webkit.org/show_bug.cgi?id=51685

        Replace occurrences of NULL with 0, in webkitwebframe.cpp. Not all
        uses of NULL have been changed, as certain GLib functions require
        an explicit NULL as a sentinel.

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_get_data_source_from_core_loader):
        (webkit_web_frame_class_init):
        (webkit_web_frame_new):
        (webkit_web_frame_get_title):
        (webkit_web_frame_get_uri):
        (webkit_web_frame_get_web_view):
        (webkit_web_frame_get_name):
        (webkit_web_frame_get_parent):
        (webkit_web_frame_load_string):
        (webkit_web_frame_load_alternate_string):
        (webkit_web_frame_find_frame):
        (webkit_web_frame_get_global_context):
        (webkit_web_frame_get_data_source):
        (webkit_web_frame_get_provisional_data_source):
        (webkit_web_frame_print_full):
        (webkit_web_frame_get_security_origin):
        (webkit_web_frame_get_network_response):

2010-12-27  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Ryosuke Niwa.

        [GTK] EditorClient::generateEditorCommands queues up "null string" commands
        https://bugs.webkit.org/show_bug.cgi?id=51569

        Prevent adding "null string" editor commands by first checking whether or not
        the command string is null in generateEditorCommands before appending it to the
        list of pending editor command strings.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::generateEditorCommands): Check for the null string (no
        command for this key combination) before appending a command string to the list of
        pending editor commands.
        (WebKit::EditorClient::executePendingEditorCommands): Add an ASSERT which detects
        null command strings.

2010-12-27  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        Remove unneeded includes from our headers.

        * WebCoreSupport/PasteboardHelperGtk.h: ditto.
        * webkit/webkitprivate.h: ditto.
        * webkit/webkitsoupauthdialog.h: ditto.

2010-12-21  Philippe Normand  <pnormand@igalia.com>

        Reviewed by Eric Seidel.

        [GTK] minimal build with --database fails
        https://bugs.webkit.org/show_bug.cgi?id=51394

        * webkit/webkitprivate.cpp:
        (webkit_init): Use cacheStorage() only if the
        OFFLINE_WEB_APPLICATIONS feature is enabled.

2010-12-22  Sam Weinig  <sam@webkit.org>

        Reviewed by Darin Adler.

        WebKit2 needs to mirror the frame tree in the UIProcess
        https://bugs.webkit.org/show_bug.cgi?id=51546

        - Add client functions to notify that a frame has been added or
          removed from the page cache.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::didSaveToPageCache):
        (WebKit::FrameLoaderClient::didRestoreFromPageCache):
        * WebCoreSupport/FrameLoaderClientGtk.h:

2010-12-22  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Gustavo Noronha.

        * NEWS: update for 1.3.9 release.

2010-12-20  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Reviewed by Xan Lopez.

        Add WebPlugin, WebPluginDatabase, and ViewportAttributes to the
        documentation control files, in preparation for 1.3.8. Also take
        the opportunity to add descriptions to WebPlugin and
        WebPluginDatabase.

        * docs/GNUmakefile.am:
        * docs/webkitgtk-docs.sgml:
        * docs/webkitgtk-sections.txt:
        * webkit/webkitwebplugin.cpp:
        * webkit/webkitwebplugindatabase.cpp:

2010-12-20  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Gustavo Noronha.

        * GNUmakefile.am: add missing files.
        * NEWS: update for 1.3.8 release.

2010-12-18  Antonio Gomes  <agomes@rim.com>

        Reviewed by Xan Lopez.

        [GTK+] Simplify spatial navigation handling in EditorClientGtk.cpp
        https://bugs.webkit.org/show_bug.cgi?id=51302

        Patch changes:
        1) The editor command for LEFT arrow key press without modifier
           from MoveBackward to MoveLeft;
        2) And similarly changes the editor command for RIGHT arrow key
          press without modifier from MoveForward to MoveRight.

        It has no implications since SelectionController::modifyMovingRight()
        handles "MoveRight" equaly to how SelectionController::modifyMovingForward()
        handles "MoveForward" when granularity is 'CharacterGranularity'. The former
        falls back to the later in the case of other editor commands.

        Analogously, the same applies to how SelectionController::modifyMovingLeft() and
        SelectionController::modifyMovingForward() handle "MoveLeft" and "MoveBackward"
        editor commands, respectively.

        With this change we can remove the spatial navigation hack from moveCursorCallback(),
        in EditorClientGtk.cpp.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::moveCursorCallback):

2010-12-16  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        [Gtk] scrolling artifacts
        https://bugs.webkit.org/show_bug.cgi?id=45029

        Call gdk_window_process_updates() right after moving the window
        when scrolling.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::scroll):

2010-12-15  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r74117.
        http://trac.webkit.org/changeset/74117
        https://bugs.webkit.org/show_bug.cgi?id=51113

        This broke the GTK1 build. (Requested by mrobinson on
        #webkit).

        * GNUmakefile.am:

2010-12-15  Amruth Raj  <amruthraj@motorola.com> and Ravi Phaneendra Kasibhatla  <ravi.kasibhatla@motorola.com>

        Reviewed by Martin Robinson.

        Changes to enable building WebKit2 for Gtk port.
        (https://bugs.webkit.org/show_bug.cgi?id=37369)

        * GNUmakefile.am: Added WebCore/bindings/gobject to webkitgtk_sources & webkitgtk_cppflags.
        They should get compiled only when WebKit/gtk/GNUmakefile.am is getting included but not
        with WebKit2/GNUmakefile.am inclusion.

2010-12-14  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Simplify context-menu handling code
        https://bugs.webkit.org/show_bug.cgi?id=49658

        Use gtk_container_foreach() so that we only iterate the list of
        children once and we avoid creating/destroying the list. It also
        connects the activate signal for submenu items.

        * webkit/webkitwebview.cpp:
        (contextMenuConnectActivate):
        (webkit_web_view_forward_context_menu_event):

2010-12-14  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Fix several issues in r73858
        https://bugs.webkit.org/show_bug.cgi?id=51032

        - It uses both glib private data and it allocates its own private
          structure.
        - It calls parent's dispose method from finalize.
        - webkit_web_plugin_get_mimetypes() uses a wrong annotation for the
          returned value, it should be transfer none rather than transfer
          container.
        - Since the mime type list is internal and we return the list and not a
          copy, it should never be freed by the caller, so
          webkit_web_plugin_mime_type_list_free() should be removed from the
          public API.
        - Mime types list is used uninitialized.
        - Mention in the docs that list returned by
          webkit_web_plugin_database_get_plugins() must be freed with
          webkit_web_plugin_database_plugins_list_free().

        * webkit/webkitwebplugin.cpp:
        (webkit_web_plugin_finalize):
        (webkit_web_plugin_class_init):
        (webkit_web_plugin_init):
        * webkit/webkitwebplugin.h:
        * webkit/webkitwebplugindatabase.cpp:

2010-12-14  Diego Escalante Urrelo  <descalante@igalia.com>

        Reviewed by Xan Lopez.

        [gtk] misnamed gtk-doc strings for webkit_web_view_can_{c|c|p}_clipboard
        https://bugs.webkit.org/show_bug.cgi?id=50571

        * webkit/webkitwebview.cpp:

2010-12-13  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Add API to enable/disable plugins at runtime
        https://bugs.webkit.org/show_bug.cgi?id=50891

        * tests/testwebplugindatabase.c:
        (test_webkit_web_plugin_database_get_plugins): test that disabling
        a plugin works.
        * webkit/webkitwebplugin.cpp:
        (webkit_web_plugin_get_property): hook 'enabled' property.
        (webkit_web_plugin_set_property): ditto.
        (webkit_web_plugin_class_init): define 'enabled' property.
        (webkit_web_plugin_set_enabled): setter for the property.
        (webkit_web_plugin_get_enabled): getter for the property.
        * webkit/webkitwebplugin.h: add the APIs to the header.

2010-12-13  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Do not use GET_PRIVATE macros
        https://bugs.webkit.org/show_bug.cgi?id=50915

        GET_PRIVATE macros are slow and should only be used in the object
        init() method.

        * WebCoreSupport/ContextMenuClientGtk.cpp:
        (WebKit::inputMethodsMenuItem):
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::postProgressFinishedNotification):
        (WebKit::FrameLoaderClient::setTitle):
        (WebKit::FrameLoaderClient::dispatchCreatePage):
        (WebKit::postCommitFrameViewSetup):
        * webkit/webkitdownload.cpp:
        (webkit_download_init):
        * webkit/webkitgeolocationpolicydecision.cpp:
        (webkit_geolocation_policy_decision_init):
        * webkit/webkithittestresult.cpp:
        (webkit_hit_test_result_init):
        * webkit/webkitnetworkrequest.cpp:
        (webkit_network_request_init):
        * webkit/webkitsecurityorigin.cpp:
        (webkit_security_origin_init):
        * webkit/webkitsecurityoriginprivate.h:
        * webkit/webkitviewportattributes.cpp:
        (webkit_viewport_attributes_init):
        * webkit/webkitwebbackforwardlist.cpp:
        (webkit_web_back_forward_list_init):
        * webkit/webkitwebdatabase.cpp:
        (webkit_web_database_init):
        * webkit/webkitwebdatasource.cpp:
        (webkit_web_data_source_init):
        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_init):
        (webkit_web_frame_new):
        * webkit/webkitwebframeprivate.h:
        * webkit/webkitwebhistoryitem.cpp:
        (webkit_web_history_item_init):
        * webkit/webkitwebinspector.cpp:
        (webkit_web_inspector_init):
        * webkit/webkitwebnavigationaction.cpp:
        (webkit_web_navigation_action_init):
        * webkit/webkitwebplugin.cpp:
        (webkit_web_plugin_init):
        * webkit/webkitwebplugindatabase.cpp:
        (webkit_web_plugin_database_init):
        * webkit/webkitwebplugindatabaseprivate.h:
        * webkit/webkitwebpluginprivate.h:
        * webkit/webkitwebpolicydecision.cpp:
        (webkit_web_policy_decision_init):
        * webkit/webkitwebresource.cpp:
        (webkit_web_resource_init):
        * webkit/webkitwebresourceprivate.h:
        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_init):
        * webkit/webkitwebview.cpp:
        (PopupMenuPositionFunc):
        (webkit_web_view_forward_context_menu_event):
        (webkit_web_view_drag_end):
        (webkit_web_view_drag_data_get):
        (webkit_web_view_query_tooltip):
        (webkit_web_view_init):
        * webkit/webkitwebwindowfeatures.cpp:
        (webkit_web_window_features_init):

2010-10-28  MORITA Hajime  <morrita@google.com>

        Reviewed by Ojan Vafai.

        spellcheck does not check pasted text
        https://bugs.webkit.org/show_bug.cgi?id=40092

        Added a stub implememntation.

        * WebCoreSupport/EditorClientGtk.h:
        (WebKit::EditorClient::requestCheckingOfString):

2010-12-12  Xan Lopez  <xlopez@igalia.com>

        Rubber-stamped by Martin Robinson.

        * webkit/webkitwebplugin.h: add a note about the extension list
        being a NULL-terminated array.

2010-12-12  Xan Lopez  <xlopez@igalia.com>

        Rubber-stamped by Gustavo Noronha.

        Stop checking for glib >= 2.16, we have dependend on a newer
        version for a long time now.

        * tests/testatk.c: Stop checking for glib >= 2.16.
        * tests/testatkroles.c: ditto.
        * tests/testdomdocument.c: ditto.
        * tests/testdomdomwindow.c: ditto.
        * tests/testdomnode.c: ditto.
        * tests/testglobals.c: ditto.
        * tests/testhttpbackend.c: ditto.
        * tests/testloading.c: ditto.
        * tests/testmimehandling.c: ditto.
        * tests/testnetworkrequest.c: ditto.
        * tests/testnetworkresponse.c: ditto.
        * tests/testwebbackforwardlist.c: ditto.
        * tests/testwebdatasource.c: ditto.
        * tests/testwebframe.c: ditto.
        * tests/testwebhistoryitem.c: ditto.
        * tests/testwebresource.c: ditto.
        * tests/testwebsettings.c: ditto.
        * tests/testwebview.c: ditto.
        * tests/testwindow.c: ditto.

2010-12-11  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Add APIs for plugin management
        https://bugs.webkit.org/show_bug.cgi?id=50827

        Add WebKitWebPluginDatabase and WebKitWebPlugin classes for basic
        plugin management at the client level. For now they provide
        "read-only" access to the plugin list.

        * GNUmakefile.am: add new files to the build.
        * tests/testwebplugindatabase.c: Test that the database contains
        the test plugin, which should always be loaded.
        * webkit/webkit.h: add new headers.
        * webkit/webkitdefines.h: add new defines.
        * webkit/webkitwebplugin.cpp: An new class representing a plugin object.
        * webkit/webkitwebplugin.h: ditto.
        * webkit/webkitwebplugindatabase.cpp: A new class that contains the list of active plugins.
        * webkit/webkitwebplugindatabase.h: ditto.
        * webkit/webkitwebplugindatabaseprivate.h: Private header.
        * webkit/webkitwebpluginprivate.h: Private header.
        * webkit/webkitwebview.cpp:
        (webkit_get_web_plugin_database): returns the WebKitWebPluginDatabase for this session.
        * webkit/webkitwebview.h: add method to header.

2010-12-10  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Split webkitprivate.{cpp,h} in more manageable chunks
        https://bugs.webkit.org/show_bug.cgi?id=50698

        Split private bits of several objects to their own private
        headers, and to their implementation files.

        * GNUmakefile.am:
        * WebCoreSupport/ChromeClientGtk.cpp:
        * WebCoreSupport/EditorClientGtk.cpp:
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchWillSendRequest):
        * webkit/webkitdownload.cpp:
        (webkit_download_set_response):
        * webkit/webkitdownloadprivate.h: Added.
        * webkit/webkithittestresult.cpp:
        (WebKit::kit):
        * webkit/webkithittestresultprivate.h: Added.
        * webkit/webkitnetworkresponse.cpp:
        (WebKit::core):
        (WebKit::kitNew):
        * webkit/webkitnetworkresponseprivate.h: Added.
        * webkit/webkitprivate.cpp:
        * webkit/webkitprivate.h:
        * webkit/webkitsecurityorigin.cpp:
        (webkit_security_origin_get_web_database):
        (WebKit::core):
        (WebKit::kit):
        * webkit/webkitsecurityoriginprivate.h: Added.
        * webkit/webkitviewportattributes.cpp:
        * webkit/webkitviewportattributesprivate.h: Added.
        * webkit/webkitwebbackforwardlist.cpp:
        * webkit/webkitwebbackforwardlistprivate.h: Added.
        * webkit/webkitwebdatabase.cpp:
        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_get_network_response):
        * webkit/webkitwebhistoryitem.cpp:
        * webkit/webkitwebhistoryitemprivate.h: Added.
        * webkit/webkitwebnavigationaction.cpp:
        (WebKit::kit):
        (WebKit::core):
        * webkit/webkitwebnavigationactionprivate.h: Added.
        * webkit/webkitwebpolicydecision.cpp:
        * webkit/webkitwebpolicydecisionprivate.h: Added.
        * webkit/webkitwebresource.cpp:
        * webkit/webkitwebresourceprivate.h: Added.
        * webkit/webkitwebsettings.cpp:
        * webkit/webkitwebsettingsprivate.h: Added.
        * webkit/webkitwebview.cpp:

2010-12-10  Alejandro G. Castro  <alex@igalia.com>

        Unreviewed, fixed small typo in the name of a function.

        * webkit/webkitwebsettings.cpp:
        (getAvailableDictionariesCallback):
        (webkit_web_settings_set_property):

2010-12-09  Alejandro G. Castro  <alex@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Add hasSpellingMarker support to the DRT
        https://bugs.webkit.org/show_bug.cgi?id=50739

        Added a new private API function to support the spelling marker
        tests in the DRT.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::webkitWebFrameSelectionHasSpellingMarker):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2010-12-10  Alejandro G. Castro  <alex@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Choose a dictionary in case there is no one defined or the
        env LANG does not propose one
        https://bugs.webkit.org/show_bug.cgi?id=50738

        In case no dict is set and we can not find one using the
        environment just get the first dictionary installed in the list.

        * webkit/webkitwebsettings.cpp:
        (getAvilableDictionariesCallback):
        (webkit_web_settings_set_property):

2010-12-10  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Gustavo Noronha Silva.

        Remove unnecessary variable names from DumpRenderTreeSupportGtk
        https://bugs.webkit.org/show_bug.cgi?id=50815

        There were some unnecessary variable names in DumpRenderTreeSupportGtk,
        so remove them.

        * WebCoreSupport/DumpRenderTreeSupportGtk.h: Do it.

2010-12-10  Joone Hur  <joone@kldp.org>

        Reviewed by Xan Lopez.

        [GTK] Unskipping some test cases in /userscripts dependent on addUserStyleSheet
        https://bugs.webkit.org/show_bug.cgi?id=50808

        Unskipping the following test cases:
        userscripts/mixed-case-stylesheet.html
        userscripts/simple-stylesheet.html
        userscripts/user-style-all-frames.html

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::addUserStyleSheet): Added "bool allFrames" parameter.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2010-12-10  Joone Hur  <joone@kldp.org>

        Reviewed by Eric Seidel.

        [GTK] Add DRT support for pageProperty, isPageBoxVisible, pageSizeAndMarginsInPixels, and addUserStyleSheet
        https://bugs.webkit.org/show_bug.cgi?id=50783
        
        This patch allows to unskip the following test cases:
        printing/page-rule-selection.html
        printing/page-format-data.html

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::pageProperty): Added.
        (DumpRenderTreeSupportGtk::isPageBoxVisible): Ditto.
        (DumpRenderTreeSupportGtk::pageSizeAndMarginsInPixels): Ditto.
        (DumpRenderTreeSupportGtk::addUserStyleSheet): Ditto.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2010-12-09  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Split webkitprivate.{cpp,h} in more manageable chunks
        https://bugs.webkit.org/show_bug.cgi?id=50698

        Split private bits of WebKitWebInspector to its own private
        header, and to its implementation file.

        * WebCoreSupport/InspectorClientGtk.cpp:
        * webkit/webkitprivate.cpp:
        * webkit/webkitprivate.h:
        * webkit/webkitwebinspector.cpp:
        (isSchemaAvailable):
        (inspectorGSettings):
        * webkit/webkitwebinspectorprivate.h: Added.
        * webkit/webkitwebview.cpp:

2010-12-09  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Split webkitprivate.{cpp,h} in more manageable chunks
        https://bugs.webkit.org/show_bug.cgi?id=50698

        Split private bits of WebKitNetworkRequest to its own private
        header, and to its implementation file. Also take the opportunity
        to use PlatformRefPtr for NetworkRequest where it makes sense, and
        make the creation less verbose by adding kitNew.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchWillSendRequest):
        (WebKit::FrameLoaderClient::dispatchDecidePolicyForMIMEType):
        (WebKit::FrameLoaderClient::dispatchDecidePolicyForNewWindowAction):
        (WebKit::FrameLoaderClient::dispatchDecidePolicyForNavigationAction):
        (WebKit::FrameLoaderClient::download):
        (WebKit::FrameLoaderClient::startDownload):
        * webkit/webkitdownload.cpp:
        * webkit/webkitnetworkrequest.cpp:
        (WebKit::kitNew):
        (WebKit::core):
        * webkit/webkitnetworkrequestprivate.h: Added.
        * webkit/webkitprivate.cpp:
        * webkit/webkitprivate.h:
        * webkit/webkitwebdatasource.cpp:
        (webkit_web_data_source_get_initial_request):
        (webkit_web_data_source_get_request):
        * webkit/webkitwebframe.cpp:

2010-12-09  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Split webkitprivate.{cpp,h} in more manageable chunks
        https://bugs.webkit.org/show_bug.cgi?id=50698

        Split private bits of WebKitWebFrame to its own private header, and
        to its implementation file.

        * GNUmakefile.am:
        * WebCoreSupport/ChromeClientGtk.cpp:
        * WebCoreSupport/DragClientGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        * webkit/webkitprivate.cpp:
        * webkit/webkitprivate.h:
        * webkit/webkitwebdatasource.cpp:
        * webkit/webkitwebframe.cpp:
        (WebKit::getViewFromFrame):
        (WebKit::core):
        (WebKit::kit):
        * webkit/webkitwebframeprivate.h: Added.
        * webkit/webkitwebpolicydecision.cpp:
        * webkit/webkitwebview.cpp:

2010-12-09  Antonio Gomes  <agomes@rim.com>

        Reviewed by Martin Robinson.

        [Gtk] Populate DumpRenderTreeSupportGtk (part IV)
        https://bugs.webkit.org/show_bug.cgi?id=48429

        Moved also webkit_worker_thread_count() to DumpRenderTreeSupportGtk,
        since it was only used by DRT for now.

        Since this method was the only one in webkitworker.cpp, the file was
        also removed.

        * GNUmakefile.am:
        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::workerThreadCount):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        * webkit/webkitprivate.h:
        * webkit/webkitworkers.cpp: Removed.

2010-12-06  Philippe Normand  <pnormand@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Support the Mozilla-style Fullscreen Javascript API
        https://bugs.webkit.org/show_bug.cgi?id=50572

        Fullscreen API support. It is controlled at runtime using a new
        setting called enable-fullscreen, set to FALSE by default.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::supportsFullScreenForElement):
        (WebKit::ChromeClient::enterFullScreenForElement):
        (WebKit::ChromeClient::exitFullScreenForElement):
        * WebCoreSupport/ChromeClientGtk.h:
        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_class_init):
        (webkit_web_settings_set_property):
        (webkit_web_settings_get_property):
        (webkit_web_settings_copy):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):

2010-12-09  Joone Hur  <joone@kldp.org>

        Reviewed by Martin Robinson.

        [GTK] Support for viewport meta tag
        https://bugs.webkit.org/show_bug.cgi?id=45443

        This patch adds a new gobject to offer the viewport properties to user agents.
        It is WebKitViewportAttributes that contains the viewport size, initial scale with limits, 
        and information about whether a user is able to scale the contents in the viewport.
        
        This feature was introduced by Safari on the iPhone. For more information on 
        the viewport properties, refer to the Safari reference library at 
        http://developer.apple.com/safari/library/documentation/appleapplications/reference/safarihtmlref/articles/metatags.html

        * GNUmakefile.am: Added webkitviewportattributes.h webkitviewportattributes.cpp. 
        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::dispatchViewportDataDidChange): Added this callback to know whether the viewport arguments is available.
        * WebCoreSupport/ChromeClientGtk.h:
        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::dumpConfigurationForViewport): Added this function to compute the viewport attributes with the given availableWidth and availableHeight.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        * WebCoreSupport/FrameLoaderClientGtk.cpp: 
        (WebKit::postCommitFrameViewSetup): Invalidate the viewport attributes.
        * webkit/webkit.h:
        * webkit/webkitdefines.h:
        * webkit/webkitprivate.h: Added webkitViewportAttributesRecompute as a private function.
        * webkit/webkitviewportattributes.cpp: Added.
        (webkit_viewport_attributes_class_init):
        (webkit_viewport_attributes_init):
        (webkit_viewport_attributes_get_property):
        (webkit_viewport_attributes_set_property):
        (webkitViewportAttributesRecompute): Recompute the optimal viewport attributes and emit the viewport-attributes-changed signal.
        (webkit_viewport_attributes_recompute): a public API for calling webkitViewportAttributesRecompute.
        * webkit/webkitviewportattributes.h: Added.
        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_property): Added PROP_VIEWPORT_ATTRIBUTES.
        (webkit_web_view_dispose): Deallocate the WebKitViewportAttributes instance.
        (webkit_web_view_class_init): Added the viewport-attributes-recompute-requested and viewport-attributes-changed signals.
        (webkit_web_view_init): Set the WebKitViewportAttributes instance.
        (webkit_web_view_get_viewport_attributes): Added a getter to obtain the WebKitViewportAttributes instance held by the given WebKitWebView.
        * webkit/webkitwebview.h:
        * webkit/webkitwebviewprivate.h: Added WebKitViewportAttributes as a private variable.

2010-12-09  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        Fix 'make install' woes with some versions of automake.

        * GNUmakefile.am: use $(top_builddir) instead of $(builddir),
        since we actually want a valid path for the file regardless of the
        place from where the script is called.

2010-12-08  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Build fix. Take webView{Enter,Exit}Fullscreen back out of the
        WebKit namespace, and remove a function signature that got in by
        mistake because of a bad merge.

        * webkit/webkitprivate.h:
        * webkit/webkitwebview.cpp:
        (WebKit::core):
        (WebKit::kit):

2010-12-08  Brian Weinstein  <bweinstein@apple.com>

        Reviewed by John Sullivan.

        Layering Violation in ContextMenu - member variable of type HitTestResult
        https://bugs.webkit.org/show_bug.cgi?id=50586
        
        Update users of ContextMenu and ContextMenuController to match where the new functions 
        are located.

        * WebCoreSupport/ContextMenuClientGtk.cpp:
        (WebKit::ContextMenuClient::getCustomMenuFromDefaultItems):

2010-12-08  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by John Sullivan.

        [GTK] Layering violation in ContextMenuGtk.cpp
        https://bugs.webkit.org/show_bug.cgi?id=50676

        ContextMenuGtk accesses the page's ContextMenuController, which is a layering
        violation. This was fixed for Mac with change r73469. We make a similar fix here
        by moving the "activated" signal connection to the WebKit layer.

        * webkit/webkitwebview.cpp:
        (popupMenuItemActivated): Have ContextMenuController handle this signal.
        (webkit_web_view_forward_context_menu_event): For all items in the untouched
        context menu, connect their "activated" signal to the new popupMenuItemActivated
        handler.

2010-12-08  Antonio Gomes  <agomes@rim.com>

        Reviewed by Martin Robinson.

        [Gtk] Populate DumpRenderTreeSupportGtk (part III)
        https://bugs.webkit.org/show_bug.cgi?id=48429

        Adjusted some call sites of previously internal API declared
        webkitprivate.h that have moved to DumpRenderTreeSupportGtk.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::gcCollectJavascriptObjects):
        (DumpRenderTreeSupportGtk::gcCollectJavascriptObjectsOnAlternateThread):
        (DumpRenderTreeSupportGtk::gcCountJavascriptObjects):
        (DumpRenderTreeSupportGtk::layoutFrame):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        * webkit/webkitprivate.h:
        * webkit/webkitwebframe.cpp:

2010-12-08  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Split webkitprivate.{cpp,h} in more manageable chunks
        https://bugs.webkit.org/show_bug.cgi?id=50698

        Split private bits of WebKitWebView to its own private header, and
        to its implementation file. Take the opportunity to fix includes
        sorting to comply with the style guide.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::enterFullscreenForNode):
        (WebKit::ChromeClient::exitFullscreenForNode):
        * WebCoreSupport/ContextMenuClientGtk.cpp:
        * WebCoreSupport/DragClientGtk.cpp:
        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        * WebCoreSupport/EditorClientGtk.cpp:
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        * WebCoreSupport/InspectorClientGtk.cpp:
        * WebCoreSupport/PasteboardHelperGtk.cpp:
        * webkit/webkitprivate.cpp:
        (webkit_init):
        * webkit/webkitprivate.h:
        * webkit/webkitwebbackforwardlist.cpp:
        * webkit/webkitwebdatasource.cpp:
        * webkit/webkitwebframe.cpp:
        * webkit/webkitwebview.cpp:
        (WebKit::core):
        (WebKit::kit):
        (WebKit::webViewEnterFullscreen):
        (WebKit::webViewExitFullscreen):
        * webkit/webkitwebviewprivate.h: Added.

2010-12-08  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Reviewed by Xan Lopez.

        The storage for the subresources is a GHashTable which does not
        guarantee order, so we need to make our checking more resilient.

        * tests/testwebresource.c:
        (test_web_resource_sub_resource_loading):

2010-12-08  Alejandro G. Castro  <alex@igalia.com>

        Reviewed by Gustavo Noronha Silva.

        Fix assertion in the API test, we are requesting the favicon and
        the subresource so we have to make sure we are assigning just the
        first subresource.

        * tests/testwebresource.c:
        (resource_request_starting_sub_cb):

2010-12-07  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] clears the subresources prematurely
        https://bugs.webkit.org/show_bug.cgi?id=50634

        Make adding the main resource explicit, and only clear
        subresources when the new load is committed, avoid clearing them
        prematurely.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::assignIdentifierToInitialRequest):
        (WebKit::FrameLoaderClient::provisionalLoadStarted):
        (WebKit::FrameLoaderClient::prepareForDataSourceReplacement):
        (WebKit::postCommitFrameViewSetup):
        * tests/testwebdatasource.c:
        (notify_load_status_lifetime_cb):
        (test_webkit_web_data_source_lifetime):
        (main):
        * webkit/webkitprivate.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_add_main_resource):
        (webkit_web_view_add_resource):
        (webkit_web_view_clear_resources):

2010-12-07  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Reviewed by Xan Lopez.

        [GTK] testwebdatasource - unreachable test is broken
        https://bugs.webkit.org/show_bug.cgi?id=50629

        Fix, and disable testwebdatasource's unreachable test (it is not
        passing now that it actually tests what it should). This also
        fixes the wait timer to actually work as expected.

        * tests/testwebdatasource.c:
        (notify_load_status_unreachable_cb):
        (notify_load_status_cb):
        (test_webkit_web_data_source):

2010-12-07  Martin Robinson  <mrobinson@igalia.com>

        Unreviewed, rolling out r73392.
        http://trac.webkit.org/changeset/73392
        https://bugs.webkit.org/show_bug.cgi?id=50489

        This commit caused crashes on the GTK+ bots

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::finishedLoading):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_encoding):

2010-12-06  Nate Chapin  <japhet@chromium.org>

        Reviewed by Adam Barth.

        Update calls to DocumentWriter.
        https://bugs.webkit.org/show_bug.cgi?id=50489

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::finishedLoading):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_encoding):

2010-12-06  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Build is broken after r73353
        https://bugs.webkit.org/show_bug.cgi?id=50568

        Fix the gtk-doc build by making all members of the cache model
        enum public. gtk-doc does not support making only some enum
        members private. We should also expose it so that users querying
        the cache model do not get mysterious, undocumented results.

        * webkit/webkitwebview.h: Fix gtk-doc for the cache model enum.

2010-12-06  Derek Weitzel  <djw8605@gmail.com>

        Reviewed by Martin Robinson.

        [GTK] API Documentation referencing depreciated GTK_WIDGET_TOPLEVEL
        https://bugs.webkit.org/show_bug.cgi?id=50512

        Fixed reference to depreciated GTK_WIDGET_TOPLEVEL.

        * webkit/webkitwebview.cpp:

2010-12-06  Joone Hur  <joone@kldp.org>

        Reviewed by Xan Lopez.

        [GTK] The webkit cache model needs to be set when WebFrameLoaderClient::didPerformFirstNavigation() is called
        https://bugs.webkit.org/show_bug.cgi?id=50430

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::didPerformFirstNavigation): Set the webview cache model.
        * webkit/webkitprivate.cpp:
        (webkit_init): Removed the code of setting the webview cache model.

2010-12-04  Antonio Gomes  <agomes@rim.com>

        Reviewed by Martin Robinson.

        [Gtk] Populate DumpRenderTreeSupportGtk (Part II)
        https://bugs.webkit.org/show_bug.cgi?id=48429

        Moved more private method declared with WEBKIT_API to
        DumpRenderTreeSupportGtk, since they were only being used by DRT.

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::executeCoreCommandByName):
        (DumpRenderTreeSupportGtk::isCommandEnabled):
        (DumpRenderTreeSupportGtk::whiteListAccessFromOrigin):
        (DumpRenderTreeSupportGtk::resetOriginAccessWhiteLists):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        * webkit/webkitprivate.cpp:
        * webkit/webkitprivate.h:
        * webkit/webkitwebview.cpp:

2010-11-08  Antonio Gomes  <agomes@rim.com>

        Reviewed by Martin Robinson.

        [Gtk] Populate DumpRenderTreeSupportGtk
        https://bugs.webkit.org/show_bug.cgi?id=48429

        Moved most of the webkit_web_frame* methods defined as private APIs in webkitprivate.h
        to DumpRenderTreeSupportGtk, as static class methods. These methods had
        not gone throught the formal API review process and were only being used by DRT for now.

        The essence of each original method name were kept. For example
        webkit_web_frame_get_children(...) was renamed to DumpRenderTreeSupportGtk::getFrameChildren(...),
        and so on.

        Also some of the method bodies were changed to return non-glib types (gchar* -> CString).

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::getFrameChildren):
        (DumpRenderTreeSupportGtk::getInnerText):
        (DumpRenderTreeSupportGtk::dumpRenderTree):
        (DumpRenderTreeSupportGtk::counterValueForElementById):
        (DumpRenderTreeSupportGtk::pageNumberForElementById):
        (DumpRenderTreeSupportGtk::numberOfPagesForFrame):
        (DumpRenderTreeSupportGtk::getPendingUnloadEventCount):
        (DumpRenderTreeSupportGtk::pauseAnimation):
        (DumpRenderTreeSupportGtk::pauseTransition):
        (DumpRenderTreeSupportGtk::pauseSvgAnimation):
        (DumpRenderTreeSupportGtk::markerTextForListItem):
        (DumpRenderTreeSupportGtk::numberOfActiveAnimations):
        (DumpRenderTreeSupportGtk::suspendAnimations):
        (DumpRenderTreeSupportGtk::resumeAnimations):
        (DumpRenderTreeSupportGtk::clearMainFrameName):
        (DumpRenderTreeSupportGtk::getFocusedAccessibleElement):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:
        * webkit/webkitprivate.h:
        * webkit/webkitwebframe.cpp:

2010-12-02  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] DumpRenderTree has two copies of JavaScriptCore
        https://bugs.webkit.org/show_bug.cgi?id=49877

        Keep WebKit/WebCore symbols hidden.

        * GNUmakefile.am: Move the symbol visibility rules here, because
        now JSC symbols are visible, but WebCore/WebKit symbols are hidden.

2010-12-02  Daniel Bates  <dbates@rim.com>

        Ignore WebKit/gtk/docs/GNUmakefile.in and WebKit/gtk/po/*.pot so that
        these files do not appear in an svn stat. This change makes SVN
        consistent with the current Git ignore behavior for these files.

        * docs: Added property svn:ignore.
        * po: Added property svn:ignore.

2010-12-01  Jia Pu  <jpu@apple.com>

        Reviewed by Darin Adler.

        Support multiple correction candidates panel for misspelled word on Mac OS X.
        https://bugs.webkit.org/show_bug.cgi?id=50137
        <rdar://problem/8568059>

        Adopted new function signature defined in base class.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::getGuessesForWord):
        * WebCoreSupport/EditorClientGtk.h:

2010-11-30  Nicolas Dufresne  <nicolas.dufresne@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Fix wrong type in assert return value
        https://bugs.webkit.org/show_bug.cgi?id=50208

        Use appropriate return type in different g_return_val_if_fail(). This
        removes some compiler warning.

        * webkit/webkitwebdatasource.cpp:
        (webkit_web_data_source_is_loading):
        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_page_number_for_element_by_id):
        (webkit_web_frame_number_of_pages):

2010-11-30  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Chris Fleizach.

        [GTK] Implement ROLE_COMBO_BOX
        https://bugs.webkit.org/show_bug.cgi?id=25678

        New test to check the implementation of the combo boxes.

        * tests/testatk.c:
        (testWebkitAtkComboBox): New test, checking that the roles and the
        implemented interfaces for a combo box and its descendants work.
        (main): Added the new unit test.

2010-11-30  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Test fast/events/mouseover-mouseout2.html crashes
        https://bugs.webkit.org/show_bug.cgi?id=50214

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::mouseDidMoveOverElement):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_query_tooltip):

2010-11-30  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r72764.
        http://trac.webkit.org/changeset/72764
        https://bugs.webkit.org/show_bug.cgi?id=50215

        This change is causing assertion failures on the debug bots.
        (Requested by mrobinson on #webkit).

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::notifyStatus):
        * tests/testatk.c:
        (main):

2010-11-29  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        * NEWS: update for 1.3.7 release.

2010-11-29  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Xan Lopez.

        [Gtk] Tooltips should be fully keyboard accessible
        https://bugs.webkit.org/show_bug.cgi?id=25525

        Position the tooltip under the current focused element when the
        tooltip has been triggered using the keyboard.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_query_tooltip):
        (webkit_web_view_show_help):
        (webkit_web_view_class_init):

2010-11-29  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Tooltips not shown when scrolling
        https://bugs.webkit.org/show_bug.cgi?id=50143

        Convert tooltip area to window coordinates so that tooltips are
        shown even after scrolling.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::mouseDidMoveOverElement):

2010-11-26  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Inspector: add a way to inspect a WebKitDOMNode
        https://bugs.webkit.org/show_bug.cgi?id=49903

        * webkit/webkitwebinspector.cpp:
        (webkit_web_inspector_inspect_node):
        * webkit/webkitwebinspector.h:

2010-11-26  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] events missing when a document is (re)loaded
        https://bugs.webkit.org/show_bug.cgi?id=25831

        Emit the right signals when reloading a document.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::notifyAccessibilityStatus): New function, to make sure
        the signals involved in reloading a document are properly emitted.
        (WebKit::notifyStatus): Also notify accessibility if enabled.

        New unit test to check the signals are being actually emitted.

        * tests/testatk.c:
        (stateChangedCb): Callback for 'state-change' signal emitted by
        the accessible object associated to the webView.
        (documentReloadCb): Callback for 'reload' signal.
        (documentLoadCompleteCb): Callback for 'load-complete' signal.
        (webviewLoadStatusChangedCb): Callback for 'notify::load-status'
        signal, emitted by the WebKitWebView object (not the AtkObject).
        (testWebkitAtkDocumentReloadEvents): New unit test.
        (main): Added the new unit test.

2010-11-24  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Make kit() methods return the proper type instead of gpointer
        https://bugs.webkit.org/show_bug.cgi?id=50034

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::shouldDeleteRange): get rid of unneeded cast.
        (WebKit::EditorClient::shouldShowDeleteInterface): ditto.
        (WebKit::EditorClient::shouldBeginEditing): ditto.
        (WebKit::EditorClient::shouldEndEditing): ditto.
        (WebKit::EditorClient::shouldInsertText): ditto.
        (WebKit::EditorClient::shouldChangeSelectedRange): ditto.
        (WebKit::EditorClient::shouldApplyStyle): ditto.
        (WebKit::EditorClient::shouldInsertNode): ditto.
        * webkit/webkitprivate.cpp:
        (WebKit::kit): ditto.
        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_dom_document): ditto.

2010-11-24  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        Fix crashes in GTK+ bots. Use kit() instead of wrapFoo, otherwise
        the DOM objects won't be in the cache and we'll ASSERT when
        unreffing them.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::shouldDeleteRange): use kit to get the
        GObject wrapper for the DOM object.
        (WebKit::EditorClient::shouldShowDeleteInterface): ditto.
        (WebKit::EditorClient::shouldBeginEditing): ditto.
        (WebKit::EditorClient::shouldEndEditing): ditto.
        (WebKit::EditorClient::shouldInsertText): ditto.
        (WebKit::EditorClient::shouldChangeSelectedRange): ditto.
        (WebKit::EditorClient::shouldApplyStyle): ditto.
        (WebKit::EditorClient::shouldInsertNode): ditto.

2010-11-24  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] The WebKitWebView should expose a set of signals encapsulating the behavior of the EditorClient
        https://bugs.webkit.org/show_bug.cgi?id=49143

        Add signals that encapsulate the functionality of the Mac EditingDelegate. These signals
        are private for now, but DRT consumes them to produce proper output for editing tests.
        After some time, these may be part of the public API.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::EditorClient::shouldDeleteRange): Fire the appropriate editing signal.
        (WebKit::EditorClient::shouldShowDeleteInterface): Ditto.
        (WebKit::EditorClient::shouldBeginEditing): Ditto.
        (WebKit::EditorClient::shouldEndEditing): Ditto.
        (WebKit::kit): Added helper function.
        (WebKit::EditorClient::shouldInsertText): Fire the appropriate editing signal.
        (WebKit::EditorClient::shouldChangeSelectedRange): Ditto.
        (WebKit::EditorClient::shouldApplyStyle): Ditto.
        (WebKit::EditorClient::didBeginEditing): Ditto.
        (WebKit::EditorClient::respondToChangedContents): Ditto.
        (WebKit::EditorClient::respondToChangedSelection): Ditto.
        (WebKit::EditorClient::didEndEditing): Ditto.
        (WebKit::EditorClient::shouldInsertNode): Ditto.
        * webkit/webkitwebview.cpp:
        (webkit_web_view_real_should_allow_editing_action): Added this default signal
        callback which explicitly allows cancellable editing actions.
        (webkit_web_view_class_init): Add new editing signal declarations to the view.
        * webkit/webkitwebview.h:
        * webkitmarshal.list: Added some new marshaling definitions.

2010-11-24  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r72499.
        http://trac.webkit.org/changeset/72499
        https://bugs.webkit.org/show_bug.cgi?id=50022

        This change is causing crashes on the bots. (Requested by
        mrobinson on #webkit).

        * tests/testatk.c:
        (main):

2010-11-23  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Fix IFrame DOM bindings API
        https://bugs.webkit.org/show_bug.cgi?id=49980

        * tests/testdomdocument.c:
        (test_dom_document_garbage_collection): change to use the fixed
        IFrame APIs.

2010-11-23  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        focus issue with links that have tooltips
        https://bugs.webkit.org/show_bug.cgi?id=49498

        Set the area of the widget where the tooltip should be shown when
        a new tooltip is set. Since the widget is the same (the view), if
        the tooltip area is not set and a new tooltip is triggered while
        the previous one is still visible, the text of the tooltip is
        updated but its position doesn't change.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::mouseDidMoveOverElement):
        * webkit/webkitprivate.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_query_tooltip):

2010-11-21  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Chris Fleizach.

        [GTK] Implement ROLE_COMBO_BOX
        https://bugs.webkit.org/show_bug.cgi?id=25678

        New test to check the implementation of the combo boxes.

        * tests/testatk.c:
        (testWebkitAtkComboBox): New test, checking that the roles and the
        implemented interfaces for a combo box and its descendants work.
        (main): Added the new unit test.

2010-11-20  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        Remove leftover code in unit test.

        * GNUmakefile.am: remove unneeded utils file in dependency list.
        * tests/testdomdocument.c:
        (main): do not change to the directory of a non existing resource
        list.

2010-11-20  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Memory managament for DOM GObject wrappers
        https://bugs.webkit.org/show_bug.cgi?id=40302

        Initial attempt to have a kind of poor man's garbage collection
        for GObject DOM objects. We tie the object's lifecycle to their
        parent Frame and/or its document; that is, all objects will be
        collected when their parent frame is destroyed or when that frame
        transitions to a new document. Manual management (calling
        g_object_unref on them) is also allowed, and is required for
        objects that are not in the DOM tree (eg NodeLists).

        * GNUmakefile.am: add testutils file to testdomdocument.c
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::setMainFrameDocumentReady): collect
        DOM objects on document transition.
        * tests/testdomdocument.c:
        (dom_document_fixture_teardown): only destroy the view if it's not
        already destroyed, since the new test detroys it on its own.
        (test_dom_document_get_elements_by_tag_name): manually unref node list.
        (test_dom_document_get_elements_by_class_name): ditto.
        (test_dom_document_get_links): ditto.
        (test_dom_document_garbage_collection): test all possible
        scenarios for DOM object "garbage collection".
        (main): add new test.
        * tests/testdomnode.c:
        (test_dom_node_hierarchy_navigation): manually unref node list.
        (test_dom_node_insertion): ditto.
        * webkit/webkithittestresult.cpp:
        (webkit_hit_test_result_dispose): unref the inner node on dispose
        now that the memory management model is clarified.
        (webkit_hit_test_result_class_init): hook dispose.
        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_core_frame_gone): clear DOM objects attached to this frame.
        (webkit_web_frame_finalize): ditto.

2010-11-18  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        Fix introspection build, we were missing a -I flag.

        * GNUmakefile.am:

2010-11-18  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Martin Robinson.

        [Gtk]  atk_text_get_selection returns the wrong offsets after a link
        https://bugs.webkit.org/show_bug.cgi?id=49514

        Updated test case to also chech this specific subcase.

        We need to explicitly check the case of having a selection in a
        paragraph after an embedded object (i.e. a link) to make sure the
        right calculations are being done when the paragraph is composed
        of more than just one text object, and the current selection is
        made only in one of them.

        * tests/testatk.c:
        (testWebkitAtkTextSelections): Make sure that a selection after a
        link in a paragraph is working ok when asking for the text
        selection from the point of view of the paragraph.

2010-11-17  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Gustavo Noronha Silva.

        [GTK] Changing any GNUmakefile.am in the source tree forces a rebuld of the DOM bindings and WebKit APi
        https://bugs.webkit.org/show_bug.cgi?id=49400

        Add GNUmakefile.am and include all WebKit API build rules. Make webkitenum.*
        depend on this new file, instead of the generated GNUmakefile.am.

        * GNUmakefile.am: Copied from GNUmakefile.am.

2010-11-17  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Reviewed by Martin Robinson.

        Fix a typo that leads to emitting the wrong signal if it is done
        by using the signals array.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_class_init):

2010-11-16  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Some key-press events can't be handled by WebView
        https://bugs.webkit.org/show_bug.cgi?id=48986

        The problem is that "popup-menu" and "show-help" signals are
        handled by GtkTextView, as they are added to the key bindings set
        of every widget in gtk_widget_class_init(). For all other bindings
        handled by GtkTextView we are stopping the signal emission in
        their callbacks, so we only need to do the same for "popup-menu"
        and "show-help" signals.

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::toggleOverwriteCallback):
        (WebKit::popupMenuCallback):
        (WebKit::showHelpCallback):
        (WebKit::EditorClient::EditorClient):

2010-11-16  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Show default context menu for the currently focused element when activated with keyboard
        https://bugs.webkit.org/show_bug.cgi?id=49376

        * webkit/webkitwebview.cpp:
        (webkit_web_view_popup_menu_handler):

2010-11-11  Joone Hur  <joone@kldp.org>

        Reviewed by Antonio Gomes.

        [GTK][DRT] Implement LayoutTestController::nodesFromRect
        https://bugs.webkit.org/show_bug.cgi?id=46598

        Support nodesFromRect in DRT

        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp:
        (DumpRenderTreeSupportGtk::nodesFromRect): Added.
        * WebCoreSupport/DumpRenderTreeSupportGtk.h:

2010-11-11  Chang Shu  <chang.shu@nokia.com>

        Reviewed by Antonio Gomes.

        [GTK] Replace "MoveForward"/"MoveBackward" with "MoveRight"/"MoveLeft"
        to make spatial navigation work on input/textarea.
        https://bugs.webkit.org/show_bug.cgi?id=49056

        * WebCoreSupport/EditorClientGtk.cpp:
        (WebKit::moveCursorCallback):

2010-11-08  Nicolas Dufresne  <nicolas.dufresne@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Link with target name set does not work
        https://bugs.webkit.org/show_bug.cgi?id=48865

        When a new page is created with a name (target=myFrame), the new
        mainFrame could not be found because they where not stored in the
        same PageGroup. As PageGroup are not exposed externally so the
        simpliest solution is to use a global page group name. This also fixes
        issue with visited link coloration across pages. After this change the
        private function webkit_web_view_set_group_name() was no longer used
        so it was removed completly.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::closeWindowSoon):
        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorClient::openInspectorFrontend):
        * webkit/webkitprivate.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_init):

2010-11-08  Alexey Proskuryakov  <ap@apple.com>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=48685
        Notify UI process about focused frame

        Added an empty implementation of the new ChromeClient method.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::focusedFrameChanged):
        * WebCoreSupport/ChromeClientGtk.h:

2010-11-08  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Andreas Kling.

        [GTK] Error page templates are not filled properly
        https://bugs.webkit.org/show_bug.cgi?id=49148

        Replace a call to makeString with String::format. This was mistakenly
        changed to makeString in an earlier commit.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidFailLoad):

2010-11-08  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        * NEWS: update for release.

2010-11-08  Csaba Osztrogonac  <ossy@webkit.org>

        Unreviewed, rolling out r71466.
        http://trac.webkit.org/changeset/71466
        https://bugs.webkit.org/show_bug.cgi?id=48865

        It broke layout tests on GTK bots.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::closeWindowSoon):
        * webkit/webkitprivate.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_init):
        (webkit_web_view_set_group_name):

2010-11-07  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Rename Cache to MemoryCache
        https://bugs.webkit.org/show_bug.cgi?id=49159

        * webkit/webkitwebview.cpp:

2010-11-05  Nicolas Dufresne  <nicolas.dufresne@collabora.co.uk>

        Reviewed by Martin Robinson.

        [GTK] Link with target name set does not work correctly
        https://bugs.webkit.org/show_bug.cgi?id=48865

        When a new page is created with a name (target=myFrame), the new
        mainFrame could not be found because they where not stored in the
        same PageGroup. As PageGroup are not exposed externally so the
        simpliest solution is to use a global page group name. This also fixes
        issue with visited link coloration across pages. After this change the
        private function webkit_web_view_set_group_name() was no longer used
        so it was removed completly.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::closeWindowSoon):
        * webkit/webkitprivate.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_init):

2010-11-05  Chris Marrin  <cmarrin@apple.com>

        Reviewed by Simon Fraser.

        Move resumeAnimations/suspendAnimations from Frame to AnimationController.
        https://bugs.webkit.org/show_bug.cgi?id=49073

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_suspend_animations):
        (webkit_web_frame_resume_animations):

2010-11-05  Chris Marrin  <cmarrin@apple.com>

        Unreviewed.

        Small fix to GTK build

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_suspend_animations):
        (webkit_web_frame_resume_animations):

2010-11-05  Chris Marrin  <cmarrin@apple.com>

        Reviewed by Simon Fraser.

        Make suspendAnimations/resumeAnimations and setCSSAnimations traverse through subframes and remember state
        https://bugs.webkit.org/show_bug.cgi?id=46945

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_suspend_animations):
        (webkit_web_frame_resume_animations):

2010-11-03  Daniel Bates  <dbates@rim.com>

        For unnamed frames, window.name returns a generated name
        https://bugs.webkit.org/show_bug.cgi?id=6751

        Part 1 of 2.

        Substitute FrameTree::uniqueName() for FrameTree::name() in the GTK port.

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_get_name):

2010-11-02  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Adam Barth.

        [Cairo] Remove PlatformRefPtrCairo
        https://bugs.webkit.org/show_bug.cgi?id=48192

        Replace instances of PlatformRefPtr smart pointers that wrap Cairo
        types with RefPtrs.

        * WebCoreSupport/DragClientGtk.cpp: Use RefPtr instead of PlatformRefPtr.
        (WebKit::dragIconWindowDrawEventCallback):
        * WebCoreSupport/DragClientGtk.h: Ditto.

2010-11-02  Daniel Bates  <dbates@rim.com>

        Reviewed by Martin Robinson.

        Set frame name before appending it to the frame tree in the Apple Windows,
        GTK, and EFL ports
        https://bugs.webkit.org/show_bug.cgi?id=48806

        Make the frame creation process in the GTK-port consistent with the
        Mac, Qt, and Haiku ports. In particular, set the name of the new
        frame before it's appended to the frame tree.

        At this time we cannot test this change since it is being masked by
        HTMLFrameElementBase::setName() <http://trac.webkit.org/browser/trunk/WebCore/html/HTMLFrameElementBase.cpp?rev=70976#L160>.
        We'll be able to test this once we fix bug #6751.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::createFrame):

2010-11-01  Jennifer Braithwaite  <jennb@google.com>

        Reviewed by Martin Robinson.

        GTK: Update resource tracking when moving a frame between documents
        https://bugs.webkit.org/show_bug.cgi?id=48362

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::transferLoadingResourceFromPage):
        Assign resource id to current web view and remove from former web view.
        * webkit/webkitprivate.h:
        * webkit/webkitwebview.cpp:
        (webkit_web_view_remove_resource):
        Added.

2010-11-01  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Cleanup needed in testatk.c file
        https://bugs.webkit.org/show_bug.cgi?id=48759

        Cleanup done in testatk.c, mainly addressing the following issues:

        - Removed any trace of extra main loops in tests, so now we just
        spin the original main loop in all of them to get the a11y
        objects.

        - As we no longer use the extra main loops, removed the bail_out
        function, used along with g_idle_add() to stop those extra loops.

        - As we now spin the loop in every test, created a new function
        waitForAccessibilityObjects() to write the loop just once.

        - Fixed name in incorrectly named test testWekitAtkTextSelections.

        - Alphabetically sorted the list of includes.

        - Renamed all identifiers to camel Case notation.

        - Declare variables when needed only (instead of declaring all of
        them at the beginning of the function).

        - Don't declare two variables of the same type in the same line.

        - No more short names like 'obj', 'textObj' or 'alloc'. Use names
        like 'object', 'textObject' and 'allocation' instead.

        - Fixed indentation.

        - Make sure all comments finish with '.'

        - Replace NULL's with 0's.

        * tests/testatk.c:
        (waitForAccessibleObjects): New, manually spins the main context
        to make sure accessible objects are created before continuing.
        (testGetTextFunction): Fixed this function to be compliant with
        the WebKit's coding style.
        (runGetTextTests): Ditto.
        (testWebkitAtkGetTextAtOffsetForms): Ditto.
        (testWebkitAtkGetTextAtOffset): Ditto.
        (testWebkitAtkGetTextAtOffsetNewlines): Ditto.
        (testWebkitAtkGetTextAtOffsetTextarea): Ditto.
        (testWebkitAtkGetTextAtOffsetTextInput): Ditto.
        (testWebkitAtkGetTextInParagraphAndBodySimple): Ditto.
        (testWebkitAtkGetTextInParagraphAndBodyModerate): Ditto.
        (testWebkitAtkGetTextInTable): Ditto.
        (testWebkitAtkGetHeadersInTable): Ditto.
        (compAtkAttribute): Ditto.
        (atkAttributeSetAttributeNameHasValue): Ditto.
        (testWebkitAtkTextAttributes): Ditto.
        (testWebkitAtkTextSelections): Ditto.
        (testWebkitAtkGetExtents): Ditto.
        (testWebkitAtkLayoutAndDataTables): Ditto.
        (testWebkitAtkLinksWithInlineImages): Ditto.
        (testWebkitAtkHypertextAndHyperlinks): Ditto.
        (testWebkitAtkListsOfItems): Ditto.
        (testWebkitAtkTextChangedNotifications): Ditto.
        (main): Ditto.

2010-11-01  Brady Eidson  <beidson@apple.com>

        Reviewed by Anders Carlsson.

        <rdar://problem/7660547> and https://bugs.webkit.org/show_bug.cgi?id=48699
        Context menu support for WebKit 2.

        * WebCoreSupport/ChromeClientGtk.h:
        (WebKit::ChromeClient::showContextMenu):

2010-11-01  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Pasting markup into Thunderbird compose window produces no text
        https://bugs.webkit.org/show_bug.cgi?id=43737

        Added a test verifying that the meta tag prefix on markup data exists.

        * tests/testcopyandpaste.c:
        (load_status_cb): Add a check for the meta tag prefix.

2010-11-01  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Martin Robinson.

        [Gtk] AtkHyperlink needs to be implemented
        https://bugs.webkit.org/show_bug.cgi?id=33785

        New test to ensure the AtkHypertext/AtkHyperlink stuff works.

        * tests/testatk.c:
        (testWebkitAtkHypertextAndHyperlinks): New test, checking both the
        implementation of the AtkHypertext interface, the subclass of the
        AtkHyperlink abstract class, and the implementation of the
        AtkAction interface in that subclass.
        (main): Added the new unit test.

2010-10-30  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Use new width for height APIs in GTK+ 3.x
        https://bugs.webkit.org/show_bug.cgi?id=48709

        Use the new width for height APIs in GTK+ 3.x, since size-request
        is deprecated.

        For now we just return the same value for preferred and minimum
        width/height, which should match the 2.x behavior. Probably we
        could do something smarter for the minimum values.

        * webkit/webkitwebview.cpp:
        (webkit_web_view_get_preferred_width): return our preferred width.
        (webkit_web_view_get_preferred_height): return our preferred height.
        (webkit_web_view_class_init): hook the new default handlers.

2010-10-29  Daniel Bates  <dbates@rim.com>

        No review, rolling out 70971.
        http://trac.webkit.org/changeset/70971
        https://bugs.webkit.org/show_bug.cgi?id=6751

        Rolling out changeset 70971 <http://trac.webkit.org/changeset/70971> since
        it caused layout test failures on all bots. In particular, the
        child count in a generated frame name differs after this patch. We need
        to look into this further.

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_get_name):

2010-10-28  Antonio Gomes  <agomes@rim.com>

        Reviewed by Ojan Vafai.

        Needs a "LinuxEditingBehavior", perhaps with a better name
        https://bugs.webkit.org/show_bug.cgi?id=36627

        Added the corresponding GTK+ setting to WebCore's EditingUnixBehavior: WEBKIT_EDITING_BEHAVIOR_UNIX.

        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_class_init):
        * webkit/webkitwebsettings.h:

2010-10-29  Daniel Bates  <dbates@rim.com>

        Reviewed by Adam Barth.

        For unnamed frames, window.name returns a generated name
        https://bugs.webkit.org/show_bug.cgi?id=6751

        Modified GTK-port to use FrameTree::uniqueName().

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_get_name):

2010-10-29  Martin Robinson  <mrobinson@igalia.com>

        Build fix for GTK+ after BackForwardListImpl introduction.

        * webkit/webkitwebbackforwardlist.cpp:
        (webkit_web_back_forward_list_new_with_web_view):

2010-10-29  Darin Adler  <darin@apple.com>

        Reviewed by Sam Weinig.

        Change BackForwardList clients to use BackForwardListImpl to prepare for further refactoring
        https://bugs.webkit.org/show_bug.cgi?id=48574

        * webkit/webkitprivate.h:
        * webkit/webkitwebbackforwardlist.cpp:
        (webkit_web_back_forward_list_dispose):
        (webkit_web_back_forward_list_new_with_web_view):
        (webkit_web_back_forward_list_go_forward):
        (webkit_web_back_forward_list_go_back):
        (webkit_web_back_forward_list_contains_item):
        (webkit_web_back_forward_list_go_to_item):
        (webkit_web_back_forward_list_get_forward_list_with_limit):
        (webkit_web_back_forward_list_get_back_list_with_limit):
        (webkit_web_back_forward_list_get_back_item):
        (webkit_web_back_forward_list_get_current_item):
        (webkit_web_back_forward_list_get_forward_item):
        (webkit_web_back_forward_list_get_nth_item):
        (webkit_web_back_forward_list_get_back_length):
        (webkit_web_back_forward_list_get_forward_length):
        (webkit_web_back_forward_list_get_limit):
        (webkit_web_back_forward_list_set_limit):
        (webkit_web_back_forward_list_add_item):
        (webkit_web_back_forward_list_clear):
        (WebKit::core):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_set_maintains_back_forward_list):
        (webkit_web_view_get_back_forward_list):
        Use BackForwardListImpl.

2010-10-29  Alexey Proskuryakov  <ap@apple.com>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=48576
        Let WebKit2 client know when a frame is a frameset

        Added a blank implementation of the new FrameLoaderClient method.

        * WebCoreSupport/FrameLoaderClientGtk.h:
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidBecomeFrameset):

2010-10-29  Alejandro G. Castro  <alex@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Add the GtkScrollablePolicy property to the webview
        https://bugs.webkit.org/show_bug.cgi?id=48357

        Added the GtkScrollablePolicy properties to the webview widget, it
        is now required for GtkScrollable widgets in GTK+ 3.x.

        * webkit/webkitprivate.h:
        * webkit/webkitwebview.cpp:
        (setHorizontalScrollPolicy): Added.
        (setVerticalScrollPolicy): Added.
        (getHorizontalScrollPolicy): Added.
        (getVerticalScrollPolicy): Added.
        (webkit_web_view_get_property):
        (webkit_web_view_set_property):
        (webkit_web_view_class_init):

2010-10-28  Sergio Villar Senin  <svillar@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] WebKitWebFrame's load-status is not properly notified to the tests
        https://bugs.webkit.org/show_bug.cgi?id=48048

        "frame-created" signal must be issued before loading any data,
        that way clients can correctly capture all the loading related
        signals for that frame.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::createFrame):

2010-10-27  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Martin Robinson.

        getTextAtOffset returns incorrect results if a link includes text and an image
        https://bugs.webkit.org/show_bug.cgi?id=47365

        New test to make sure this bug is actually fixed.

        * tests/testatk.c:
        (testWebkitAtkLinksWithInlineImages): New test.
        (main): Added new test.

2010-10-26  Antonio Gomes  <agomes@rim.com>

        Reviewed by Martin Robinson.

        [GTK] Implement DumpRenderTreeSupportGtk (similarly to DumpRenderTreeSupportQt idea)
        https://bugs.webkit.org/show_bug.cgi?id=48199

        Implemented an initial version of the DumpRenderTreeSupportGtk class.
        The main idea is that it groups together the bodies of many LayoutTestController
        methods, so they can directly access WebCore features. This way we eliminate the
        need of adding APIs to WebKitGTK just to expand its test coverage through DRT.

        The DumpRenderTreeSupportGtk class so far includes a getter and setter for the WebKitTabToLinksPreferenceKey
        property as a sample implementation. Also it makes it possible to unskip fast/events/tab-focus-anchor.html and
        to fix stderr messages from all 22 spatial-navigation tests in fast/events/spatial-navigation.

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::tabsToLinks):
        * WebCoreSupport/DumpRenderTreeSupportGtk.cpp: Added.
        (DumpRenderTreeSupportGtk::DumpRenderTreeSupportGtk):
        (DumpRenderTreeSupportGtk::~DumpRenderTreeSupportGtk):
        (DumpRenderTreeSupportGtk::setDumpRenderTreeModeEnabled):
        (DumpRenderTreeSupportGtk::dumpRenderTreeModeEnabled): Getter to the WebKitTabToLinksPreferenceKey property.
        (DumpRenderTreeSupportGtk::setLinksIncludedInFocusChain): Setter to the WebKitTabToLinksPreferenceKey property.
        (DumpRenderTreeSupportGtk::linksIncludedInFocusChain):
        * WebCoreSupport/DumpRenderTreeSupportGtk.h: Added.

2010-10-26  Jenn Braithwaite  <jennb@chromium.org>

        Reviewed by Dmitry Titov.

        Resource tracking failure when trying to move a frame between documents
        https://bugs.webkit.org/show_bug.cgi?id=44713

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::transferLoadingResourceFromPage):
        Empty method.
        * WebCoreSupport/FrameLoaderClientGtk.h:

2010-10-26  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Chris Fleizach.

        [Gtk] Layout tables should indicate that they are not data tables via an object attribute
        https://bugs.webkit.org/show_bug.cgi?id=35422

        New unit test to check the 'layout-guess' attribute in tables.

        * tests/testatk.c:
        (atkAttributeSetAttributeNameHasValue): New, looks for a attribute
        with a specific value, by the name of attribute.
        (atkAttributeSetContainsAttributeName): New, just checks whether
        an attribute with a specified name is present in the set.
        (atkAttributeSetAttributeHasValue): Modified to relay on the new
        function atkAttributeSetAttributeNameHasValue().
        (testWebkitAtkLayoutAndDataTables): New test.
        (main): Added the new test.

2010-10-26  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Port to new GtkScrollable interface in GTK+ 3.x
        https://bugs.webkit.org/show_bug.cgi?id=48202

        Use the new GtkScrollable interface when compiling against GTK+
        3.x.

        * webkit/webkitwebview.cpp:
        (setHorizontalAdjustment):
        (setVerticalAdjustment):
        (getHorizontalAdjustment):
        (getVerticalAdjustment):
        (webkit_web_view_get_property):
        (webkit_web_view_set_property):
        (webkit_web_view_class_init):

2010-10-22  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        WebKit2 needs to pass the current event modifier flags when requesting a new window
        https://bugs.webkit.org/show_bug.cgi?id=48140

        * WebCoreSupport/ChromeClientGtk.cpp:
        (WebKit::ChromeClient::createWindow):
        * WebCoreSupport/ChromeClientGtk.h:
        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchCreatePage):
        * WebCoreSupport/FrameLoaderClientGtk.h:
        Add NavigationAction parameter.

2010-10-20  Philippe Normand  <pnormand@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] use gtk_widget_hide instead of gtk_widget_hide_all in the fullscreen video conroller
        https://bugs.webkit.org/show_bug.cgi?id=47972

        * WebCoreSupport/FullscreenVideoController.cpp:
        (FullscreenVideoController::hideHud):
        (FullscreenVideoController::exitFullscreen):

2010-10-19  Joone Hur  <joone@kldp.org>

        Reviewed by Martin Robinson.

        [GTK] Needs fixing mistyped comments in the API documentation
        https://bugs.webkit.org/show_bug.cgi?id=47656

        Fixed mistyped comments in the API documenentation.

        * webkit/webkitwebsettings.cpp: Fixed a mistyped comment in the the section block.
        * webkit/webkitwebwindowfeatures.cpp: Fixed a mistyped comment in the section block.

2010-10-18  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Martin Robinson.

        * NEWS: update for 1.3.5 release.
        * docs/webkitgtk-sections.txt: add new APIs.

2010-10-18  Pavel Feldman  <pfeldman@chromium.org>

        Reviewed by Simon Fraser.

        Web Inspector: [crash] when Inspector Open in CSSStyleSelector::loadPendingImages().
        https://bugs.webkit.org/show_bug.cgi?id=46224

        * WebCoreSupport/InspectorClientGtk.cpp:
        (WebKit::InspectorClient::sendMessageToFrontend):

2010-10-14  Antonio Gomes  <agomes@rim.com>

        Reviewed by Martin Robinson and Xan Lopez.

        [Gtk]: DRT does not support frame flattening testing
        https://bugs.webkit.org/show_bug.cgi?id=38650

        Implement enable-frame-flattening API for Gtk+.

        * webkit/webkitwebsettings.cpp:
        (webkit_web_settings_class_init):
        (webkit_web_settings_set_property):
        (webkit_web_settings_get_property):
        (webkit_web_settings_copy):
        * webkit/webkitwebview.cpp:
        (webkit_web_view_update_settings):
        (webkit_web_view_settings_notify):

2010-10-15  Nikolas Zimmermann  <nzimmermann@rim.com>

        Reviewed by Dirk Schulze.

        Replace some String::format() usages by StringConcatenate in WebKit
        https://bugs.webkit.org/show_bug.cgi?id=47714

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::FrameLoaderClient::dispatchDidFailLoad):
        * webkit/webkitwebsettings.cpp:
        (webkitOSVersion):
        (webkitUserAgent):

2010-10-14  Joone Hur  <joone@kldp.org>

        Reviewed by Andreas Kling.

        [GTK] google.co.kr was missed when checking Google domains
        https://bugs.webkit.org/show_bug.cgi?id=47652

        WebKitGtk+ maintains a list of Google domains for working well with Google sites.
        Add google.co.kr also to the list to be checked with other Google domains.

        * WebCoreSupport/FrameLoaderClientGtk.cpp:
        (WebKit::initializeDomainsList): Added google.co.kr.

2010-10-13  Sergio Villar Senin  <svillar@igalia.com>

        Reviewed by Martin Robinson.

        WebKitGtk+ to use the new API from the imported SoupURILoader code

        [GTK] Add HTTP caching support
        https://bugs.webkit.org/show_bug.cgi?id=44261

        ResourceHandleInternal m_msg is now called m_soupMessage.

        * webkit/webkitdownload.cpp:
        (webkit_download_new_with_handle):
        (webkit_download_start):

2010-10-13  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Gustavo Noronha.

        [GTK] Remove more warnings from the g-i scanner run
        https://bugs.webkit.org/show_bug.cgi?id=47255

        Fixes almost all warnings coming from the g-i scanner.

        * webkit/webkitsecurityorigin.cpp: Rename parameter names in
        gtk-doc blurb to the actual name of the parameter.
        * webkit/webkitsoupauthdialog.c: ditto.
        (webkit_soup_auth_dialog_class_init): Write missing doc for the
        'current-toplevel' signal.
        * webkit/webkitsoupauthdialog.h: Rename signal parameter to its
        actual name.
        * webkit/webkitwebdatabase.cpp: Rename parameter names in
        gtk-doc blurb to the actual name of the parameter.
        * webkit/webkitwebinspector.cpp: ditto.
        (webkit_web_inspector_class_init): ditto.
        * webkit/webkitwebview.cpp: ditto.
        (webkit_web_view_class_init): ditto.
        * webkit/webkitwebview.h: Rename the parameter names to be in sync
        with the ones we use in the function definition.

2010-10-12  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r69589.
